glibc (2.35-0ubuntu3) jammy; urgency=medium

  * debian/rules.d/build.mk: build with --with-default-link=no.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Mar 2022 15:54:17 +1300

glibc (2.35-0ubuntu2) jammy; urgency=medium

  * d/patches/arm/local-vfp-sysdeps.diff: Restore, and add another EABI
    attribute to hopefully avoid upsetting current binutils.
  * debian/debhelper.in/libc.preinst: drop the check for kernel release
    > 255 now that glibc and preinstall script are fixed. (LP: #1962225)
  * Fix "./debian/rules update-from-upstream" to replace rather than append to
    git-updates.diff.
  * Update d/patches/git-updates.diff:
    - linux: fix accuracy of get_nprocs and get_nprocs_conf [BZ #28865]
    - linux: Use socket-constants-time64.h on tst-socket-timestamp-compat
    - string: Add a testcase for wcsncmp with SIZE_MAX [BZ #28755]
    - x86: Fallback {str|wcs}cmp RTM in the ncmp overflow case [BZ #28896]
    - x86: Test wcscmp RTM in the wcsncmp overflow case [BZ #28896]
    - x86: Fix TEST_NAME to make it a string in tst-strncmp-rtm.c
    - elf: Check invalid hole in PT_LOAD segments [BZ #28838]
    - elf: Replace tst-audit24bmod2.so with tst-audit24bmod2
    - resolv: Fix tst-resolv tests for 2.35 ABIs and later
    - localedef: Update LC_MONETARY handling (Bug 28845)
    - localedata: Do not generate output if warnings were present.
    - localedef: Handle symbolic links when generating locale-archive
    - nptl: Fix cleanups for stack grows up [BZ# 28899]
  * Remove tst-p_align3 from xfails.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Mar 2022 15:38:35 +1300

glibc (2.35-0ubuntu1) jammy; urgency=medium

  * New upstream version.
  * Update control files for new version.
  * Remove d/patches/git-updates.diff and refresh other patches.
  * d/patches/localedata/locale-C.diff: Remove as upstream now ships a C
    locale.
  * d/patches/ubuntu/disable-clone3.patch: Remove, electron apps have had
    long enough to get updated now.
  * d/patches/arm/local-vfp-sysdeps.diff: Remove, incompatible with modern
    binutils.
  * d/patches/all/submitted-po-fr-fixes.diff: Remove, included upstream.
  * Stop building the C.UTF-8 locale files separately now that upstream
    includes it, but still include them in the libc-bin package.
  * d/patches/ubuntu/sdt-headers.patch: borrow patch from fedora to fix build
    failure on s390x.
  * Update xfails:
    - tst-cpu-features-cpuinfo{,-static} fail on some builders due to old
      kernels.
    - tst-p_align3: Fails depending on fine details of binutils behaviour.
  * Build with default gcc (i.e. 11).
  * Remove the 'catchsegv' binary from the libc-bin package, removed upstream.
  * Update "./debian/rules update-from-upstream" to work better with how I
    maintain my git tree.
  * Add d/patches/git-updates.diff with first few patches after release:
    - posix: Fix tst-spawn6 terminal handling (BZ #28853)
    - linux: __get_nprocs_sched: do not feed CPU_COUNT_S with garbage [BZ #28850]
    - linux: Fix missing __convert_scm_timestamps (BZ #28860)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Feb 2022 13:59:11 +1300

glibc (2.34-0ubuntu3) impish; urgency=medium

  * d/patches/git-updates.diff: Update from release/2.34/master branch.
    - d/patches/ubuntu/Fix-close_range-closefrom-tests.patch,
      d/patches/ubuntu/fix-iconvconfig-directory.diff: removed as now
      upstream.
  * d/patches/ubuntu/disable-clone3.patch: Disable use of clone3 syscall
    to give Electron apps more time to get rebuilt. (LP: #1944468)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 28 Sep 2021 14:38:09 +1300

glibc (2.34-0ubuntu2) impish; urgency=medium

  * d/patches/ubuntu/Fix-close_range-closefrom-tests.patch: Patch from
    upstream to fix test failures in autopkgtest environment (which has a
    pair of fds open that the test suite did not cope with).
  * d/debhelper.in/libc.postinst: go back to restarting systemd on libc6
    upgrade, but carefully. LP: #1942276

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Sep 2021 09:26:51 +1200

glibc (2.34-0ubuntu1) impish; urgency=medium

  * New upstream version.
  * Update patches.
  * Adapt to upstream changes to install the dynamic linker in its ABI
    location directly by installing it under its SONAME, but still in the
    multiarch directory.
  * Update xfails.
  * d/patches/ubuntu/fix-iconvconfig-directory.diff: fix the directory path
    written to the gconv modules cache (BZ #28199).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 12 Aug 2021 11:15:13 +1200

glibc (2.33-0ubuntu9) impish; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch
    - CVE-2021-33574: The mq_notify function has a potential use-after-free
      issue when using a notification type of SIGEV_THREAD and a thread
      attribute with a non-default affinity mask.
    - [15271] dlfcn function failure after dlmopen terminates process.
    - [27646] gethostbyname and NSS crashes after dlmopen.
    - x86_64: Remove unneeded static PIE check for undefined weak diagnostic.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Jul 2021 08:26:17 +0200

glibc (2.33-0ubuntu8) impish; urgency=medium

  [ Matthias Klose ]
  * Don't strip ld.so (LP: #1927192)

  [ Balint Reczey ]
  * Don't use DH_COMPAT=8 for stripping udeb packages either
  * Drop maintaner script delta cleaning up /var/lib/locales/supported.d/local
    Those handled upgrades from Ubuntu << 16.04.
  * debian/patches/hurd-i386/: Drop delta of Hurd patches, they are not applied anyway
  * Merge 2.31-12 changes from Debian unstable:
    - debian/po/de.po: fix encoding declaration.  Closes: #986450.
    - debian/patches/any/local-rtlddir-cross.diff: drop patch, letting upstream
      makefiles to install the dynamic linker symlink directly in the right
      location. This fixes the temporary installation done by upstream makefiles
      to run some tests in a container.  Closes: #973278, #985617.
    - debian/rules.d/build.mk: do not create the dynamic linker manually.
    - debian/sysdeps/*.mk: do not create the dynamic linker manually for
      bi/tri-arch packages.
    - debian/rules.d/build.mk: create the soname symlink for ld-2.xx.so, to
      avoid its creation later by ldconfig.
    - debian/debhelper.in/libc.install, debhelper.in/libc-alt.install,
      debhelper.in/libc-udeb.install, debhelper.in/libc-udeb.install.hurd-i386:
      adjust given that the dynamic linker symlink is now already at the correct
      location.
    - debian/patches/git-updates.diff: update from upstream stable branch:
      - Fix GLIBC_TUNABLES parsing for AT_SECURE binaries.
    - debian/rules.d/build.mk: escape EOL so that $configure_build is correctly
      passed to the configure script.
    - debian/debhelper.in/libc.preinst: handle the case where debconf
      configuration has never been done.  Closes: #986180.
    - debian/debhelper.in/libc.preinst: fallback to text mode in case 1) debconf
      is about to use the dialog frontend with whiptail or frontend and 2) the
      corresponding executable is unusable.  Closes: #984533.
    - debian/rules.d/debhelper.mk: correctly strip libpthread.so for bi/triarch
      builds.  Closes: #983457.
    - debian/patches/hurd-i386/git-tiocflush.diff: Cope with
      BSD 4.1-ish ioctl(..., TIOCFLUSH, NULL).
    - debian/debhelper.in/libc-udeb.install.hurd-i386: Add missing
      libmachuser/libhurduser.
    - debian/testsuite-xfail-debian.mk: Update tests.
  * debian/patches/git-updates.diff: update from upstream stable branch
    - [27892] powerpc: scv ABI error handling fails to check IS_ERR_VALUE
  * Keep only armhf ld.so unstripped (LP: #1927192)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 01 Jun 2021 18:41:50 +0200

glibc (2.33-0ubuntu7) impish; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch
    - [27648] FAIL: misc/tst-select
    - [27651] Performance regression after updating to 2.33
    - [27706] select fails to update timeout on error
    - [27744] Support different libpthread/ld.so load orders for gdb -p
  * Ignore test failures for the profile build on amd64 for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 May 2021 19:45:58 +0200

glibc (2.33-0ubuntu6) impish; urgency=medium

  * Revert: Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    Enables debugging of ld.so related issues.
  * Stop building sf/hf multilibs on armel/armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Apr 2021 12:42:49 +0200

glibc (2.33-0ubuntu5) hirsute; urgency=medium

  * debian/tests/rebuild: Revert printing cpuinfo, this information is already
    present in the log.
  * debian/control: Libc6 should Conflict and Replace libc6-lse (LP: #1912652)
  * Don't support disabling hwcaps on amd64 and arm64.
    There is no need for it and it adds extra overhead.
  * debian/patches/git-updates.diff: update from upstream stable branch
    - [18435] pthread_once hangs when init routine throws an exception
    - [23462] Static binary with dynamic string tokens ($LIB, $PLATFORM, $ORIGIN)
              crashes
    - [27304] pthread_cond_destroy does not pass private flag to futex system calls
    - [27537] test-container: Always copy test-specific support files
    - [27577] elf/ld.so --help doesn't work
  * XFAIL io/tst-stat on s390

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Mar 2021 15:44:28 +0200

glibc (2.33-0ubuntu4) hirsute; urgency=medium

  [ Matthias Klose ]
  * Run checks for every pass before failing the build.
  * Regenerate the control file.

  [ Balint Reczey ]
  * XFAIL new tests not setting up their container properly
  * Add Breaks: against fakeroot (<< 1.25.3-1.1ubuntu2~) (LP: #1915250)
  * debian/patches/git-updates.diff: update from upstream stable branch
    (LP: #1916541)
  * debian/tests/rebuild: Print cpuinfo to help triaging CPU-specific failures

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Mar 2021 17:29:21 +0100

glibc (2.33-0ubuntu2) hirsute; urgency=medium

  * debian/patches/all/local-ldd.diff: Adjust extra safety check
    for changed ld-linux.so return value. LP: #1914860.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2021 13:32:05 +0100

glibc (2.33-0ubuntu1) hirsute; urgency=medium

  [ Balint Reczey ]
  * XFAIL tst-sigcontext-get_pc on ppc64el (LP: #1907298)
  * Merge 2.31-9 changes from Debian unstable:
    - Build memusage and memusagestat in the libc pass and ship them into
      libc-devtools. Move mtrace, sotruss and sprof into that package.
      Closes: #91815.
    - debian/sysdeps/arm64.mk: enable static PIE support on arm64.
      Closes: #973430.
    - debian/debhelper.in/*.lintian-overrides: update for recent lintian
      versions.
    - other changes less interesting for Ubuntu users
  * Support disabling hwcaps on amd64 and arm64, too
  * Optimize checking /etc/ld.so.nohwcap
  * New upstream release 2.33
    - security fixes:
      - CVE-2021-3326: An assertion failure during conversion from the
        ISO-20220-JP-3 character set using the iconv function has been fixed.
        This assertion was triggered by certain valid inputs in which the
        converted output contains a combined sequence of two wide characters
        crossing a buffer boundary.  Reported by Tavis Ormandy.
      - CVE-2020-29562: An assertion failure has been fixed in the iconv
        function when invoked with UCS4 input containing an invalid character.
      - CVE-2019-25013: A buffer overflow has been fixed in the iconv function
        when invoked with EUC-KR input containing invalid multibyte input
        sequences.
  * Refresh patches
  * debian/symbols.wildcards: Update for 2.33
  * Don't ship /etc/default/nss.
    It set only ADJUNCT_AS_SHADOW=TRUE to change NSS module behaviour to be
    more secure, but upstream disagrees that the default (FALSE) value poses
    a security problem since the data leaked by NSS is made available by
    other tools as well.
    See: https://sourceware.org/bugzilla/show_bug.cgi?id=11134
  * debian/debhelper.in/libc-bin.install: Keep installing zdump
    adjust .install to upstream's changes
  * XFAIL rounding test failures on armhf (and armel)
  * XFAIL elf/tst-cpu-features-cpuinfo on amd64 and i386
  * XFAIL nptl/tst-cancel28 on i386
  * debian/copyright: Add GFDL for the manual sources.
    Override the Lintian error about GFDL, Ubuntu ships the documentation
    in main already.

  [ Dimitri John Ledkov ]
  * Don't try restarting services if needrestart is installed

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Feb 2021 13:40:19 +0100

glibc (2.32-0ubuntu6) hirsute; urgency=medium

  * Merge 2.31-5 changes from Debian unstable:
    - debian/patches/localedata/locale-C.diff: replace the LC_CTYPE definition
      by 'copy "i18n"'. Note that with this change the "blank", "cntrl",
      "space" classes do not conform to POSIX anymore, however this matches the
      Fedora behaviour.  Closes: #973647.
    - debian/debhelper.in/libc.NEWS: add an entry about libnss-nis and
      libnss-nisplus packages.
  * Drop substvars magic for libnss-nis* since they are just recommended now
  * debian/patches/git-updates.diff: update from upstream stable branch
    - Fix missing floating-point rounding and exception handling functions
      missing on SH4.  Closes: #975421.
    - Fix an infinite loop in iconv with input containing redundant shift
      sequences in the IBM1364, ++  IBM1371, IBM1388, IBM1390, or IBM1399
      character sets (CVE-2020-27618).  Closes: #973914.
  * elf: Add endianness markup to ld.so.cache (Closes: #731082)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 15 Dec 2020 22:39:07 +0100

glibc (2.32-0ubuntu5) hirsute; urgency=medium

  * debian/gbp.conf: Set debian-tag and debian-tag-msg to follow Ubuntu format
  * Don't build libc6-prof in stage1 and stage2
  * Ship libc6-prof on riscv64, too.
    This fixes FTBFS on riscv64 due to the the flavour being built but not
    shipped in a package.
  * Detect debconf consistently in libc6.preinst and do not crash if it is not used
    (LP: #1902955)
  * Prevent rare deadlock in pthread_cond_signal (LP: #1899800)
  * debian/patches/git-updates.diff: update from upstream stable branch

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 13 Nov 2020 18:54:38 +0100

glibc (2.32-0ubuntu4) hirsute; urgency=medium

  * tests: XFAIL time/tst-cpuclock1 on armel, too. (LP: #1895687)
    The armhf build builds for armel, too, thus this fixes the armhf
    autopkgtest.
  * debian/control: Only recommend libnss-nis and libnss-nisplus.
    They pull in a sizable amount of extra dependencies while they are rarely
    needed.
  * Make libc6 provide libc6-lse on arm64.
    Libc6 is now compiled with -moutline-atomics thus the separate binary
    package is dropped.
  * Ship libc variant compiled for profiling in libc6-prof
  * debian/patches/git-updates.diff: update from upstream stable branch
  * Drop obsoleted local-cudacc-float128.diff which breaks new icc
    (LP: #1895358)
  * XFAIL tst-sysvshm-linux on i386 and x32
  * Merge 2.31-4 from Debian unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 29 Oct 2020 22:11:57 +0100

glibc (2.32-0ubuntu3) groovy; urgency=medium

  * Fix cross-toolchain-base.
    Use ${Depends:foo=foo} magic to not create cross packages for
    libnss-nis*, rpcsvc-proto, libtirpc-dev and libnsl-dev (LP: #1895632)
  * XFAIL time/tst-cpuclock1 (LP: #1895687)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 15 Sep 2020 17:13:26 +0200

glibc (2.32-0ubuntu2) groovy; urgency=medium

  * Merge from Debian unstable
  * Refresh patches
  * debian/watch: Use HTTPS and download xz-compressed tarball
  * debian/watch: Use upstream's signing key to verify the tarball
  * Don't build and ship libnsl.a and Sun RPC static library and header files
  * XFAIL stdlib/tst-getrandom (LP: #1891403)
  * debian/symbols.wildcards: Update versions
  * Make libc-dev depend on rpcsvc-proto and libtirpc-dev.
    They replace development files for the Sun RPC library removed in glibc 32.
  * Make libc-dev depend on libnsl-dev.
    It replaces the development files for the new libnsl library replacing the
    one shipped by glibc.
  * Don't check symbols of libnss_nis.so and libnss_nisplus.so libraries.
    They are not shipped in glibc 2.32
  * Depend on libnss-nis and libnss-nisplus shipping the libraries dropped
    in 2.32
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - x86-64: Fix FMA4 detection in ifunc
  * debian/testsuite-xfail-debian.mk: XFAIL unsupported tests failing in
    autopkgtest

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 06 Sep 2020 22:08:44 +0200

glibc (2.31-12) unstable; urgency=medium

  * debian/po/de.po: fix encoding declaration.  Closes: #986450.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - On s390x, check for vector support in memmove ifunc-selector in
      addition to Miscellaneous-Instruction-Extensions.
  * debian/patches/any/local-rtlddir-cross.diff: drop patch, letting upstream
    makefiles to install the dynamic linker symlink directly in the right
    location. This fixes the temporary installation done by upstream makefiles
    to run some tests in a container.  Closes: #973278, #985617.
  * debian/rules.d/build.mk: do not create the dynamic linker manually.
  * debian/sysdeps/*.mk: do not create the dynamic linker manually for
    bi/tri-arch packages.
  * debian/rules.d/build.mk: create the soname symlink for ld-2.xx.so, to
    avoid its creation later by ldconfig.
  * debian/debhelper.in/libc.install, debhelper.in/libc-alt.install,
    debhelper.in/libc-udeb.install, debhelper.in/libc-udeb.install.hurd-i386:
    adjust given that the dynamic linker symlink is now already at the correct
    location.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix GLIBC_TUNABLES parsing for AT_SECURE binaries.
  * debian/rules.d/build.mk: escape EOL so that $configure_build is correctly
    passed to the configure script.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 May 2021 22:56:06 +0200

glibc (2.31-11) unstable; urgency=medium

  * debian/debhelper.in/libc.preinst: handle the case where debconf
    configuration has never been done.  Closes: #986180.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Mar 2021 22:09:32 +0200

glibc (2.31-10) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-tiocflush.diff: Cope with
    BSD 4.1-ish ioctl(..., TIOCFLUSH, NULL).
  * debian/debhelper.in/libc-udeb.install.hurd-i386: Add missing
    libmachuser/libhurduser.
  * debian/testsuite-xfail-debian.mk: Update tests.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a possible assertion failure in iconv when converting
      from ISO-2022-JP-3 to UTF-8 (CVE-2021-3326).  Closes: #981198.
    - Fix a possible double-free in nscd when processing a request for netgroup
      lookup (CVE-2021-27645).  Closes: #983479.
  * debian/debhelper.in/libc.preinst: fallback to text mode in case 1) debconf
    is about to use the dialog frontend with whiptail or frontend and 2) the
    corresponding executable is unusable.  Closes: #984533.
  * debian/rules.d/debhelper.mk: correctly strip libpthread.so for bi/triarch
    builds.  Closes: #983457.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Mar 2021 00:38:37 +0100

glibc (2.31-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update tests.
  * debian/patches/hurd-i386/git-mmap_addr.diff: Fix long-running ghc processes.

  [ Aurelien Jarno ]
  * Upload to unstable.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a buffer over-read when processing invalid multi-byte input
      sequences in the EUC-KR encoding (CVE-2019-25013).  Closes: #979273.
  * debian/control.in/libc: add a Breaks: against libgegl-0.4-0 (<< 0.4.18).
    Closes: #968349.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jan 2021 06:47:42 +0100

glibc (2.31-8) experimental; urgency=medium

  [ Stephen Kitt ]
  * Build memusage and memusagestat in the libc pass and ship them into
    libc-devtools. Move mtrace, sotruss and sprof into that package.
    Closes: #91815.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jan 2021 18:55:16 +0100

glibc (2.31-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update with 2.33 tests.
  * debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Also accept
    CLOCK_MONOTONIC_RAW, CLOCK_REALTIME_COARSE, CLOCK_MONOTONIC_COARSE.
  * debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Rename to
    git-hurdsig-SA_SIGINFO.diff.
  * debian/patches/hurd-i386/tg-sigstate_thread_reference.diff: Rename to
    git-sigstate_thread_reference.diff.
  * debian/patches/hurd-i386/git-siginfo_uesp.diff: Fix ss_sp field in
    siginfo.
  * debian/patches/hurd-i386/git-mmap-EINVAL.diff: Fix mmap EINVAL return value.
  * debian/patches/hurd-i386/git-waitid.diff: Support
    WEXITED/WCONTINUED/WSTOPPED/WNOWAIT.
  * debian/patches/hurd-i386/git-hurd-version.diff: Accept including
    hurd/version.h.
  * debian/patches/kfreebsd/submitted-waitid.diff: Refresh.
  * debian/control: Bump hurd-dev build-dep to get proc_waitid RPC.
  * debian/libc0.3.symbols.hurd-i386: Add proc_waitid RPC.
  * debian/debhelper.in/libc-dev.install.hurd-i386: Add missing
    libpthread_syms.a.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix assertion failure in iconv when converting invalid UCS4
      (CVE-2020-29562).  Closes: #976391.
  * debian/sysdeps/arm64.mk: enable static PIE support on arm64.  Closes:
    #973430.
  * debian/patches/localedata/git-unicode-13-support.diff: backport Unicode 13
    support from upstream.  Closes: #977691.
  * debian/local/manpages/po/pt_BR.po: recode to UTF-8 to make lintian happy.
  * debian/debhelper.in/*.lintian-overrides: update for recent lintian
    versions.
  * debian/patches/any/git-ld.so-cache-endianness-markup.diff: backport ld.so
    cache endianness support from upstream.  Closes: #731082.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jan 2021 17:01:18 +0100

glibc (2.31-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update with 2.33 tests.
  * debian/patches/hurd-i386/git-pthread_link_tests.diff: Fix linking static
    tests with the build libpthread.a.
  * debian/patches/hurd-i386/git-libpthread_syms.diff: Fix linking static tests
    by factorizing the symbols list.
  * debian/patches/hurd-i386/git-libpthread-nodelete.diff: initialize
    libpthread.so first and prevent from unloading.
  * debian/patches/hurd-i386/git-cthreads.diff: Fix build without cthreads.h.
  * debian/patches/hurd-i386/git-cthreads-symbols.diff: Fix libpthread
    detection from libc.
  * debian/patches/hurd-i386/git-libpthread_plt.diff: Fix spurious PLT.
  * debian/patches/hurd-i386/git-lll-initializer.diff,
    debian/patches/hurd-i386/sysvshm-lll.diff,
    debian/patches/hurd-i386/git-lll-ptr.diff,
    debian/patches/hurd-i386/git-ld-library-path-checks.diff,
    debian/patches/hurd-i386/git-lll-wait-intr.diff,
    debian/patches/hurd-i386/git-lll-private.diff,
    debian/patches/hurd-i386/git-futex-internal.diff,
    debian/patches/hurd-i386/git-libc-open.diff,
    debian/patches/hurd-i386/git-pthread_get_cleanup_stack.diff,
    debian/patches/hurd-i386/git-libpthread-testcancel.diff,
    debian/patches/hurd-i386/git-SEM_VALUE_MAX.diff,
    debian/patches/hurd-i386/git-sem-pshared.diff,
    debian/patches/hurd-i386/git-sem-open-init.diff,
    debian/patches/hurd-i386/git-sem-open.diff: Add sem_open support.

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc.NEWS: fix the name if the libnss-nis package,
    thanks to Diederik de Haas for the hint.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Dec 2020 22:33:25 +0100

glibc (2.31-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update with 2.33 tests.
  * debian/patches/hurd-i386/git-clock-cputime.diff: New patch to support
    clock_gettime(CPUTIME).
  * debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Refresh.
  * debian/patches/hurd-i386/local-posix_cputime.diff: Remove.
  * debian/patches/hurd-i386/git-raise.diff: Reject raising invalid signals.
  * debian/patches/hurd-i386/git-sbrk-end.diff: Remove the tst-sbrk tests,
    they fail on various architectures.  Closes: #972510.
  * debian/patches/hurd-i386/git-posix_openpt.diff: Note that patch is
    committed upstream.
  * debian/patches/hurd-i386/git-WAIT.diff: Fix printing fd in ps' WAIT
    output.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix missing floating-point rounding and exception handling functions
      missing on SH4.  Closes: #975421.
    - Fix an infinite loop in iconv with input containing redundant shift
      sequences in the IBM1364, ++  IBM1371, IBM1388, IBM1390, or IBM1399
      character sets (CVE-2020-27618).  Closes: #973914.
  * debian/patches/localedata/locale-C.diff: replace the LC_CTYPE definition
    by 'copy "i18n"'. Note that with this change the "blank", "cntrl",
    "space" classes do not conform to POSIX anymore, however this matches the
    Fedora behaviour.  Closes: #973647.
  * debian/control.in/libc: downgrade libnss-nis and libnss-nisplus
    dependencies to recommends. Closes: #972770, #975052, #972552.
  * debian/debhelper.in/libc.NEWS: add an entry about libnss-nis and
    libnss-nisplus packages.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Dec 2020 08:42:44 +0100

glibc (2.31-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/{unsubmitted-sbrk-_end.diff,tg-pie-sbrk.diff}:
    Merge into...
  * debian/patches/hurd-i386/git-sbrk-end.diff: ... committed patch.
  * debian/patches/hurd-i386/unsubmitted-sched_sets.diff: Rename to...
  * debian/patches/hurd-i386/git-sched_sets.diff: ... committed patch.
  * debian/patches/hurd-i386/local-posix_cputime.diff: New patch to avoid
    applications trying to use extended clock ids.
  * debian/patches/hurd-i386/git-bsd4.3-ioctls.diff: New patch to avoid
    defining elder macros.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Handle translation output codesets with suffixes.  Closes: #968260.
  * debian/control.in/libc: add a Breaks: against libgegl-0.4-0 (<< 0.4.18).
    Closes: #968342.
  * debian/control.in/libc: add a Breaks: against busybox (<< 1.30.1-6) due to
    bug #966074.
  * debian/debhelper.in/libc-dev{,-alt}.lintian-overrides: remove files as
    lintian is now smarter.
  * debian/po/it.po: Update Italian debconf translation, by Luca Monducci.
    Closes: #969219.
  * debian/po/pt_BR.po: Update Brazilian Portuguese debconf translation, by
    Adriano Rafael Gomes. Closes: #970199.
  * debian/po/de.po: recode to UTF-8.
  * debian/rules.d/build.mk: stop passing --enable-obsolete-nsl.
  * debian/debhelper.in/libc-dev{,-alt}.install: do not install libnsl.a.
  * debian/debhelper.in/libc-dev.install.hurd-i386: ditto.
  * debian/libc0.1.symbols.common, debian/libc0.3.symbols.hurd-i386,
    debian/libc6.1.symbols.alpha, debian/libc6.symbols{common,hppa,sparc}:
    remove libnss_nis.so.2 and libnss_nisplus.so.2 symbols.
  * debian/rules.d/build.mk: do not ship <rpcsvc/yppasswd.h> and
    <rpcsvc/yppasswd.x> as they are shipped by libnsl-dev.
  * debian/control.in/libc, debian/rules.d/debhelper.mk: make libc6 to depend on
    libnss-nis and libnss-nisplus, except for stage1 and stage2.
  * debian/control.in/libc, debian/rules.d/debhelper.mk: make libc6-dev to
    depend on libnsl-dev, except for stage1 and stage2.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Oct 2020 21:54:24 +0200

glibc (2.31-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/libc: add a Breaks: against openarena (<< 0.8.8+dfsg-4~)
    due to bug#966150.
  * debian/control.in/libc: add a Breaks: against ioquake3
    (<< 1.36+u20200211.f2c61c1~dfsg-2~) as previous versions are not correctly
    linked with libm.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix an infinite loop in the iconv program (CVE-2016-10228).  Closes:
      #856503.
    - debian/patches/any/submitted-selinux-deprecations.diff: upstreamed.
    - debian/patches/x32/submitted-fix-nptl-setgroups-x32.diff: upstreamed.
  * debian/rules.d/build.mk: install <finclude/math-vector-fortran.h> in the
    multiarch path.  Closes: #962457.

  [ Samuel Thibault ]
  * debian/libc0.3.symbols.hurd-i386: Fix dependency of __errno_location and
    __h_errno_location symbols in libpthread.
  * patches/hurd-i386/unsubmitted-sbrk-_end.diff: Fix _end symbol appearance
    by reworking sbrk.
  * patches/hurd-i386/unsubmitted-sched_sets.diff: Add sched_set/getscheduler.
  * patches/hurd-i386/git-pthread_atfork-hidden.diff: Hide pthread_atfork
    symbols imported to applications, to avoid leaking them.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Aug 2020 17:02:38 +0200

glibc (2.31-2ubuntu1) groovy; urgency=medium

  [ Michael Hudson-Doyle ]
  * Mark tst-getpw as XFAIL on arm64. (LP: #1869364)

  [ Balint Reczey ]
  * Merge from Debian unstable
    - debian/patches/any/submitted-selinux-deprecations.diff: proposed patch to
      ignore the selinux deprecations introduced in libselinux (>= 3.1), fixing
      an FTBFS. (LP: #1887919)
    Remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build amd64 with -O3, and build ppc64 variants (both 64-bit and 32-bit)
      with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, as we still have a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Relax some expected test failures for our infrastructure's quirks.
    - Let nptl/tst-stack4 fail, as it's been racing on several architectures.
    - Copy the fully conditionalized x86 variant for math-vector-fortran.h
      to /usr/include/finclude. On all architectures.
    - Backport x86 CET patches from the trunk.
    - Ship arm64 variant with LSE support in libc6-lse
    - debian/sysdeps/{amd64/i386/x32}.mk: Enable Intel Control Flow
    Dropped changes:
    - Build i386 variants as -march=i686
    - debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/gbp.conf: Add initial configuration
  * debian/debhelper.in/libc.preinst: Fix setting LDCONFIG_NOTRIGGER
    (LP: #1889190)
  * Build-depend again on g++-10-multilib on armel and armhf which were lost in the merge
    (LP: #1889069)
  * debian/control.in/main: Add Vcs-* pointing to Ubuntu packaging repository
  * Don't handle false positive stringop-overflow warnings as errors on ppc64el
  * Fall back to calling nanosleep syscall when __clock_nanosleep returns EINVAL
    (LP: #1871240)
  * debian/testsuite-xfail-debian.mk: XFAIL stdlib/tst-strtod-round on riscv64

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 28 Jul 2020 17:02:16 +0200

glibc (2.31-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/libc: add a Breaks: against macs (<< 2.2.7.1-3~) due to
    bug #965073.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a signed comparison vulnerability in the ARMv7 memcpy and memmove
      functions (CVE-2020-6096).  Closes: #961452.
  * debian/control.in/libc: do not limit the openssh-server breaks to 32-bit
    architectures, clock_nanosleep has to be allowed in addition to
    clock_gettime64.  Closes: #965932.
  * debian/patches/any/submitted-selinux-deprecations.diff: proposed patch to
    ignore the selinux deprecations introduced in libselinux (>= 3.1), fixing
    an FTBFS.  Closes: #965941.
  * debian/patches/x32/submitted-fix-nptl-setgroups-x32.patch: proposed patch
    to fix the setgroups functions in threaded applications on x32 (without
    the testsuite part).  Closes: #965091.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-tls-ie-align.diff: Fix TLS IE load with >=
    8 byte alignment.
  * debian/testsuite-xfail-debian.mk: Update backtrace result.
  * debian/patches/hurd-i386/git-fix-longjmp.diff: Fix longjmp from dl loader.
    Notably fixes calling setuid programs from eatmydata.
  * debian/control: Build-depend on gnumach-dev with userland driver RPC interface.
  * debian/libc0.3.symbols.hurd-i386: Add userland driver RPC interface stubs.
  * debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Make
    clock_nanosleep accept CLOCK_MONOTONIC as well.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 23 Jul 2020 00:26:24 +0200

glibc (2.31-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/control: Build-depend on gcc-10 version that defaults to i686 on
    hurd-i386.
  * debian/control: Build-depend on mig-for-host instead of mig.
  * debian/sysdeps/hurd-i386.mk: Drop adding -march=i686.
  * debian/hurd-i386/git-pselect.diff: Fix pselect atomicity.
  * debian/hurd-i386/git-fexecve.diff: Fix fexecve.
  * debian/hurd-i386/git-cond_destroy.diff: Fix cond_destroy synchronization
    with woken threads.
  * debian/hurd-i386/git-holes.diff: Fix detecting support for file holes.
  * debian/hurd-i386/local-clock_gettime_MONOTONIC.diff: Also fix clock_getres
    with CLOCK_MONOTONIC.
  * debian/hurd-i386/git-longjmp-onstack.diff: Fix longjmp-ing from altstack.
  * debian/hurd-i386/git-register-atfork2.diff: Fix register-atfork ordering.
  * debian/hurd-i386/git-intr-msg-unwind.diff: Fix unwinding over interruptible
    RPC.
  * debian/hurd-i386/git-strtol-test.diff: Fix testing strtol errors.
  * debian/testsuite-xfail-debian.mk: Update.
  * debian/debhelper.in/libc-udeb.install.hurd-i386: Add missing
    libmachuser/libhurduser.
  * debian/rules.d/debhelper.mk: Add dh_link pass to libc-udeb binaryinst.
  * debian/debhelper.in/libc-udeb.links.hurd-i386: Add missing ld.so link.
  * debian/rules: Clean links file.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/any/git-surplus-tls-accounting.diff: backport TLS surplus
    accounting from upstream.  Closes: #964141.
  * debian/control.in/main: update breaks on cross-toolchain-base* as they
    will need changes to build with glibc 2.31.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Jul 2020 21:34:17 +0200

glibc (2.31-0ubuntu11) groovy; urgency=medium

  [ Michael Hudson-Doyle ]
  * Mark tst-getpw as XFAIL on arm64. (LP: #1869364)

  [ Balint Reczey ]
  * debian/control: Add Vcs-* pointing to Ubuntu packaging repository
  * debian/gbp.conf: Add initial configuration
  * debian/debhelper.in/libc.preinst: Fix setting LDCONFIG_NOTRIGGER
  * debian/control.in/main: Add Vcs-* pointing to Ubuntu packaging repository
  * Fall back to calling nanosleep syscall when __clock_nanosleep returns EINVAL
    (LP: #1871240)
  * debian/testsuite-xfail-debian.mk: XFAIL stdlib/tst-strtod-round on riscv64
  * debian/testsuite-xfail-debian.mk: XFAIL tst-getpw on armhf, too
  * debian/watch: Use HTTPS and download xz-compressed tarball
  * debian/watch: Use upstream's signing key to verify the tarball
  * XFAIL stdlib/tst-getrandom (LP: #1891403)

  [ Dimitri John Ledkov ]
  * debian/patches/powerpc: Cherrypick upstream patches to support POWER10
    optimized library loading. (LP: #1887989)

  [ Aurelien Jarno ]
  * debian/patches/any/submitted-selinux-deprecations.diff: proposed patch to
    ignore the selinux deprecations introduced in libselinux (>= 3.1), fixing
    an FTBFS. (Closes: #965941)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 27 Aug 2020 23:36:39 +0200

glibc (2.31-0ubuntu10) groovy; urgency=medium

  * Copy the fully conditionalized x86 variant for math-vector-fortran.h 
    to /usr/include/finclude. On all architectures. LP: #1879092.
  * Backport x86 CET patches from the trunk.
  * debian/patches/git-updates.diff: update from upstream stable branch.
    - [23296] Data race in setting function descriptor during lazy binding
    - [25639] localedata: Some names of days and months wrongly spelt in Occitan
    - [25810] x32: Incorrect syscall entries with pointer, off_t and size_t
    - [25896] Incorrect prctl
    - [25902] Bad LOADARGS_N
    - [25966] Incorrect access of __x86_shared_non_temporal_threshold for x32
    - [25976] nss_compat: internal_end*ent may clobber errno, hiding ERANGE

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jun 2020 11:53:48 +0200

glibc (2.31-0ubuntu9) focal; urgency=medium

  * Ship arm64 variant with LSE support in libc6-lse
  * debian/testsuite-xfail-debian.mk: Mark as XFAIL malloc/tst-mxfast
    and nptl/tst-mutex10 to fix riscv64 FTBFS.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 14 Apr 2020 21:26:04 +0200

glibc (2.31-0ubuntu8) focal; urgency=medium

  * debian/testsuite-xfail-debian.mk: mark as XFAIL the new tst-system
    which is another container test.
 
 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Apr 2020 08:03:34 -0700

glibc (2.31-0ubuntu7) focal; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch.
    - Stop ignoring some float tests for the non-default armel multilib variant.
    - submitted-stt-gnu-ifunc-detection.patch: Remove, applied upstream.
    - 5828bc4523230685ac29a4a882967913255f5666.diff: Remove, applied upstream.
  * Merge with Debian packaging 4cb14efd231568673b889a1ddf095457a19a8acb.
    - Adjust the version number for the openssh-server break.
  * restore__glibc_has_include.diff: Remove, not needed anymore by gcc-N
    packages.
  * debian/sysdeps/*.mk: stop building libcrypt for multilib packages.
    Closes: #951880. LP: #1867432.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Apr 2020 16:42:14 +0200

glibc (2.31-0experimental1) UNRELEASED; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update hurd-i386 results.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Add clone3 syscall to arm64 version of arch-syscall.h.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Mar 2020 12:58:29 +0100

glibc (2.31-0ubuntu6) focal; urgency=medium

  * Bump dependency on libcrypt1 to the version which fixes the path to
    libcrypt.so.1, to avoid files disappearing due to replaces on upgrade.
    LP: #18673431.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Mar 2020 16:21:20 -0700

glibc (2.31-0ubuntu5) focal; urgency=medium

  * Move libcrypt1 back from pre-depends to depends; while this works fine
    on upgrades, it fails on new installations of libc6+libcrypt1 via apt,
    which is relevant for multiarch and therefore not viable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Mar 2020 23:26:31 -0700

glibc (2.31-0ubuntu4) focal; urgency=medium

  * debian/testsuite-xfail-debian.mk: mark as XFAIL various new tests which
    depend on a container setup which does not work correctly with Debian's
    multiarch-style layout.
    (https://sourceware.org/bugzilla/show_bug.cgi?id=25652)
  * Move libcrypt to pre-depends of libc, to ensure libraries possibly
    required by essential packages are always present on disk throughout an
    upgrade.
  * Install the architecture specific math-vector-fortran.h into the multiarch
    include dir. LP: #1861353.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Mar 2020 23:19:41 -0700

glibc (2.31-0ubuntu3) focal; urgency=medium

  * Move ldconfig handling to the very TOP of the preinst, before we attempt
    to load the debconf module, which requires perl.  This properly
    localizes the handling of upgrade ordering to libc + libxcrypt instead
    of involving other packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Mar 2020 13:35:19 -0700

glibc (2.31-0ubuntu2) focal; urgency=medium

  * libcrypt1 breaks/replaces libc6 (<< 2.31). cannot use a pre-depends on
    libcrypt1.  In the preinst, call ldconfig unconditionally for the first
    libc6 depending on libcrypt1
  * libc6: Depend on libgcc-sN instead of libgccN.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2020 09:34:11 +0100

glibc (2.31-0ubuntu1) focal; urgency=medium

  * Merge with current Debian git glibc-2.31.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * Ignore test failures for sysvipc/test-sysvmsg, sysvipc/test-sysvsem and
    sysvipc/test-sysvshm on 32bit architectures, failing on the xenial kernel,
    succeeding on the bionic and focal kernels.
  * Restore the __glibc_has_include macro, needed until GCC is rebuilt
    to not include this in the fixed-include headers.
  * Backport 5828bc4523230685ac29a4a882967913255f5666, making the clone3
    syscall known on arm64, fixing misc/tst-glibcsyscalls.
  * Ignore some float tests for the non-default armel multilib variant.
    https://sourceware.org/ml/libc-alpha/2020-03/msg00074.html

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 12:06:42 +0100

glibc (2.31-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Add an explicit dependency on $(stamp)build_libc for the build-indep
    target. Currently the build is made during the binary-indep target
    instead.
  * debian/control.in/main: build-depends on gcc-10 (>= 10-20200431) on arm64
    to ensure that -moutline-atomics is enabled by default.  Closes: #956418.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/debhelper.in/libc.NEWS: add an entry explaining the new trust-ad
    option in resolv.conf.
  * debian/patches/riscv64/local-asin-acos-raise-invalid.diff: new patch to
    workaround a GCC 10 bug on riscv64.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-tst-udp.diff: New patch to fix
    sunrpc/tst-udp-* failures.
  * debian/sysdeps/hurd-i386.mk: Add -march=i686 to fix math issues until gcc
    is fixed to switch to i686 as was actually expected already.
  * debian/testsuite-xfail-debian.mk: Update hurd-i386 results.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 May 2020 00:19:13 +0200

glibc (2.31-0experimental0) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - Adds GNU hash support on MIPS (closes: #943538).
    - debian/symbols.wildcard: add 2.31.
    - debian/debhelper.in/libc-dev{,-alt}.install: drop libmvec_nonshared.a.
    - debian/patches/localedata/locales/ku_TR: rebased.
    - debian/patches/localedata/fo_FO-date_fmt.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/localedata/locale-zh_TW.diff: rebased.
    - debian/patches/localedata/submitted-bz9725-locale-sv_SE.diff:
      upstreamed.
    - debian/patches/localedata/submitted-en_AU-date_fmt.diff: upstreamed.
    - debian/patches/alpha/local-string-functions.diff: rebased.
    - debian/patches/hurd-i386/git-ONSTACK.diff: upstreamed.
    - debian/patches/hurd-i386/git-getrandom.diff: upstreamed.
    - debian/patches/hurd-i386/git-altstack-RPC.diff: upstreamed.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: rebased.
    - debian/patches/hurd-i386/git-context_functions.diff: upstreamed.
    - debian/patches/hurd-i386/tg-thread-cancel.diff: rebased.
    - debian/patches/hurd-i386/git-sendmsg-SCM_RIGHTS.diff: upstreamed.
    - debian/patches/hurd-i386/git-hurdsig-fixes.diff: upstreamed.
    - debian/patches/hurd-i386/git-hurdsig-global-dispositions.diff:
      upstreamed.
    - debian/patches/hurd-i386/git-hurdsig-globaldisp-version.diff: upstreamed.
    - debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: rebased.
    - debian/patches/hurd-i386/git-hurdsig-fixes-2.diff: upstreamed.
    - debian/patches/hurd-i386/git-hurdsig-boot-fix.diff: upstreamed.
    - debian/patches/hurd-i386/git-single-select-timeout.diff: upstreamed.
    - debian/patches/hurd-i386/git-setitimer.diff: upstreamed.
    - debian/patches/hurd-i386/git-remap_getcwd.diff: upstreamed.
    - debian/patches/hurd-i386/git-io_select_timeout.diff: upstreamed.
    - debian/patches/hurd-i386/git-poll_errors_fixes.diff: upstreamed.
    - debian/patches/hurd-i386/local-mach_print.diff: rebased.
    - debian/patches/hurd-i386/local-exec_filename.diff: rebased.
    - debian/patches/hurd-i386/git-libpthread_sigs.diff: upstreamed.
    - debian/patches/hurd-i386/git-hurd_sigstate-PLT.diff: upstreamed.
    - debian/patches/hurd-i386/git-rlock.diff: upstreamed.
    - debian/patches/hurd-i386/git-errno_location.diff: upstreamed.
    - debian/patches/powerpc/local-powerpc8xx-dcbz.diff: rebased.
    - debian/patches/sh4/local-fpscr_values.diff: rebased.
    - debian/patches/any/local-ldconfig.diff: upstreamed.
    - debian/patches/any/submitted-bits-fcntl_h-at.diff: rebased.
    - debian/patches/any/unsubmitted-dlopen-static-crash.diff: obsolete.
    - debian/patches/any/local-test-install.diff: rebased.
  * debian/control.in/libc: add a Breaks on openssh-server (<< 1:8.1p1-5) on
    32-bit architectures with seccomp support, to the allow clock_gettime64
    syscall.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Refresh.
  * debian/patches/hurd-i386/submitted-net.diff: Refresh.
  * debian/testsuite-xfail-debian.mk: Update hurd-i386 results.
  * debian/debhelper.in/libc-dev.install.hurd-i386: Do not install
    libpthread_nonshared, removed upstream.
  * debian/patches/hurd-i386/local-atfork-link.diff: Remove, now useless.
  * debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Fix build.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Mar 2020 07:10:01 +0100

glibc (2.30-8) unstable; urgency=medium

  * sysdeps/hurd.mk: Move ld.so link creation to hurd-i386.mk since it is
    32bit-specific.
  * sysdeps/hurd-i386.mk: Move i386-specific mach headers to multiarch
    directory, so they get accessible from the "machine" symlink of the
    gnumach-dev package.
  * patches/hurd-i386/git-ss_init.diff: Add missing ss initialization. Fixes
    Xorg startup error, and possibly a lot other bugs with threads.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 May 2020 02:04:03 +0200

glibc (2.30-7) unstable; urgency=medium

  * debian/debhelper.in/libc.postinst: re-add /etc/ld.so.nohwcapc code.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 May 2020 20:12:38 +0200

glibc (2.30-6) unstable; urgency=medium

  * debian/sysdeps/s390x.mk: do not set libc_rtlddir, it is set to the
    default.
  * debian/rules.d/debhelper.mk: only create the dynamic linker in the udeb
    if it doesn't already exist.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 May 2020 12:32:42 +0200

glibc (2.30-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-trunc-times.diff: New patch to fix updating
    mtime/ctime on O_TRUNC.  Closes: #955270.
  * debian/control: Drop dependency on libihash-dev, not used any more by htl.
  * debian/sysdeps/hurd.mk: Try to symlink mach/hurd headers from multiarch
    directory when they are there.

  [ Aurelien Jarno ]
  * debian/rules: Add -fdebug-prefix-map= to CFLAGS to improve
    reproducibility.
  * debian/control.in/libc: Make libcX-dev declare a Breaks against python3.7
    (<< 3.7.7-1+b1) and python3.8 (<< 3.8.2-1+b1) due to #955474.
  * debian/rules.d/debhelper.mk: install the dynamic loader symlink in the
    udeb package.
  * debian/control: conflict against libgcc-X-dev versions that might need the
    __glibc_has_include macro.
  * debian/patches/any/local-revert-glibc_has_include.diff: drop patch,
    obsolete.
  * debian/control.in/libc: add a Provides: libc6-dbgsym to the libc6-dbg
    package.  Closes: #953654.
  * debian/control.in/libc: qualify the libselinux-dev build-depends with
    <!stage2>.
  * debian/debhelper.in/libc.postinst: drop the code removing
    /etc/ld.so.hwcappkgs, it's not needed anymore since Squeeze.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes data race in setting function descriptor during lazy binding on
      hppa. Closes: #941174.
    - debian/patches/any/local-tst-system-disable-shell-tests.diff: obsolete.

  [ Helmut Grohne ]
  * Refactor generation of multilib include symlinks. (Closes: #958674).
  * Initial, minimal support for DPKG_ROOT. (Closes: #910685).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 04 May 2020 23:39:18 +0200

glibc (2.30-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc.preinst, debian/rules.d/debhelper.mk: there
    is no easy way to check if a file belongs to a package with usrmerge.
    Just drop all safety checks...  Closes: #954915.
  * debian/patches/any/local-tst-system-disable-shell-tests.diff: disable
    tests that rely on a particular shell until a fix is found upstream.

  [ John Paul Adrian Glaubitz ]
  * debian/testsuite-xfail-debian.mk: mark nptl/tst-cond8-static and
    nptl/tst-mutex{,pi}8-static as XFAIL on sparc64.  Closes: #953869.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 25 Mar 2020 13:56:56 +0100

glibc (2.30-3) unstable; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a defect in the PowerPC backtrace function that could cause an
      out-of-bounds write when executed in a signal frame context
      (CVE-2020-1751).
    - Fix use-after-free vulnerability in the glob function when expanding
      ~user (CVE-2020-1752).  Closes: #953788.
  * debian/debhelper.in/libc.preinst, debian/rules.d/debhelper.mk: determine
    ld.so ELF magic at build time instead of at run time to avoid using
    "readlink -m".  Closes: #954374.
  * debian/rules.d/build.mk: unset LANGUAGE when running the testsuite.
  * debian/testsuite-xfail-debian.mk: ignore signal/tst-minsigstksz-1 and
    signal/tst-minsigstksz-2 on i386, they fail on i386 with an AVX-512 CPUs
    due to a kernel bug.  Closes: #954715.
  * debian/control.in/libc, debian/rules.d/debhelper.mk: Make libcX-dev
    declare a Breaks against libcX-dev-${DEB_HOST_ARCH}-cross
    (<< ${CURRENT_UPSTREAM_VERSION}~).  Closes: #954393.
  * debian/control.in/libc, debian/control.in/main: drop Conflicts, Breaks and
    Replaces against package version older than the one available in
    oldstable.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Mar 2020 23:31:35 +0100

glibc (2.30-2) unstable; urgency=medium

  * debian/rules.d/debhelper.mk: depends on libgcc-sN instead of libgccN.
    Closes: #953657.
  * debian/rules.d/build.mk: do not install <finclude/math-vector-fortran.h>
    for now as it is not multiarch safe.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Mar 2020 23:47:03 +0100

glibc (2.30-0experimental3) UNRELEASED; urgency=medium

  [ Samuel Thibault ]
  * testsuite-xfail-debian.mk: Update non-regressions.
  * debian/patches/hurd-i386/git-fork-pthread_exit.diff: New patch to fix
    pthread_exit after fork.
  * debian/patches/hurd-i386/git-spin_lock.diff: New patch to fix
    pthread_spin_lock behavior for shared memory.
  * debian/patches/hurd-i386/git-barrier-1.diff: New patch to fix
    pthread_barrier_wait with one thread.
  * debian/patches/hurd-i386/git-sem-intr.diff: New patch to make
    sem_wait/timedwait interruptible.
  * debian/patches/hurd-i386/local-atfork-link.diff: New patch to fix
    libpthread link.
  * debian/patches/hurd-i386/git-register-atfork.diff: Fix linking with static
    libpthread.
  * debian/patches/hurd-i386/git-pthread_self.diff: New patch to improve
    libpthread performance.

  [ Aurelien Jarno ]
  * debian/patches/any/local-revert-24323.diff: drop, obsolete.
  * debian/control.in/libc: add a Breaks: against wcc (<< 0.0.2+dfsg-3).
  * debian/patches/any/submitted-stt-gnu-ifunc-detection.patch: update to
    version 2 of the patch to fix the wrong detection on sparc.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix argument passing for inlined syscalls on mips* and riscv64.
      Closes: #951237.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Feb 2020 03:08:56 +0100

glibc (2.30-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/patches/any/submitted-stt-gnu-ifunc-detection.patch: fix
    STT_GNU_IFUNC assembler and linker detection for toolchains defaulting to
    PIE.
  * debian/sysdeps/mips*.mk: drop -no-pie.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 05 Feb 2020 23:01:35 +0100

glibc (2.30-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-sendmsg-SCM_RIGHTS.diff: Rename to
    git-sendmsg-SCM_RIGHTS.diff.
  * patches/hurd-i386/tg-context_functions.diff: Rename to
    git-context_functions.diff.
  * patches/hurd-i386/tg-hurdsig-fixes.diff: Rename to git-hurdsig-fixes.diff.
  * patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rename to
    git-hurdsig-global-dispositions.diff, refresh.
  * patches/hurd-i386/local-hurdsig-globaldisp-version.diff: Rename to
    git-hurdsig-globaldisp-version.diff.
  * patches/hurd-i386/tg-hurdsig-fixes-2.diff: Rename to
    git-hurdsig-fixes-2.diff.
  * patches/hurd-i386/tg-hurdsig-boot-fix.diff: Rename to
    git-hurdsig-boot-fix.diff.
  * patches/hurd-i386/libpthread_sigs.diff: Rename to libpthread_sigs.diff.
  * patches/hurd-i386/local-hurd_sigstate-PLT.diff: Rename to
    git-hurd_sigstate-PLT.diff.
  * patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Refresh.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 02 Jan 2020 12:16:20 +0100

glibc (2.30-0ubuntu3) focal; urgency=medium

  * Cherrypick upstream fix for strstr on s390x z15. LP: #1854326

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 Nov 2019 14:19:57 +0000

glibc (2.30-0ubuntu2) eoan; urgency=medium

  * Merge with current Debian git, bringing in container-based testsuite fix:
    - debian/patches/any/local-test-install.diff: Use install_root rather than
      DESTDIR when installing container root, since we override install_root.
  * debian/patches/ubuntu/local-pldd-root.diff: Run tst-pldd as root to get us
    CAP_SYS_PTRACE, which is disabled by default in Ubuntu for non-root users.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Sep 2019 08:56:30 -0600

glibc (2.30-0ubuntu1) eoan; urgency=medium

  * Merge with current 2.30 in Debian git (LP: #1842024), remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, as we still have a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Relax some expected test failures for our infrastructure's quirks.
  * Let nptl/tst-stack4 fail, as it's been racing on several architectures.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Aug 2019 04:14:59 -0600

glibc (2.30-0experimental0) UNRELEASED; urgency=medium

  [ Adam Conrad ]
  * New upstream release 2.30, with git updates up to 2019-09-08:
    - debian/symbols.wildcard: Add 2.30, and debian/control: Regenerate.
    - debian/patches/any/git-libio-stdout-putc.diff: Upstreamed.
    - debian/patches/any/git-pexpect-pretty-printers.diff: Upstreamed.
    - debian/patches/any/git-socket-constants.diff: Upstreamed.
    - debian/patches/any/local-tst-eintr1-eagain.diff: Obsolete.
    - debian/patches/hurd-i386/git-renameat2.diff: Upstreamed.
    - debian/patches/any/submitted-resolv-unaligned.diff: Rebased.
    - debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Rebased.
    - debian/patches/hurd-i386/tg-hurdsig-fixes-2.diff: Rebased.
    - debian/patches/hurd-i386/tg-hurdsig-fixes.diff: Rebased.
    - debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rebased.
    - debian/patches/hurd-i386/tg-io_select_timeout.diff: Rebased.
    - debian/patches/hurd-i386/tg-thread-cancel.diff: Rebased.
    - debian/patches/kfreebsd/submitted-auxv.diff: Rebased.
    - debian/patches/locale/locale-print-LANGUAGE.diff: Update for new test.
  * debian/patches/any/local-test-install.diff: Use install_root rather than
    DESTDIR when installing container root, since we override install_root.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-fix-nss.diff: Rebased.
  * debian/patches/hurd-i386/{tg-single-select-timeout.diff,tg-setitimer.diff,
    tg-remap_getcwd.diff,tg-io_select_timeout.diff,tg-poll_errors_fixes.diff,
    submitted-anon-mmap-shared.diff,tg-ONSTACK.diff}: Rename to git-foo,
    committed upstream for 2.31.
  * debian/testsuite-xfail-debian.mk: Update with new failing tests and fixed
    tests.
  * debian/patches/hurd-i386/git-ONSTACK.diff: Move earlier in the queue,
    since was applied upstream.
  * debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rebase
    accordingly.
  * debian/patches/hurd-i386/libpthread_version.diff: Remove, now useless.
  * debian/patches/hurd-i386/local-hurdsig-globaldisp-version.diff: Remove
    version compatibility symbols, now useless.
  * debian/libc0.3.symbols.hurd-i386: Update accordingly.
  * debian/patches/hurd-i386/tg-sysvshm.diff: Fix warning.
  * debian/patches/hurd-i386/local-versionshack.diff: Remove, now useless.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Dec 2019 23:18:04 +0100

glibc (2.29-10) unstable; urgency=medium

  * debian/debhelper.in/libc.{preinst,postrm}: Remove fallback to dpkg
    --print-architecture for pre-multiarch systems.
  * debian/debhelper.in/libc.preinst: fallback to text output in case
    perl debconf is used and perl is not usable.  Closes: #946599, #950389.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 04 Feb 2020 20:37:26 +0100

glibc (2.29-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/local-fix-nss.diff: Refresh.
  * patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Fix setitimer.

  [ Aurelien Jarno ]
  * debian/sysdeps/{amd64,x32}.mk: do not optimize i386 pass for pentium4.
    Closes: #948396.
  * debian/patches/any/local-revert-24323.diff: revert upstream change
    preventing dlopening PIE executable, The patch is correct, but breaks
    the autopkgtest for wcc and prevents the migration of glibc to testing.
    Revert it temporarily until wcc is fixed. See #948613.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 10 Jan 2020 23:21:25 +0100

glibc (2.29-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/posix_openpt.diff: Add posix_openpt support.
  * patches/hurd-i386/git-errno_location.diff: Fix pthread link of protobuf.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes ASLR bypass for setuid programs (CVE-2019-19126).  Closes: #945250.
    - debian/patches/any/git-socket-constants.diff: upstreamed.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Jan 2020 13:03:42 +0100

glibc (2.29-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-altstack-RPC.diff: Fix restoring from altstack while
    blocked in an RPC.
  * patches/hurd-i386/git-getrandom.diff: Add support for getrandom &
    getentropy.

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: change dependency from libcrypt1-dev to
    libcrypt-dev.  Closes: #947778.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Dec 2019 19:12:42 +0100

glibc (2.29-6) unstable; urgency=medium

  * debian/shlibs-add-udebs: drop libcrypt.
  * Fix rebootstrap and cross-toolchain-base (Closes: #946396):
    - debian/control.in/libc: replace libcrypt1 by ${libcrypt:Depends} and
      libcrypt1-dev by ${libcrypt-dev:Depends}.
    - debian/rules.d/debhelper.mk: add libcrypt:Depends=libcrypt1 and
      libcrypt-dev:Depends=libcrypt1-dev to substvars unless build with stage1
      or stage2 profiles.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Dec 2019 00:06:38 +0100

glibc (2.29-5) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 06 Dec 2019 21:33:17 +0100

glibc (2.29-4) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Upload to experimental.
  * debian/control.in/libc: make libc depends on libcrypt1, libc-dev depends
    on libcrypt1-dev and libc-udeb depends on libcrypt1-udeb.  Closes:
    #941853.
  * debian/rules, debian/rules.d/build.mk, debian/rules.d/debhelper.mk,
    debian/sysdeps/amd64.mk: disable libcrypt by passing --disable-crypt
    except for bi/triarch builds.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Nov 2019 22:36:50 +0100

glibc (2.29-3) unstable; urgency=medium

  [ Svante Signell ]
  * patches/hurd-i386/git-rlock.diff: New patch to add support for record
    locking.

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-locarchive.diff,tg-WRLCK-upgrade.diff: Remove, now
    useless.
  * control: Bump hurd-dev dependency to get record locking RPC.
  * libc0.3.symbols.hurd-i386: Update accordingly.
  * patches/arm/unsubmitted-ldso-abi-check.diff: Remove obsolete patch.
    Closes: #943798.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Oct 2019 23:31:12 +0100

glibc (2.29-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/main: drop the <!nocheck> profile from the
    python3:native build-depends.  Closes: #939871.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix getegid, geteuid and getppid on alpha with < 5.1 kernels.
      Closes: #939898.

  [ Sven Joachim ]
  * debian/script.in/nsscheck.sh: Do not restart services of different
    architecture than libc.  Closes: #700472.

  [ Samuel Thibault ]
  * patches/hurd-i386/submitted-anon-mmap-shared.diff: Re-disable, actually
    makes some tests fail.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Sep 2019 21:39:03 +0200

glibc (2.29-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix math tests on alpha.
  * debian/sysdeps/alpha.mk, debian/control.in/main: do not force build with
    gcc-8.
  * debian/testsuite-xfail-debian.mk: XFAIL narrowing add/sub tests, they
    have always failed since they have been introduced.
  * debian/control.in/libc: add a Breaks: iraf-fitsutil (<< 2018.07.06-4) to
    libc0.1/0.3/6/6.1. See bug#939523.
  * debian/testsuite-xfail-debian.mk: drop XFAILs related to the wrong value
    of (MIN)SIGSTKSZ for 32-bit processes on arm64, now that (old-)stable
    kernels are fixed.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/submitted-anon-mmap-shared.diff: Enable, now that
    hurd 2017 is behind.
  * control: Break old version of hurd package accordingly.
  * debian/patches/hurd-i386/local-exec_filename.diff: Fix glibc 2.26
    _hurd_exec_paths symbol visibility.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Sep 2019 22:34:02 +0200

glibc (2.29-0experimental1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/hurd-i386/submitted-net.diff: rebase.
  * debian/patches/hurd-i386/local-fix-nss.diff: rebase.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix math tests on hppa.
  * debian/testsuite-xfail-debian.mk: XFAIL two new tests on HPPA that are
    due to a bug in the testsuite, reported upstream.
  * debian/sysdeps/sparc64.mk: disable PIE on sparc64 as it produces broken
    binaries, causing issues in the testsuite.
  * debian/sysdeps/alpha.mk, debian/control.in/main: build with gcc-8 on alpha
    as gcc-9 introduces math errors in the testsuite.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Aug 2019 11:13:51 +0200

glibc (2.29-0ubuntu3) eoan; urgency=medium

  * debian/sysdeps/{amd64/i386/x32}.mk: Enable Intel Control Flow
    Integrity to fix FTFBS since this is now default in gcc. LP: #1833067.

 -- Alex Murray <alex.murray@canonical.com>  Mon, 03 Jun 2019 21:55:06 +0930

glibc (2.29-0ubuntu2) disco; urgency=medium

  * debian/patches/git-updates.diff: Update from upstream stable branch,
    including "S390: Mark vx and vxe as important hwcap" (LP: #1821200)
  * debian/testsuite-xfail-debian.mk: XFAIL new tst-nss-test3 for disco.
  * debian/debhelper.in/libc.postinst: Only restart services once each.
  * debian/patches/arm/unsubmitted-ldso-abi-check.diff: Fix rtld segv in
    dl_open() introduced via merge with upstream at 2.28 (LP: #1821677)
  * debian/testsuite-xfail-debian.mk: XFAIL new tst-support_descriptors.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 07 Apr 2019 14:12:24 -0600

glibc (2.29-0ubuntu1) disco; urgency=medium

  * Merge with current 2.29 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Let tst-ttyname fail on armhf and armel, as it currently fails in lxc.
  * debian/patches/ubuntu/submitted-no-sprintf-pre-truncate.diff: Adjust to
    new upstream code, and mangle the upstream tests to expect our behaviour.
  * debian/{script.in/nsscheck.sh,debhelper.in/libc.*inst}: Tidy up NSS_CHECK
    code, fixing handling for GDM and removing file-rc cruft from yesteryear.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Feb 2019 07:19:41 -0700

glibc (2.29-0experimental0) experimental; urgency=medium

  [ Adam Conrad ]
  * New upstream release 2.29, with git updates up to 2019-02-20:
    - Add PF_XDP, AF_XDP and SOL_XDP to bits/socket.h.  Closes: #933800.
    - debian/symbols.wildcard: Add 2.29, and debian/control: Regenrate.
    - debian/patches/localedata/locales_CH.diff: Applied upstream.
    - debian/patches/localedata/submitted-it_IT-thousands_sep.diff: Upstreamed.
    - debian/patches/localedata/git-en_US-date_fmt.diff: Applied upstream.
    - debian/patches/hurd-i386/git-magic-pid.diff: Applied upstream.
    - debian/patches/hurd-i386/git-interrupt_timeout_EIO.diff: Upstreamed.
    - debian/patches/hurd-i386/git-interrupt_timeout.diff: Applied upstream.
    - debian/patches/hurd-i386/git-intr-msg.diff: Applied upstream.
    - debian/patches/hurd-i386/git-pci.diff: Applied upstream.
    - debian/patches/hurd-i386/git-msync.diff: Applied upstream.
    - debian/patches/hurd-i386/git-spawn-open.diff: Applied upstream.
    - debian/patches/hurd-i386/git-tst-preadvwritev2-common.c.diff: Upstreamed.
    - debian/patches/hurd-i386/git-fcntl64.diff: Applied upstream.
    - debian/patches/hurd-i386/git-lockf-0.diff: Applied upstream.
    - debian/patches/hurd-i386/git-libpthread_setpshared.diff: Upstreamed.
    - debian/patches/hurd-i386/git-AT_EMPTY_PATH.diff: Applied upstream.
    - debian/patches/hurd-i386/git-altstack.diff: Applied upstream.
    - debian/patches/riscv64/git-thread-debugging.diff: Applied upstream.
    - debian/patches/sparc/submitted-sparc64-socketcall.diff: Applied upstream.
    - debian/patches/any/local-tst-mktime2.diff: Applied upstream.
    - debian/patches/all/local-remove-manual.diff: Rebased.
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/any/git-libio-stdout-putc.diff: Rebased.
    - debian/patches/hurd-i386/local-exec_filename.diff: Rebased.
    - debian/patches/hurd-i386/local-hurdsig-globaldisp-version.diff: Rebased.
    - debian/patches/hurd-i386/submitted-anon-mmap-shared.diff: Rebased.
    - debian/patches/hurd-i386/tg-EGREGIOUS-fr.diff: Rebased.
    - debian/patches/hurd-i386/tg-EIEIO-fr.diff: Rebased.
    - debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: Rebased.
    - debian/patches/hurd-i386/tg-io_select_timeout.diff: Rebased.
    - debian/patches/kfreebsd/submitted-auxv.diff: Rebased.
  * debian/rules.d/build.mk: Switch to new localedata/install-locale-files:
    - debian/patches/localedata/local-all-no-archive.diff: Dropped for above.
  * debian/testsuite-xfail-debian.mk: XFAIL tst-thread-exit-clobber, and
    tst-minsigstksz*, and tst-xsigstack on armhf, which fail on aarch64 hosts.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/submitted-net.diff: Rebased.
  * debian/patches/hurd-i386/tg-bits_atomic.h_multiple_threads.diff: Rebased.
  * debian/patches/hurd-i386/local-fix-nss.diff: Fix tst-nss-test3 test.
  * debian/testsuite-xfail-debian.mk: Clean out test build failures, they are
    now handled upstream. Clean out now-fixed tests.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix build on alpha with recent kernel headers.  Closes: #934823.
    - debian/patches/any/git-libio-stdout-putc.diff: rebased.
  * debian/control.in/main, debian/rules: drop the multiarch-support package.
    Closes: #910669.
  * debian/glibc-source.filelist, debian/libc6.symbols.powerpcspe,
    debian/rules.d/control.mk, debian/sysdeps/powerpcspe.mk,
    debian/testsuite-xfail-debian.mk: Drop the powerpcspe architecture, it is
    not supported anymore by GCC 9 and will be removed in GLIBC 2.30.
  * debian/rules: do not export SHELL, it is already set through configparms.
  * debian/patches/git-pexpect-pretty-printers.diff: backport pretty printer
    fix to support recent versions of GDB with color output.
  * debian/testsuite-xfail-debian.mk: drop XFAILs that were due to kernel bugs
    which are now fixed in both oldstable and stable kernels.
  * debian/rules: drop -no-pie -fno-PIE options. This is now fully supported
    by the GNU libc.
  * debian/testsuite-xfail-debian.mk: drop XFAILs that have been fixed for
    quite some time.
  * debian/control.in/main, debian/rules: build with GCC 9.
  * debian/sysdeps/mips*.mk: drop -mno-plt, but keep -mno-pie.
  * debian/patches/any/git-socket-constants.diff: backport upstream change to
    use in-tree copy of SO_ constants for !__USE_MISC to fix compatibility
    with recent kernel headers.
  * debian/shlibs-add-udebs: remove the udeb entries automatically added by
    dh_makeshlibs before proceeding to workaround debhelper bugs#934889 and
    #934891.

  [ YunQiang Su ]
  * Fix ld.so link on mips{64,n32}r6{,el}.  Closes: #933513.

  [ Sven Mueller ]
  * debian/rules: honor noudeb build profile.  Closes: #930734.

  [ Josh Triplett ]
  * debian/patches/any/submitted-ld.so-cache-new-format.diff: default to the
    new format for ld.so.cache.  Closes: #908946.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 16 Aug 2019 12:42:42 +0200

glibc (2.28-10) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix infinite loop in pldd.  Closes: #913929.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 May 2019 19:24:19 +0200

glibc (2.28-9) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix heap-based buffer over-read in regular-expression matching
      (CVE-2019-9169).  Closes: #924612.
    - Add entry for the new Japanese era to the ja_JP locale.  Closes:
      #927914.

  [ Adam Conrad ]
  * debian/patches/arm/unsubmitted-ldso-abi-check.diff: Fix rtld segv in
    dl_open() introduced via merge with upstream at 2.28 (LP: #1821677)

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 25 Apr 2019 21:12:03 +0200

glibc (2.28-8) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * Update Danish debconf translation, by Joe Hansen.  Closes: #923055.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/libpthread_sigs.diff: Enable patch to restore
    per-thread signal distribution, lost on upgrading to 2.28. Fixes go.
  * debian/patches/hurd-i386/git-renameat2.diff: New patch, fixes renameat2,
    now used by coreutils.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Feb 2019 21:56:01 -0800

glibc (2.28-7) unstable; urgency=medium

  * debian/patches/hurd-i386/local-no-bootstrap-fs-access.diff: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 18:34:27 +0100

glibc (2.28-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-AT_EMPTY_PATH.diff: New patch, fixes qt's
    file size query.
  * debian/patches/hurd-i386/git-altstack.diff: New patch, fixes altstack
    initial state.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a buffer overflow in string/memory functions on x32 (CVE-2019-6488).
    - Reject IP addresses with trailing characters (CVE-2016-10739).  Closes:
      #920047.
    - Fix wrong return value for memcmp on amd64 and x32 due to mishandling
      of most significant bit (CVE-2019-7309).
  * Update Russian debconf translation, by Lev Lamberov.  Closes:
    #921165.
  * debian/patches/any/local-ldso-disable-hwcap.diff: only check for
    /etc/ld.so.nohwcap on alpha, hurd-i386 and i386. Based on a patch from
    Josh Triplett.  Closes: #908928.
  * debian/patches/any/git-libio-stdout-putc.diff: fix puts and putchar output
    with change stdout pointer.  Closes: #761300.
  * debhelper.in/locales.bug-presubj: drop obsolete file, the dependency
    mechanism for locales has been changes a lot of time ago.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Feb 2019 19:55:42 +0100

glibc (2.28-5) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/script.in/nsscheck.sh: fix a typo s/samaba/samba/. Closes:
    #909047.
  * debian/debhelper.in/libc.postrm: suidmanager is long gone, remove support
    for it.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/arm/submitted-gcc-8-kernel-assisted-atomics.diff:
      upstreamed.
    - any/submitted-workaround-math-errno-gcc-bug.diff: upstreamed.
  * debian/control.in/libc: fix nocache Breaks, set it to (<< 1.1-1~). Closes:
    #918583.
  * debian/patches/localedata/git-en_US-date_fmt.diff: backport from upstream
    support for date_fmt for the en_US locale. Closes: #877900.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-libpthread_setpshared.diff: New patch to
    avoid letting packages use setpshared.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jan 2019 18:50:25 +0100

glibc (2.28-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: whitelist math/test-fenv on riscv64.
    This failure is also due to a kernel bug.
  * debian/sysdeps/riscv64.mk: increase TIMEOUTFACTOR to 100 on riscv64.
  * debian/local/manpages/*: remove manpages that are not installed in the
    binary packages.
  * debian/local/manpages/po/de.po: update German manpages translations, by
    Helge Kreutzmann. Closes: #877434.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/any/submitted-sigaction-sa-restorer.diff: upstreamed.
  * debian/testsuite-xfail-debian.mk: whitelist tests that sometimes fail in
    a riscv64 QEMU VM, but not on a HiFive Unleashed board.
  * debian/patches/submitted-gcc-8-kernel-assisted-atomics.diff: fix kernel
    assisted atomics on armel with GCC 8.
  * debian/control.in/main, debian/sysdeps/armel.mk: build with GCC 8 on
    armel.
  * debian/patches/any/submitted-workaround-math-errno-gcc-bug.diff:
    workaround GCC bug BZ #88576 / Debian #917115 by not using -fmath-errno
    outside of libm.  Closes: #916779.
  * debian/patches/riscv64/git-thread-debugging.diff: fix thread debugging
    in gdb on riscv64.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: whitelist failing new tests on hurd.
  * debian/patches/hurd-i386/git-fcntl64.diff: Fix 64bit implementation.
  * debian/patches/hurd-i386/tg-context_functions.diff: Update from topgit.
  * debian/patches/hurd-i386/tg-sysvshm.diff: Update from topgit.
  * debian/patches/hurd-i386/tg-magic-pid.diff: rename to git-magic-pid.diff.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Dec 2018 11:04:27 +0100

glibc (2.28-3) unstable; urgency=medium

  [ John David Anglin ]
  * debian/testsuite-xfail-debian.mk: whitelist misc/tst-preadvwritev2,
    misc/tst-preadvwritev64v2 and test-xfail-tst-setcontext7 on hppa.  Closes:
    #915676.

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: whitelist math/test-float64x-float128-mul
    on sparc64.  Closes: #916124.
  * debian/control.in/libc: add a Breaks: nocache (<< 1.0-1 ) to
    @libc@ as it doesn't work with glibc 2.28.
  * debian/testsuite-xfail-debian.mk: whitelist math/test-fpucw,
    math/test-fpucw-ieee, math/test-fpucw-ieee-static and
    math/test-fpucw-static on riscv64. Thoses failures are due to a kernel
    bug.
  * debian/sysdeps/riscv64.mk: increase TIMEOUTFACTOR to 50 on riscv64.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/riscv64/submitted-start-cfi.diff: upstreamed.
  * debian/patches/submitted-sigaction-sa-restorer.diff: fix a regression in
    sigaction on m68k.  Closes: #915958.
  * debian/script.in/nsscheck.sh: drop direct support for file-rc and always
    run invoke-rc.d instead. invoke-rc.d in stretch has support for file-rc.
    Closes: #916588.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Dec 2018 18:25:59 +0100

glibc (2.28-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-fcntl64.diff: Fix returning value returned by
    __f_setlk.

  [ Aurelien Jarno ]
  * debian/control.in/libc: breaks r-cran-later (<< 0.7.5+dfsg-2), ie
    versions built with tinycthread.  Closes: #915339.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/testsuite-xfail-debian.mk: allow tst-pkey to fail on ppc64el, ppc64
    powerpc and powerpcspe as the glibc implementation is still only partial.
    Closes: #914997.
  * debian/control.in/main: glibc-source: add breaks on cross-toolchain-base
    (<< 29~) and cross-toolchain-base-ports (<< 25~) as those packages are not
    compatible with glibc 2.28.  Closes: #915621.
  * debian/testsuite-xfail-debian.mk: whitelist misc/tst-preadvwritev2 and
    misc/tst-preadvwritev64v2 on x32. The failing part of those tests is new,
    and the it looks like a kernel bug in the compat layer.
  * debian/testsuite-xfail-debian.mk: whitelist elf/tst-execstack-needed on
    riscv64, it is similar to the already whitelisted test
    elf/test-xfail-tst-execstack.
  * debian/debhelper.in/locales.postinst: fix regexp checking for installed
    locales package.  Closes: #903964.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 05 Dec 2018 19:50:21 +0100

glibc (2.28-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-fcntl64.diff: Fix tst-utmp* tests.
  * debian/patches/hurd-i386/tg-WRLCK-upgrade.diff: Refresh.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a file descriptor leak in if_nametoindex() (CVE-2018-19591).
      Closes: #914837.
  * debian/control.in/main: Update Vcs-Git to point to the default branch.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Nov 2018 23:42:08 +0100

glibc (2.28-0experimental1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/main: Update Vcs-Git to point to the 2.28 branch.
  * debian/testsuite-xfail-debian.mk: Allow nptl/tst-signal6 to fail on armhf.
    The failure is due to a kernel bug when building armhf on an ARM64
    machine.
  * debian/testsuite-xfail-debian.mk: Allow math/test-ildouble-fma and
    math/test-ldouble-fma to fail on powerpc, ppc64, ppc64el. This is a known
    bug and not a regression.
  * debian/testsuite-xfail-debian.mk: remove fixed XFAILs.
  * debian/testsuite-xfail-debian.mk: update XFAILs for the mips* Octeon 3 FPU
    bug with the new tests.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/control.in/main, debian/sysdeps/armel.mk: build with gcc-7 as
    gcc-8 triggers issues in the testsuite.

  [ Samuel Thibault ]
  * patches/hurd-i386/git-tst-preadvwritev2-common.c.diff: Backport fix for
    build failure.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Nov 2018 21:54:56 +0100

glibc (2.28-0ubuntu1) cosmic; urgency=medium

  * Merge with current 2.28 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Let tst-ttyname fail on armhf and armel, as it currently fails in lxc.
  * Revert XFAIL of tst-backtrace{4,5} and tst-cancelx{20,21} on 31-bit s390.
  * Drop debian/patches/ubuntu/localedata/git-pt-fmt.diff: Included upstream.
  * Allow tst-setcontext9 to fail on PPC; it's a new test, not a regression.
  * debian/patches/ubuntu/localedata/eo_US.diff: Update for upstream changes.
  * Allow test-i?ldouble-fma to fail on PPC while upstream considers patches.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Aug 2018 13:52:35 -0600

glibc (2.28-0experimental0) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release:
    - Fix undefined behaviour in regexec.  Closes: #292550.
    - debian/control: regenerate.
    - debian/symbols.wildcard: update for 2.28.
    - debian/debhelper.in/libc-dev{,-alt}.install: do not install
      libpthread_nonshared.a.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/localedata/locale-ku_TR.diff: rebased.
    - debian/patches/localedata/locale-csb_PL.diff: dropped, obsolete.
    - debian/patches/localedata/locale-se_NO.diff: dropped, obsolete.
    - debian/patches/localedata/tailor-iso14651_t1.diff: rebased.
    - debian/patches/arm/local-sigaction.diff: rebased.
    - debian/patches/hppa/git-check-execstack.diff: upstreamed.
    - debian/patches/hurd-i386/tg-context_functions.diff: rebased.
    - debian/patches/hurd-i386/git-tls.diff: upstreamed.
    - debian/patches/hurd-i386/git-tls-threadvar.diff: upstreamed.
    - debian/patches/hurd-i386/tg-sysvshm.diff: rebased.
    - debian/patches/hurd-i386/git-_dl_random.diff: upstreamed.
    - debian/patches/hurd-i386/git-grantpt.diff: upstreamed.
    - debian/patches/hurd-i386/git-posix_thread.diff: upstreamed.
    - debian/patches/hurd-i386/git-gai_misc.diff: upstreamed.
    - debian/patches/hurd-i386/tg-hurdsig-fixes.diff: rebased.
    - debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: rebased.
    - debian/patches/hurd-i386/local-hurdsig-global-dispositions-version.diff:
      rebased.
    - debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: rebased.
    - debian/patches/hurd-i386/cvs-libpthread.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-libpthread.abilist.diff: upstreamed.
    - debian/patches/hurd-i386/libpthread_build.diff: upstreamed.
    - debian/patches/hurd-i386/tg-libpthread_depends.diff: upstreamed.
    - debian/patches/hurd-i386/libpthread_version.diff: rebased.
    - debian/patches/hurd-i386/tg-remap_getcwd.diff: rebased.
    - debian/patches/hurd-i386/git-exec-static.diff: upstreamed.
    - debian/patches/hurd-i386/git-socket_flags.diff: upstreamed.
    - debian/patches/hurd-i386/git-socketpair_flags.diff: upstreamed.
    - debian/patches/hurd-i386/git-pipe2.diff: upstreamed.
    - debian/patches/hurd-i386/tg-libc_getspecific.diff: dropped, obsolete.
    - debian/patches/hurd-i386/git-futimens.diff: upstreamed.
    - debian/patches/hurd-i386/tg-sigstate_thread_reference.diff: rebased.
    - debian/patches/hurd-i386/git-tls_thread_leak.diff: upstreamed.
    - debian/patches/hurd-i386/git-libpthread-stacksize.diff: upstreamed.
    - debian/patches/hurd-i386/git-reboot-startup.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-revert-gnu-gnu-cleanup.diff: upstreamed.
    - debian/patches/hurd-i386/git-gsync-libc.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_deps.diff: upstreamed.
    - debian/patches/hurd-i386/git-libpthread-gsync-spin.diff: upstreamed.
    - debian/patches/hurd-i386/git-libpthread-gsync-mutex.diff: upstreamed.
    - debian/patches/hurd-i386/git-NOFOLLOW.diff: upstreamed.
    - debian/patches/hurd-i386/git-NOFOLLOW-DIRECTORY.diff: upstreamed.
    - debian/patches/hurd-i386/git-mlockall.diff: upstreamed.
    - debian/patches/hurd-i386/git2.25-tls.diff: upstreamed.
    - debian/patches/hurd-i386/local-nocheck-installed-headers.diff: rebased.
    - debian/patches/hurd-i386/git-libpthread-2.26.diff: upstreamed.
    - debian/patches/hurd-i386/git-thread-linkspace.diff: upstreamed.
    - debian/patches/hurd-i386/libpthread_includes.diff: dropped, obsolete.
    - debian/patches/hurd-i386/local-exec_filename.diff: rebased.
    - debian/patches/hurd-i386/git-libpthread-trylock.diff: upstreamed.
    - debian/patches/hurd-i386/git-test-atexit-race-common.diff: upstreamed.
    - debian/patches/hurd-i386/git-UTIME.diff: upstreamed.
    - debian/patches/hurd-i386/git-timer_create_sigmask.diff: upstreamed.
    - debian/patches/hurd-i386/git-pthread_deps.diff: upstreamed.
    - debian/patches/kfreebsd/local-fbtl-depends.diff: rebased.
    - debian/patches/any/local-ldconfig-fsync.diff: dropped, obsolete.
    - debian/patches/any/submitted-bits-fcntl_h-at.diff: rebased.
    - debian/patches/any/submitted-intl-tstgettext.diff: upstreamed.
    - debian/patches/any/git-abilist-ignore-absolute.diff: upstreamed.
    - debian/debhelper.in/libc{-alt,-otherbuild,}.lintian-overrides: drop
      libcidn.so override.
    - debian/libc6.symbols.{common,hppa,sparc}, debian/libc6.1.symbols.alpha,
      debian/libc0.1.symbols.common, debian/libc0.3.symbols.hurd-i386: drop
      libcidn.so.
  * debian/control.in/main: bump binutils build-dependency to 2.29 on all
    architectures.
  * debian/control.in/main, debian/rules: build with GCC 8.
  * debian/control.in/main: build-depends on libidn2-0 (>= 2.0.5~) for the
    tests.
  * debian/control.in/libc: recommends libidn2-0 (>= 2.0.5~) to support IDN
    domain names in getaddrinfo and getnameinfo.
  * debian/testsuite-xfail-debian.mk: update XFAILs for the mips* Octeon 3 FPU
    bug with the new tests.
  * debian/control.in/main: bump Standards-Version to 4.2.1 (no changes).
  * debian/source/options: drop.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-gscope.diff: upstreamed.
  * debian/patches/hurd-i386/git-hurd-abilist.diff: Remove patch, now useless.
  * debian/patches/hurd-i386/git-pagesize.diff: upstreamed.
  * debian/patches/hurd-i386/git-timer_routines.diff: upstreamed.
  * debian/patches/hurd-i386/submitted-net.diff: rebased.
  * debian/patches/hurd-i386/tg-context_functions.diff: update.
  * debian/patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: update.
  * debian/patches/hurd-i386/tg-sysvshm.diff: update.
  * debian/patches/hurd-i386/tg-verify.h.diff: remove, now useless.
  * debian/patches/hurd-i386/tg2.26-sched_param.diff: upstreamed.
  * debian/patches/hurd-i386/libpthread_version.diff: Remove now-useless part.
  * debian/patches/hurd-i386/local-hurdsig-global-dispositions-version.diff:
    Likewise.
  * debian/patches/hurd-i386/tg-ifaddrs_v6.diff: Fix PLT.
  * debian/patches/hurd-i386/local-hurd_sigstate-PLT.diff: New patch to fix
    PLTs.
  * debian/patches/hurd-i386/libpthread_pthread_types.diff: Remove, now
    useless.
  * debian/patches/hurd-i386/local-nocheck-installed-headers.diff: Remove, now
    fixed.
  * debian/testsuite-xfail-debian.mk: Update.

  [ Adam Conrad ]
  * debian/patches/localedata/tailor-iso14651_t1.diff: Build without errors.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Oct 2018 00:11:37 +0100

glibc (2.27-9) UNRELEASED; urgency=medium

  * debian/control: Bump hurd-dev dependency to >= 1:0.9.git20181030-1 to get
    pci.defs.
  * hurd-i386/git-pci.diff: Enable pci RPCs.
  * patches/hurd-i386/git-msync.diff: Support msync.
  * debian/control: Bump gnumach-dev build-dep accordingly.
  * libc0.3.symbols.hurd-i386: Update symbols accordingly.
  * patches/hurd-i386/git-spawn-open.diff: Fix crash on spawn with open
    operation.
  * patches/hurd-i386/git-lockf-0.diff: Support lockf at offset 0 with size 0 or
    1.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Nov 2018 22:50:40 +0100

glibc (2.27-8) unstable; urgency=medium

  * patches/hurd-i386/git-intr-msg.diff: Fix a cancellation case.
  * patches/hurd-i386/git-interrupt_timeout_EIO.diff: return EIEIO instead of
    EIO.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2018 21:36:01 +0100

glibc (2.27-7) unstable; urgency=medium

  * patches/hurd-i386/local-no_unsupported_ioctls.diff: Undefine useless bit
    macros too.
  * patches/hurd-i386/git-interrupt_timeout{,_EIO}.diff: Fix double-writes in
    ghc.
  * patches/hurd-i386/git-intr-msg.diff: Fix crashes due to a race between
    calling RPC and handling a signal.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Oct 2018 10:46:23 +0100

glibc (2.27-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-socket_flags.diff: Rename to git-socket_flags.diff.
  * patches/hurd-i386/tg-socketpair_flags.diff: Rename to
    git-socketpair_flags.diff.
  * patches/hurd-i386/tg-pipe2.diff: Rename to git-pipe2.diff.
  * patches/hurd-i386/tg-posix_thread.diff: Rename to git-posix_thread.diff.
  * patches/hurd-i386/tg-pthread_deps.diff: Rename to git-pthread_deps.diff.
  * patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Fix standardization of
    exposition of sigaction
  * patches/kfreebsd/local-tst-unique.diff: Fix patch application.
  * patches/hurd-i386/unsubmitted-getaux_at_secure.diff: Fix
    getauxval(AT_SECURE).
  * patches/hppa/git-check-execstack.diff: Ignore executable stacks.
    Closes: #904056.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Sep 2018 21:13:02 +0200

glibc (2.27-5ubuntu1) cosmic; urgency=medium

  * Merge with Debian (fixing test failures misc/tst-preadvwrite{,64}v2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Aug 2018 17:18:44 +0200

glibc (2.27-5) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/any/git-abilist-ignore-absolute.diff: backport support
    for binutils 2.31 from upstream.
  * debian/rules.d/control.mk: Add support for riscv64.  Closes: #888793.
  * debian/testsuite-xfail-debian.mk: add reference testsuite results for
    riscv64.
  * debian/patches/git-updates.diff: update from upstream stable branch.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update hurd-i386 result to new upstream
    stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Jul 2018 22:23:13 +0200

glibc (2.27-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-gsync-libc.diff: Rename to hurd-i386/git-gsync-libc.diff.
  * hurd-i386/git-timer_create_sigmask.diff: New patch to fix interaction
    between SIGCHLD and timer_create.  Closes: Bug#894379.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix stack buffer overflow in realpath() (CVE-2018-11236).  Closes:
      #899071.
    - Fix buffer overflow in AVX-512-optimized implementation of mempcpy()
      (CVE-2018-11237).  Closes: #899070.
    - Fix crashes with binaries using vtable interposition.  Closes:
      #861116.
    - Fix LC_PAPER for es_BO locale.  Closes: #880675.
    - debian/patches/arm/unsubmitted-ldso-abi-check.diff: refresh, sigh.
  * debian/debhelper.in/libc.docs: do not try to install BUGS in the
    documentation, it has been removed upstream in version 2.27 as
    obsolete.  Closes: #902800.
  * debian/debhelper.in/libc-dev.docs: drop, as both CONFORMANCE and
    NAMESPACE have been removed upstream in version 2.27.
  * debian/debhelper.in/libc-dev-bin.docs: drop as NAMESPACE has been
    removed upstream in version 2.27.
  * debian/patches/riscv64/submitted-start-cfi.diff: fix endless loop
    when throwing an exception from a constructor.
  * debian/control.in/main: bump Standards-Version to 4.1.4 (no changes).

  [ Laurent Bigonville ]
  * debian/local/etc/nsswitch.conf: Switch from the compat to the files
    module.  Closes: #880846.

  [ Bjarni Ingi Gislason ]
  * debian/local/manpages/catchsegv.1: apply some corrections to the
    manpage.  Closes: #902236.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Jul 2018 18:34:34 +0200

glibc (2.27-3ubuntu1) bionic; urgency=medium

  * Merge with Debian, with packaging tweaks and master updated to 2018-03-29.
  * testsuite-xfail-debian.mk: Allow tst-backtrace{4,5} and tst-cancelx{20,21}
    to fail on the 31-bit build of glibc on s390 (see upstream bug in comment)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Apr 2018 14:14:20 -0600

glibc (2.27-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-NOFOLLOW.diff: Rename to hurd-i386/git-NOFOLLOW.diff.
  * hurd-i386/tg-NOFOLLOW-DIRECTORY.diff: Rename to
    hurd-i386/git-NOFOLLOW-DIRECTORY.diff.
  * hurd-i386/tg-_dl_random.diff: Rename to hurd-i386/git-_dl_random.diff.
  * hurd-i386/tg-exec-static.diff: Rename to hurd-i386/git-exec-static.diff.
  * hurd-i386/tg-futimens.diff: Rename to hurd-i386/git-futimens.diff.
  * hurd-i386/tg-gai_misc.diff: Rename to hurd-i386/git-gai_misc.diff.
  * hurd-i386/tg-grantpt.diff: Rename to hurd-i386/git-grantpt.diff.
  * hurd-i386/tg-gscope.diff: Rename to hurd-i386/git-gscope.diff.
  * hurd-i386/tg-libpthread-gsync-mutex.diff: Rename to
    hurd-i386/git-libpthread-gsync-mutex.diff.
  * hurd-i386/tg-libpthread-gsync-spin.diff: Rename to
    hurd-i386/git-libpthread-gsync-spin.diff.
  * hurd-i386/tg-mlockall.diff: Rename to hurd-i386/git-mlockall.diff.
  * hurd-i386/tg-pagesize.diff: Rename to hurd-i386/git-pagesize.diff.
  * hurd-i386/tg-reboot-startup.diff: Rename to
    hurd-i386/git-reboot-startup.diff.
  * hurd-i386/tg-thread-linkspace.diff: Rename to
    hurd-i386/git-thread-linkspace.diff.
  * hurd-i386/tg-timer_routines.diff: Rename to
    hurd-i386/git-timer_routines.diff.
  * hurd-i386/tg-tls-threadvar.diff: Rename to
    hurd-i386/git-tls-threadvar.diff.
  * hurd-i386/tg-tls.diff: Rename to hurd-i386/git-tls.diff.
  * hurd-i386/tg-tls_thread_leak.diff: Rename to
    hurd-i386/git-tls_thread_leak.diff.
  * hurd-i386/tg2.25-tls.diff: Rename to hurd-i386/git2.25-tls.diff.
  * hurd-i386/submitted-hurd-abilist.diff: Rename to
    hurd-i386/git-hurd-abilist.diff.
  * hurd-i386/local-libpthread-stacksize.diff: Rename to
    hurd-i386/git-libpthread-stacksize.diff.

  [ Aurelien Jarno ]
  * debian/patches/localedata/locales-fr.diff: fix conversion from <Uxxxx>
    format to ascii during the latest rebase.  Closes: bug#894078.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a missing reorder-end keyword in et_EE locale.  Closes: #894395.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Mar 2018 21:47:29 +0200

glibc (2.27-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-UTIME.diff: New patch.  Closes: #762677.
  * debian/control: Bump hurd build dep accordingly.
  * debian/libc0.3.symbols.hurd-i386: Update accordingly.

  [ Aurelien Jarno ]
  * debian/control.in/main: drop the branch from Vcs-Git.
  * debian/patches/any/local-bootstrap-headers.diff: update to install
    gnu/lib-names-$abi.h.  Closes: #892126.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix FTBFS on powerpcspe.
    - debian/patches/sparc/submitted-sparc32-makecontext.diff: upstreamed.

  [ Helmut Grohne ]
  * debian/rules: drop DEB_STAGE and DEB_BUILD_PROFILE support.
  * debian/rules: disable tests for stage1.
  * debian/control.in/*: drop libc*-dev -> libc* dependencies in stage1.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Mar 2018 21:48:04 +0100

glibc (2.27-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/sysdeps/*.mk: install gnu/lib-names-*.h for multilib builds.
  * debian/patches/alpha/submitted-makecontext.diff: new patch to fix
    infinite backtrace within a context created by makecontext.
  * debian/patches/sparc/submitted-sparc32-makecontext.diff: new patch
    to fix infinite backtrace within a context created by makecontext.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Mar 2018 11:47:56 +0100

glibc (2.27-0ubuntu2) bionic; urgency=medium

  * debian/patches/git-updates.diff: Update to 2.27 master at 2018-02-16.
  * Replace ubuntu/localedata/pt_BR-d_fmt.diff with new git-pt-fmt.diff.
  * Drop ubuntu/lddebug-scopes.diff, no longer required with gdb >= 7.12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 23 Feb 2018 06:01:23 -0700

glibc (2.27-0ubuntu1) bionic; urgency=medium

  * Merge with current 2.27 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
  * Drop debian/patches/ubuntu/localedata/bn-language.diff: Fixed upstream.
  * Allow tst-ttyname to fail on armhf/armel, as it currently fails in lxc.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 22 Feb 2018 03:58:57 -0700

glibc (2.27-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-test-atexit-race-common.diff: New patch,
    fixes hurd-i386 build.

  [ Aurelien Jarno ]
  * debian/patches/any/local-ldconfig-ignore-ld.so.diff: add riscv64 program
    interpreters.
  * debian/libc6.symbols.riscv64: add riscv64 symbols file.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/testsuite-xfail-debian.mk: Allow tst-malloc-usable-tunables to fail
    on alpha, arm64, mips64el, ppc64el, ppc64, s390x and sparc64. The failure
    is due to a kernel bug.
  * debian/control: Update Vcs-Git and Vcs-Browser fields following the move
    to Salsa.
  * debian/control.in/main: do not build-depends on g++-7-multilib for the
    nobiarch build profile.  Closes: #890131.
  * debian/rules.d/build.mk: use the just built iconvconfig if not
    cross-compiling.  Closes: #890132.
  * debian/patches/any/local-ldconfig.diff: fix a typo.
  * debian/patches/hurd-i386/submitted-bind_umask2.diff: fix a typo.
  * debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: fix a typo.
  * debian/control.in/libc, debian/rules.d/debhelper.mk: drop the version
    from the linux-libc-dev dependency, as the <bits/syscall.h> file is not
    generated anymore from the installed kernel headers.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Feb 2018 23:49:00 +0100

glibc (2.27-0experimental0) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/git-abilist.diff: Add ABI list.
  * debian/patches/hurd-i386/cvs-libpthread.abilist.diff: Add libpthread ABI
  list.
  * debian/patches/hurd-i386/libpthread_version.diff: Add compatibility ABI
  list.
  * debian/patches/hurd-i386/local-exec_filename.diff: Add compatibility ABI
  list.
  * debian/patches/hurd-i386/local-hurdsig-global-dispositions-version.diff:
  Add additional ABI list.
  * debian/patches/hurd-i386/local-mach_print.diff: Add local ABI list.
  * debian/patches/hurd-i386/local-usr.diff: Fix local ABI list.
  * debian/patches/hurd-i386/tg-gsync-libc.diff: Update ABI list.
  * debian/patches/hurd-i386/tg-extern_inline.diff: Update ABI list.
  * debian/patches/hurd-i386/local-versions.diff: Remove, merged upstream.
  * debian/testsuite-xfail-debian.mk: Remove ABI list blacklist.

  [ Aurelien Jarno ]
  * New upstream version:
    - debian/control: regenerate.
    - debian/symbols.wildcards: update for 2.27.
    - debian/patches/hurd-i386/tg-tls-threadvar.diff: refreshed.
    - debian/patches/hurd-i386/tg-tlsdesc.sym.diff: upstreamed.
    - debian/patches/hurd-i386/tg-no-hp-timing.diff: upstreamed.
    - debian/patches/hurd-i386/local-hurdsig-global-dispositions-version.diff:
      refreshed.
    - debian/patches/hurd-i386/unsubmitted-gnumach.defs.diff: upstreamed.
    - debian/patches/hurd-i386/tg-sigstate_thread_reference.diff: upstreamed.
    - debian/patches/hurd-i386/tg-allocalim.diff: upstreamed.
    - debian/patches/hurd-i386/tg-extern_inline.diff: upstreamed.
    - debian/patches/hurd-i386/tg-gsync-libc.diff: upstreamed.
    - debian/patches/hurd-i386/tg2.26-sigsetops.h.diff: upstreamed.
    - debian/patches/hurd-i386/submitted-net.diff: refreshed.
    - debian/patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: refreshed.
    - debian/patches/hurd-i386/tg-fcntl-internal.h.diff: upstreamed.
    - debian/patches/hurd-i386/tg-pagesize.diff: refreshed.
  * debian/rules: tweak GCC garbage collector on 32-bit MIPS builders.
  * debian/rules.d/tarball.mk: do a local bare clone before using git archive
    as it doesn't support https.
  * debian/control.in/main, debian/sysdeps/{amd64,i386,x32}.mk: enable support
    for building static PIE.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Feb 2018 16:31:03 +0100

glibc (2.26.9000+20180127.7e23a7dd-0experimental0) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/local-exec_filename.diff: Add glibc 2.26
    _hurd_exec_paths compatibility symbol for now.
  * debian/patches/hurd-i386/tg-gsync-libc.diff: Update.

  [ Aurelien Jarno ]
  * New upstream snapshot from 20180127:
    - Fix stack corruption by __pthread_register_cancel.  Closes: #887078,
      #887886.
    - debian/patches/hurd-i386/local-hurdsig-global-dispositions-version.diff:
      rebased.
    - debian/patches/hurd-i386/git-exec_filename.diff: upstreamed.
    - debian/patches/hurd-i386/tg-faccessat.diff: upstreamed.
    - debian/patches/hurd-i386/local-exec_filename.diff: rebased.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Jan 2018 18:15:52 +0100

glibc (2.26.9000+20180108.401311cf-0experimental0) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/sysdeps/hurd.mk: Do not add libpthread add-on since add-ons
    mechanism is no more.
  * debian/patches/hurd-i386/submitted-net.diff: rebased.
  * debian/patches/hurd-i386/unsubmitted-prof-eintr.diff: rebased.
  * debian/patches/hurd-i386/libpthread_build.diff: Add more Implies to fix
    build.  Drop deprecated internal_function.
  * debian/patches/hurd-i386/libpthread_includes.diff: Move headers for
    sysdeps to find them.
  * debian/patches/hurd-i386/tg-gsync-libc.diff: Update.
  * debian/testsuite-xfail-debian.mk: Update for hurd-i386.

  [ Aurelien Jarno ]
  * New upstream snapshot from 20180108.
  * debian/control.in/main: Update Vcs-Git to point to the 2.27 branch.
  * debian/testsuite-xfail-debian.mk: update XFAILs for the mips*el Loongson 3
    FPU bug with the new tests.
  * debian/testsuite-xfail-debian.mk: the arm kernel also pulled the new pkey
    syscalls without real support, XFAIL the corresponding test.
  * debian/testsuite-xfail-debian.mk: remove two math XFAIL on armel now that
    GCC has been fixed.
  * debian/testsuite-xfail-debian.mk: update XFAILs for the mips* Octeon 3 FPU
    bug with the new tests.
  * debian/testsuite-xfail-debian.mk: update XFAILs on alpha, add new math
    tests only causing wrong exception flags, remove tests that have been
    fixed in this release.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 08 Jan 2018 23:27:20 +0100

glibc (2.26.9000+20180105.a6d0afb5-0experimental0) experimental; urgency=medium

  * New upstream snapshot from 20180105:
    - debian/patches/git-updates.diff: remove and disable.
    - debian/patches/locale/preprocessor-collate-uli-sucks.diff: drop,
      obsolete.
    - debian/patches/locale/preprocessor-collate.diff: drop, obsolete.
    - debian/patches/locale/LC_IDENTIFICATION-optional-fields.diff: rebased.
    - debian/patches/locale/LC_COLLATE-keywords-ordering.diff: drop, obsolete.
    - debian/patches/locale/local-all-no-archive.diff: rebased.
    - debian/patches/localedata/sort-UTF8-first.diff: rebased.
    - debian/patches/localedata/supported.diff: rebased.
    - debian/patches/localedata/new-valencian-locale.diff: upstreamed.
    - debian/patches/localedata/locale-ku_TR.diff: rebased.
    - debian/patches/localedata/tl_PH-yesexpr.diff: upstreamed.
    - debian/patches/localedata/fo_FO-date_fmt.diff: rebased.
    - debian/patches/localedata/locales_CH.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/localedata/locale-en_DK.diff: rebased.
    - debian/patches/localedata/locale-zh_TW.diff: rebased.
    - debian/patches/localedata/tailor-iso14651_t1.diff: rebased, partly
      upstreamed.
    - debian/patches/localedata/locale-hsb_DE.diff: upstreamed.
    - debian/patches/localedata/tailor-iso14651_t1-common.diff: drop,
      obsolete.
    - debian/patches/localedata/submitted-bz9725-locale-sv_SE.diff: rebased.
    - debian/patches/localedata/locale-C.diff: add a LC_MONETARY section.
    - debian/patches/localedata/submitted-en_AU-date_fmt.diff: rebased.
    - debian/patches/localedata/submitted-es_MX-decimal_point.diff: rebased.
    - debian/patches/localedata/submitted-it_IT-thousands_sep.diff: rebased.
    - debian/patches/alpha/local-string-functions.diff: rebased.
    - debian/patches/alpha/submitted-fminmax.diff: upstreamed.
    - debian/patches/alpha/submitted-rlimit.diff: upstreamed.
    - debian/patches/arm/git-arm64-memcmp.diff: upstreamed.
    - debian/patches/hppa/local-elf-make-cflags.diff: upstreamed.
    - debian/patches/hppa/submitted-gmon-start.diff: upstreamed.
    - debian/patches/hurd-i386/tg-context_functions.diff: rebased.
    - debian/patches/hurd-i386/tg-tls-threadvar.diff: rebased.
    - debian/patches/hurd-i386/tg-faccessat.diff: rebased.
    - debian/patches/hurd-i386/tg-gsync-libc.diff: rebased.
    - debian/patches/hurd-i386/submitted-shm_open_pthread.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-libc_init_secure.diff: upstreamed.
    - debian/patches/hurd-i386/local-nocheck-installed-headers.diff: rebased.
    - debian/patches/hurd-i386/git-bits-sysmacros.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-stack_chk_fail_local.diff: upstreamed.
    - debian/patches/hurd-i386/git-stack-protect-static.diff: upstreamed.
    - debian/patches/hurd-i386/git-sigsetops.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-sigsetops-2.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-sigsetops-3.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-bits_socket.h.diff: upstreamed.
    - debian/patches/hurd-i386/git-preadwritev2.diff: upstreamed.
    - debian/patches/hurd-i386/git-preadwritev2-2.diff: upstreamed.
    - debian/patches/hurd-i386/git-preadwritev2-3.diff: upstreamed.
    - debian/patches/hurd-i386/git-rtld-access.diff: upstreamed.
    - debian/patches/hurd-i386/git-rtld-sbrk.diff: upstreamed.
    - debian/patches/hurd-i386/git-rtld-sbrk-2.diff: upstreamed.
    - debian/patches/hurd-i386/git-divdi.diff: upstreamed.
    - debian/patches/hurd-i386/git-feraiseexcept.diff: upstreamed.
    - debian/patches/hurd-i386/git-x86-tunables.diff: upstreamed.
    - debian/patches/hurd-i386/git-i386-implies-x86.diff: upstreamed.
    - debian/patches/hurd-i386/git-rtld-strtoul_internal.diff: upstreamed.
    - debian/patches/hurd-i386/git-clone.diff: upstreamed.
    - debian/patches/hurd-i386/git-gethostname.diff: upstreamed.
    - debian/patches/hurd-i386/git-tst-udp-timeout.diff: upstreamed.
    - debian/patches/hurd-i386/git-tst-udp-nonblocking.diff: upstreamed.
    - debian/patches/hurd-i386/git-hidden-def.diff: upstreamed.
    - debian/patches/hurd-i386/git-hidden-def-2.diff: upstreamed.
    - debian/patches/hurd-i386/git-dl-sysdep-check.diff: upstreamed.
    - debian/patches/hurd-i386/git-socket-limit.diff: upstreamed.
    - debian/patches/hurd-i386/git-clock_gettime_gettimeofday.diff: upstreamed.
    - debian/patches/hurd-i386/git-sigsuspend_not_cancel.diff: upstreamed.
    - debian/patches/hurd-i386/git-dirfd-linknamespace.diff: upstreamed.
    - debian/patches/hurd-i386/git-revoke-linknamespace.diff: upstreamed.
    - debian/patches/hurd-i386/git-seekdir-linknamespace.diff: upstreamed.
    - debian/patches/hurd-i386/git-ifaddrs-linknamespace.diff: upstreamed.
    - debian/patches/hurd-i386/git-NO_HIDDEN.diff: upstreamed.
    - debian/patches/hurd-i386/git-mount_namespace.diff: upstreamed.
    - debian/patches/mips/git-syscalls5-7-unbound-stack.diff: upstreamed.
    - debian/patches/any/local-ld-multiarch.diff: rebased.
    - debian/patches/any/local-disable-libnss-db.diff: rebased.
    - debian/patches/any/local-cudacc-float128.diff: rebased.
    - debian/patches/any/submitted-ldconfig-c-collation.diff: upstreamed.
    - debian/patches/any/git-any-ld.so-newline.diff: upstreamed.
    - debian/control.in/main: add a Build-Depends on bison.
    - debian/symbols.wildcards: update for 2.26.9000.
    - debian/rules: do not remove po/*.mo* on cleanup, they are not built in
      the source directory anymore.
    - debian/debhelper.in/glibc-doc.install: rename into glibc-docs.docs and
      update to the new changelogs location.
    - debian/changelog.upstream: update changelogs size.
    - debian/debhelper.in/libc-dev{,-alt}.{install,lintian-overrides}: remove
      libieee.a.
    - debian/testsuite-xfail-debian.mk: rename math XFAILs: float -> float32,
      double -> float64, ldouble -> float128.
  * debian/testsuite-xfail-debian.mk: mark misc/tst-pkey as XFAIL on alpha,
    arm64 and mips*, as there is a disagreement between kernel and glibc how
    to report missing protection key support when the syscalls have been
    wired.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Jan 2018 22:08:07 +0100

glibc (2.26-7) UNRELEASED; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/tg-grantpt.diff: Update patch.
  * debian/patches/hurd-i386/git-libpthread-trylock.diff: New patch.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Feb 2018 23:20:49 +0100

glibc (2.26-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix build with binutils 2.30 on arm64.  Closes: #888477.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 26 Jan 2018 23:35:29 +0100

glibc (2.26-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/any/local-cudacc-float128.diff: Disable _Float128 for icc
    too.

  [ Aurelien Jarno ]
  * debian/control.in/libc: set the priority of the libc{0.1,0.3,0.6} packages
    to optional following the changes on the ftp-master side (see bug#846982).
  * debian/control.in/libc: build-depends on gcc-7 (>= 7.2.0-20) on amd64, i386
    and x32 to avoid a missed optimization causing SSE registers to be pushed
    on the stack.  Closes: #886447.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/hurd-i386/git-mount_namespace.diff: upstreamed.
  * debian/testsuite-xfail-debian.mk: update with new tests.
  * debian/debhelper.in/libc.NEWS: note that the minimum required Linux kernel
    is now 3.2 to avoid aborts in the middle of an upgrade.  Closes: #888183.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 23 Jan 2018 22:51:51 +0100

glibc (2.26-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: since we now also run the testsuite for
    the multilib flavours, simplify the mips* entries into mips*, mips be and
    mips le, instead of trying to keep all the flavours in sync. Remove
    XFAILs for tests that have been fixed.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix a buffer underflow in getcwd() (CVE-2018-1000001).  Closes:
      #887001.
  * debian/control.in/*: add conflicts to only allow one to install one set
    of multilib packages simultaneously.  Closes: #702962, #743618, #784015,
    #820826, #870257.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Jan 2018 11:24:48 +0100

glibc (2.26-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: the Loongson 3 FPU bug also applies
    to mips64el.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix memchr pointer overflow on ia64.  Closes: #886840.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/submitted-malloc-setstate.diff: Disable for now, it
    actually introduces issues.
  * debian/patches/hurd-i386/submitted-exec_filename.diff: Update submitted
    patch into committed git-exec_filename.diff.
  * debian/patches/hurd-i386/local-exec_filename.diff: New patch to keep
    compatibility with previous submission.
  * debian/patches/hurd-i386/tg-io_select_timeout.diff: Refresh.
  * debian/control: Bump hurd-dev build-dependency to get exec_paths RPC
    definitions.
  * debian/libc0.3.symbols.hurd-i386: Update accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Jan 2018 23:12:24 +0100

glibc (2.26-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/unsubmitted-mount_namespace.diff: Rename to
    git-mount_namespace.diff.

  [ Helmut Grohne ]
  * debian/rules.d/build.mk: Remove a left-over closing brace, breaking
    stage 1.  Closes: #886301.

  [ Aurelien Jarno ]
  * debian/sysdeps/hppa.mk: increase TIMEOUTFACTOR to 600 on HPPA.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Jan 2018 19:09:39 +0100

glibc (2.26-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/unsubmitted-mount_namespace.diff: New patch to fix build
    of support/support_enter_mount_namespace.c on hurd-i386.

  [ Aurelien Jarno ]
  * debian/control.in/main: this upload targets unstable, update Vcs-Git
    accordingly.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 03 Jan 2018 18:30:46 +0100

glibc (2.26-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/any/local-ldso-disable-hwcap.diff: Include <fcntl.h>
    before <not-errno.h>.
  * debian/rules, debian/rules.d/build.mk: stop logging build/check messages
    to files, both sbuild and debuild are able to do that.
  * debian/rules, debian/rules.d/build.mk: allow TIMEOUTFACTOR to be override
    per architecture.
  * debian/sysdeps/hppa.mk: set TIMEOUTFACTOR to 100 on HPPA.
  * debian/testsuite-xfail-debian.mk: remove tst-create-detached from XFAIL
    on HPPA.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix tst-realloc when heap space is exhausted.
  * debian/testsuite-xfail-debian.mk: convert alpha math XFAILs into granular
    XFAILs.
  * debian/testsuite-xfail-debian.mk: remove tst-realloc from XFAIL on
    sparc64.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 01 Jan 2018 13:50:41 +0100

glibc (2.26-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: move double-lround XFAILs from mips64el
    to mipsel.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix malloc returning pointer from tcache_get when it should returns
      NULL (CVE-2017-17426).  Closes: #883729.
    - Drop debian/patches/ia64/git-ia64-crash-thread-exit.diff (merged
      upstream).
  * debian/control.in/libc: add a Breaks: libperl5.26 (<< 5.26.1-3) to
    @libc@-dev to handle the xlocale.h removal.  Closes: #883392.
  * debian/control.in/main: point the Vcs-Git field to the glibc-2.26 branch
    to shut up tracker.debian.org about missing commits.
  * debian/testsuite-xfail-debian.mk: x32: remove a bunch of conform issues,
    add tst-platform-1, as this test has x86-64 specific expectations.
  * debian/sysdeps/sparc64.mk: don't force -mcpu=ultrasparc as that
    miscompiles at least pthread_barrier_wait.c. Mark tst-realloc as XFAIL, as
    there are way to trigger the issue on older libc and/or other
    architectures.
  * debian/patches/locale/fix-LC_COLLATE-rules.diff: drop, not useful anymore
    and has side effects.
  * debian/patches/localedata/local-hu_HU-sort.diff: removed, the hu_HU
    collation is now the same than upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Dec 2017 18:44:55 +0100

glibc (2.26-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: Update hurd-i386 xfail with new test.

  [ Aurelien Jarno ]
  * Bump build-dependency on binutils to >= 2.25, as required by glibc 2.26.
  * debian/testsuite-xfail-debian.mk: re-add double-lround XFAILs for
    mips64el.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2017 17:46:32 +0100

glibc (2.26-0ubuntu2) artful; urgency=medium

  * Cherry-pick some changes from Debian git for a few pending Ubuntu bugfixes:
    - Update to master and drop redundant submitted-tst-tlsopt-powerpc.diff.
    - debian/patches/any/local-cudacc-float128.diff: Local patch to prevent
      defining __HAVE_FLOAT128 on NVIDIA's CUDA compilers (LP: #1717257)
    - debian/patches/arm/git-arm64-memcmp.diff: Backport optimized memcmp
      for AArch64, improving performance from 25% to 500% (LP: #1720832)
    - debian/patches/amd64/git-x86_64-search.diff: Backport upstream commit
      to put x86_64 back in the search path, like in 2.25 (LP: #1718928)
    - debian/rules.d/debhelper.mk: Filter python hooks in stage1 (LP: #1715366)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Oct 2017 14:21:40 -0600

glibc (2.26-0ubuntu1) artful; urgency=medium

  * Merge with current 2.26 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
  * debian/rules.d/build.mk: Configure with --enable-obsolete-nsl until we
    sort out a reasonable nsswitch migration strategy from compat to files.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 04 Sep 2017 01:34:21 -0600

glibc (2.26-0experimental0) experimental; urgency=medium

  [ Adam Conrad ]
  * New upstream release (LP: #1703368), with git updates to 2017-10-10:
    - debian/{symbols.wildcards,control}: Update and regen for 2.26.
    - debian/patches/alpha/submitted-termios_h.diff: upstreamed.
    - debian/patches/arm/submitted-strip-bit-0.diff: upstreamed.
    - debian/patches/hurd-i386/git-__inet6_scopeid_pton.diff: upstreamed.
    - debian/patches/any/submitted-string2-strcmp.diff: obsolete.
    - debian/patches/any/local-tst-writev.diff: fixed upstream.
    - debian/patches/any/local-dynamic-resolvconf.diff: fixed upstream.
    - debian/patches/any/submitted-unicode-9.0.0.diff: obsolete.
    - debian/patches/any/cvs-malloc-hardening.diff: upstreamed.
    - debian/patches/any/local-bits-sigstack.diff: fixed upstream.
    - debian/patches/powerpc/submitted-tst-tlsopt-powerpc.diff: upstreamed.
    - debian/patches/i386/local-cmov.diff: dropped, no longer useful.
    - debian/patches/all/local-ldd.diff: rebased.
    - debian/patches/any/local-ldso-disable-hwcap.diff: rebased.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
    - debian/patches/any/submitted-resolv-unaligned.diff: rebased.
    - debian/patches/arm/local-arm-futex.diff: rebased.
    - debian/patches/hurd-i386/local-ED.diff: rebased.
    - debian/patches/hurd-i386/tg-EGREGIOUS-fr.diff: rebased.
    - debian/patches/hurd-i386/tg-EIEIO-fr.diff: rebased.
    - debian/patches/kfreebsd/submitted-auxv.diff: rebased.
    - debian/patches/kfreebsd/submitted-waitid.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/sparc/submitted-sparc64-socketcall.diff: rebased.
    - debian/patches/localedata/local-hu_HU-sort.diff: Make testsuite
      agree with the sorting we see in Debian, may need another look.
    - debian/patches/any/local-cudacc-float128.diff: Local patch to prevent
      defining __HAVE_FLOAT128 on NVIDIA's CUDA compilers (LP: #1717257)
    - debian/patches/arm/git-arm64-memcmp.diff: Backport optimized memcmp
      for AArch64, improving performance from 25% to 500% (LP: #1720832)
    - debian/control.in/libc: Drop ancient Breaks satisfied in oldoldstable.
    - debian/{debhelper.in/libc.preinst,sysdeps/amd64.mk,sysdeps/i386.mk}:
      Bump MIN_KERNEL_SUPPORTED to 3.2 on x86, following upstream's change.
    - debian/sysdeps/{powerpc.mk,ppc64.mk,s390x.mk}: Disable lock-elision on
      powerpc and s390, following IBM's recommendation.
    - debian/testsuite-xfail-debian.mk: Re-enable xfailed resolv tests.
    - debian/testsuite-xfail-debian.mk: Allow tst-create-detached to fail on
      all platforms; the design of this test is such that the outcome relies
      on cache sizes and noisiness of the build system, which is unreliable.
    - debian/rules.d/build.mk: Configure with --enable-obsolete-nsl until we
      sort out a reasonable nsswitch migration strategy from compat to files.

  [ Samuel Thibault ]
  * Adjust hurd-i386 patches to restore build and functionality with 2.26:
    - patches/hurd-i386/tg-gsync-libc.diff: rebased.
    - patches/hurd-i386/tg-hurdsig-global-dispositions.diff: rebased.
    - patches/hurd-i386/tg-pipe2.diff: rebased.
    - patches/hurd-i386/tg-socket_flags.diff: rebased.
    - patches/hurd-i386/tg2.25-tls.diff: rebased.
    - patches/hurd-i386/tg2.26-sched_param.diff: New patch.
    - patches/hurd-i386/git-sigsetops.h.diff: New patch.
    - patches/hurd-i386/git-sigsetops-2.h.diff: New patch.
    - patches/hurd-i386/git-sigsetops-3.h.diff: New patch.
    - patches/hurd-i386/tg2.26-sigsetops.h.diff: New patch.
    - patches/hurd-i386/git-bits_socket.h.diff: New patch.
    - patches/hurd-i386/git-preadwritev2.diff: New patch.
    - patches/hurd-i386/git-preadwritev2-2.diff: New patch.
    - patches/hurd-i386/git-preadwritev2-3.diff: New patch.
    - patches/hurd-i386/git-rtld-access.diff: New patch.
    - patches/hurd-i386/git-rtld-sbrk.diff: New patch.
    - patches/hurd-i386/git-rtld-sbrk-2.diff: New patch.
    - patches/hurd-i386/git-divdi.diff: New patch.
    - patches/hurd-i386/git-feraiseexcept.diff: New patch.
    - patches/hurd-i386/cvs-libpthread.diff: Update.
    - patches/hurd-i386/git-libpthread-2.26.diff: New patch.
    - patches/hurd-i386/git-i386-implies-x86.diff: New patch.
    - patches/hurd-i386/git-x86-tunables.diff: New patch.
    - patches/hurd-i386/git-rtld-strtoul_internal.diff: New patch.
    - patches/hurd-i386/git-clone.diff: New patch.
    - patches/hurd-i386/git-gethostname.diff: New patch.
    - patches/hurd-i386/cvs-libpthread-sigstate.diff: Remove unused merged
    patch.
    - patches/hurd-i386/cvs-send-recv-posix.diff: Remove unused merged patch.
    - patches/hurd-i386/cvs-truncate64.diff: Remove unused merged patch.
    - patches/hurd-i386/git-tst-udp-timeout.diff: New patch.
    - patches/hurd-i386/git-tst-udp-nonblocking.diff: New patch.
    - patches/hurd-i386/unsubmitted-exp-hidden-jump.diff: New patch.
    - patches/hurd-i386/git-hidden-def.diff: New patch.
    - patches/hurd-i386/git-hidden-def.diff-2: New patch.
    - patches/hurd-i386/git-dl-sysdep-check.diff: New patch.
    - patches/hurd-i386/git-socket-limit.diff: New patch.
    - patches/hurd-i386/tg-thread-linkspace.diff: New patch.
    - patches/hurd-i386/git-clock_gettime_gettimeofday.diff: New patch.
    - patches/hurd-i386/tg-gsync-libc.diff: Update.
    - patches/hurd-i386/tg-libpthread-gsync-mutex.diff: Update.
    - patches/hurd-i386/tg-sendmsg-SCM_CREDS.diff: Update.
    - patches/hurd-i386/git-sigsuspend_not_cancel.diff: New patch.
    - patches/hurd-i386/tg-sysvshm.diff: Update.
    - patches/hurd-i386/tg-ifaddrs_v6.diff: Update.
    - patches/hurd-i386/git-dirfd-linknamespace.diff: New patch.
    - patches/hurd-i386/git-revoke-linknamespace.diff: New patch.
    - patches/hurd-i386/git-seekdir-linknamespace.diff: New patch.
    - patches/hurd-i386/git-ifaddrs-linknamespace.diff: New patch.
    - patches/hurd-i386/git-NO_HIDDEN.diff: New patch.
    - patches/hurd-i386/unsubmitted-NO_HIDDEN.diff: Remove patch.
    - patches/hurd-i386/unsubmitted-exp-hidden-jump.diff: Remove patch.
    - testsuite-xfail-debian.mk: Update.
    - testsuite-xfail-debian.mk: Remove now-removed XPG3 entries.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix buffer overflow in glob with GLOB_TILDE (CVE-2017-15670).  Closes:
      #879501.
    - Fix memory leak in glob with GLOB_TILDE (CVE-2017-15671).  Closes:
      #879500.
  * debian/rules, debian/control.in/main: build with GCC 7.
  * debian/testsuite-xfail-debian.mk: remove a few XFAIL on s390x that were
    due to GCC 6 issues.
  * debian/testsuite-xfail-debian.mk: drop support for s390.
  * debian/testsuite-xfail-debian.mk: Use granular fma XFAIL on mips*.
  * debian/testsuite-xfail-debian.mk: mark misc/tst-set_ppr as XFAIL on
    powerpc as it requires a recent CPU or a recent kernel for CPU feature
    detection.
  * debian/patches/any/local-libgcc-compat-{abilists,main,ports}.diff: drop
    workaround for binaries built with some broken versions of GCC 3.2 more
    than 10 years ago.
  * debian/testsuite-xfail-debian.mk: remove many XFAIL from mips, mipsel and
    mips64el.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Nov 2017 12:49:13 +0100

glibc (2.25-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/main: add mips r6 architectures to Build-Depends:
    g++-6-multilib.  Closes: #884774.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixes incorrect RPATH/RUNPATH handling for SUID binaries
      (CVE-2017-16997).  Closes: #884615.
  * debian/control.in/main, debian/copyright, rules.d/tarball.mk: prefer
    https for upstream links.
  * debian/control.in/main: bump Standards-Version to 4.1.3.
  * debian/patches/alpha/submitted-rlimit.diff: new patch to fix getrlimit
    and setrlimit with RLIM_INFINITY on alpha.
  * debian/patches/alpha/submitted-fminmax.diff: new patch to fix fmin and
    fmax on alpha.
  * debian/testsuite-xfail-debian.mk: mark test-fexcept, test-ldouble and
    test-ldouble-finite as XFAIL as the failures are due to new tests, and
    thus not a regression.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Dec 2017 18:50:30 +0100

glibc (2.25-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/git-rtld-access.diff: Fix spurious errno update.

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: strip all *crt*.o files, unless
    DEB_BUILD_OPTIONS contains nostrip.  Closes: #884524.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix memory leak in ld.so (CVE-2017-1000408).  Closes: #884132.
    - Fix buffer overflow in ld.so (CVE-2017-1000409).  Closes: #884133.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Dec 2017 15:37:43 +0100

glibc (2.25-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/kfreebsd/local-sysdeps.diff: update to revision 6194 (from
    glibc-bsd):
    - Provide TCP_KEEPIDLE in netinet/tcp.h.  Closes: #881185.
    - Fix FTBFS on kfreebsd-amd64.
  * debian/control.in/libc: add conflicts with libc0.1-i686 on kfreebsd-i386
    and libc6-i686 on i386, to make sure the transitional packages are not
    kept when upgrading from stretch.
  * debian/patches/any/local-ldso-disable-hwcap.diff: use __access_noerrno
    instead of __access.  Closes: #877493.
  * debian/rules, debian/rules.d/debhelper.mk: reverse the logic to build
    libc6-dbg. Only fill it with files from the main libc and optimized
    flavours. Other debugging symbols are available in the dbgsym packages.
    Closes: #520680.
  * debian/rules.d/build.mk: add /usr/local multi-arch paths to ld.so.conf
    files.  Closes: #685519, #771934.
  * debian/patches/any/git-any-ld.so-newline.diff: add missing newline after
    "cannot allocate TLS data structures for initial thread".  Closes:
    #776659.
  * debian/glibc-source.filelist: update with the latest mips* symbol files.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix SysV IPC on IA64.  Closes: #884194.

  [ Samuel Thibault ]
  * patches/hurd-i386/local-no-bootstrap-fs-access.diff: Refresh.
  * patches/hurd-i386/git-rtld-access.diff: New patch.
  * patches/hurd-i386/local-msg-nosignal.diff: Remove, now useless.
  * testsuite-xfail-debian.mk: Update gnu-gnu according to git-updates.diff.
  * control: Bump hurd-dev build-dep.
  * libc0.3.symbols.hurd-i386: Update symbols accordingly.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Dec 2017 20:21:48 +0100

glibc (2.25-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix assertion failure in posix_spawn().  Closes: #882794.
    - Fix missing posix_fadvise64 from static mips64el build. Closes:
      #883186.
    - Fix buffer overflow in glob with GLOB_TILDE (CVE-2017-15670).  Closes:
      #879501.
    - Fix memory leak in glob with GLOB_TILDE (CVE-2017-15671).  Closes:
      #879500.
    - Fix a buffer overflow in glob with GLOB_TILDE in unescaping
      (CVE-2017-15804).  Closes: #879955.
  * debian/patches/any/local-dlfptr.diff: remove, it's not used anymore by
    HPPA and causes issues on IA64.  Closes: #882874.
  * debian/patches/submitted-ldconfig-c-collation.diff: New patch to process
    include directives in ldconfig using the C/POSIX collation.
  * debian/patches/ia64/git-ia64-crash-thread-exit.diff: Fix crash on thread
    exit on IA64.  Closes: #883285.
  * debian/sysdeps/x32.mk: set the minimum kernel version to 2.6.32 for the
    libc6-amd64:x32 and libc6-i386:x32 flavours, to match libc6:amd64 and
    libc6:i386.  Closes: #882255.
  * debian/sysdeps/linux.mk: note that all builds for a given gnu triplet
    have the same minimum kernel version.

  [ Samuel Thibault ]
  * libc0.3.symbols.hurd-i386: Update against newer hurd definitions.
  * control: Bump dependency accordingly.

  [ Jason Duerstock ]
  * debian/control.in/libc, debian/control.in/main, debian/rules.d/control.mk:
    Add support for IA64.  Closes: #883012.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Dec 2017 11:07:17 +0100

glibc (2.25-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: move corner cases FPU XFAIL from
    mips/mipsel section to mips* section.
  * debian/control.in/libc: add a Conflicts: again openrc (<< 0.27-2~).
    Closes: #882129.
  * debian/control.in/libc: add Breaks: and Replaces against
    kfreebsd-kernel-headers (<< 10.3~4) to avoid <sys/random.h> conflict.
    Closes: #882346.
  * debian/testsuite-xfail-debian.mk: mark tst-create-detached on HPPA.
    Closes: #882152.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Don't use IFUNC resolver for longjmp or system in libpthread.
      Closes: #882336.
  * debian/script.in/nohwcap.sh: always check for all optimized packages
    as multiarch allows one to install foreign architectures.  Closes:
    #882272.

  [ YunQiang Su ]
  * Add symbol files for mipsn32 and mips64.

  [ YunQiang Su / Aurelien Jarno ]
  * Add mipsr6, mipsr6el, mipsn32r6, mipsn32r6el, mips64r6, mips64r6el
    architectures.  Closes: #824985, #881457.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Nov 2017 00:14:20 +0100

glibc (2.25-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: relax the dependency on linux-libc-dev
    to the major upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 18 Nov 2017 10:13:37 +0100

glibc (2.25-0experimental4) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/git-bits-sysmacros.h.diff: New patch.
  * patches/hurd-i386/git-stack_chk_fail_local.diff: New patch.
  * patches/hurd-i386/git-stack-protect-static.diff: New patch.
  * patches/hurd-i386/cvs-libpthread.diff: Update, fixes rt/tst-aio and
    rt/tst-aio64 sync ordering.
  * sysdeps/hurd.mk: Enable stack-protector on the Hurd.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix TLS relocations against local symbols on powerpc, sparc and
      sparc64.  Closes: #874074.
  * Replace debian/patches/mips/submitted-syscalls5-7-unbound-stack.diff
    by the final version git/submitted-syscalls5-7-unbound-stack.diff.
  * debian/rules.d/debhelper.mk: do not install gdb python hooks for stage 1.
    Closes: #874491.
  * Update Portuguese debconf translation, by Pedro Ribeiro.
    Closes: #874610.
  * Update German debconf translation, by Helge Kreutzman.  Closes: #877291.
  * debian/sysdeps/ppc64el.mk: disable lock elision.  Closes:# 878071.
  * debian/script.in/nohwcap.sh: fix alpha ev67 optimized package name.
    Closes: #881147.
  * debian/debhelper.in/libc.postinst, script.in/nsscheck.sh: check for
    postgresql in NSS check.  Closes: #710275.
  * debian/sysdeps/{alpha,hurd-i386,i386}.mk: do not build optimized libraries
    libc6.1-alphaev67, libc6-xen and libc0.3-xen during stage 1 and stage 2.
    Closes: #881455, #881636.
  * debian/rules, debian/sysdeps/*.mk: skip the multilib pass for the nobiarch
    profile (in addition to skipping the package creation).
  * debian/rules: only build -dev multilib packages in stage1.  Closes:
    #881454, #881646.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Nov 2017 23:38:04 +0100

glibc (2.25-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc-dev-alt.install, debian/rules.d/debhelper.mk: do
    no try to install libm-*.a for builds without mvec.
  * debian/rules.d/build.mk: run configure with --enable-stack-protector=
    strong.
  * debian/sysdeps/hurd.mk: disable stack-protector on the Hurd.
  * debian/patches/kfreebsd/local-sysdeps.diff: update to revision 6172 (from
    glibc-bsd).
  * debian/rules, debian/rules.d/build.mk, debian/control.in/main: use
    dh_update_autotools_config from debhelper instead of
    dh_autotools-dev_updateconfig from autotools-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Aug 2017 01:49:39 +0200

glibc (2.25-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Do not try to install NPTL GDB pretty-printers on non-Linux.
  * debian/control.in/main: build-depends on autotools-dev.
  * debian/rules, debian/rules.d/build.mk: update/restore config.guess and
    config.sub on configure/clean.
  * debian/debhelper.in/libc-dev{-alt,}.install: install libm-*.a to also
    install the versioned static library on architectures with mvec support.
    Closes: #872852.
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/rules.d/build.mk: reduce TIMEOUTFACTOR to 15 from 25. This should
    fix FTBFS on HPPA.
  * debian/debhelper.in/nscd.init: add support for the try-restart argument
    to nscd's init script.
  * debian/debhelper.in/libc.postinst, debian/script.in/nsscheck.sh: drop
    wheezy to jessie upgrade code for samba.
  * debian/debhelper.in/libc.postinst, debian/debhelper.in/libc.templates,
    debian/po/*: do not call /etc/init.d scripts even as a fallback as
    invoke-rc.d is now always available.
  * debian/debhelper.in/libc.preinst, debian/debhelper.in/libc.postrm: drop
    code to handle upgrades from wheezy.
  * debian/script.in/nohwcap.sh: drop code to support libc0.1-i686 and
    libc6-i686.
  * debhelper.in/*.lintian-overrides: cleanup lintian overrides.
  * debian/control.in/main: drop the XS-Testsuite field, it has been replaced
    by a Testsuite field automatically added by dpkg.
  * debian/control.in/main: bump Standards-Version to 4.0.1.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Aug 2017 16:22:03 +0200

glibc (2.25-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/submitted-net.diff: rebased.
  * patches/hurd-i386/tg-tls.diff: update.
  * patches/hurd-i386/submitted-malloc-setstate.diff: update.
  * patches/hurd-i386/submitted-shm_open_pthread.diff: new patch.
  * patches/hurd-i386/cvs-libc_init_secure.diff: new patch.
  * patches/hurd-i386/cvs-libpthread.diff: update.
  * patches/hurd-i386/git-__inet6_scopeid_pton.diff: new patch from upstream.
  * patches/hurd-i386/tg2.25-tls.diff: new patch.
  * patches/hurd-i386/local-nocheck-installed-headers.diff: New patch to
    disable checking hurd and mach headers for standards, they are not.
  * patches/hurd-i386/submitted-net.diff: Disable installing if_ppp.h, it just
    does not work without OS-specific ppp_defs.h.
  * testsuite-xfail-debian.mk: update for hurd-i386.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Reduce EDNS payload size to 1200 bytes (CVE-2017-12132). Closes:
      #870650.
    - debian/patches/hppa/local-fptr-table-size.diff: upstreamed.
    - debian/patches/hppa/local-shmlba.diff: upstreamed.
    - debian/patches/hppa/submitted-gmon-start.diff: partially upstreamed.
    - debian/patches/hppa/submitted-dladdr.diff: upstreamed.
    - debian/patches/hppa/local-stack-grows-up.diff: upstreamed.
    - debian/patches/hppa/submitted-setcontext.diff: upstreamed.
    - debian/patches/hppa/submitted-sysdeps-cancel.diff: upstreamed.
    - debian/patches/hppa/submitted-longjmp.diff: upstreamed.
  * debian/patches/kfreebsd/local-sysdeps.diff, local-fbtl.diff:
    update to revision 6171 (from glibc-bsd).
  * testsuite-xfail-debian.mk: update for kfreebsd-i386.
  * debian/patches/any/local-bits-sigstack.diff: new patch to fix
    <bits/sigstack.h> on Hurd and kFreeBSD.
  * debian/control.in/main: Build-Depends on python3 when running the
    testsuite.
  * debian/rules.d/build.mk, debian/debhelper.in/libc-dev.install,
    debian/debhelper.in/libc-dev-alt.install: install the NPTL GDB
    pretty-printer python macros in the libc6-dev and libc6-*-dev packages.
    Closes: #868247.
  * debian/debhelper.in/libc-dev-alt.{preinst,postinst}: remove, used to
    handle the multiarch transition.
  * debian/debhelper.in/libc.{preinst,postinst}: remove code not needed
    since jessie.
  * debian/patches/mips/submitted-syscalls5-7-unbound-stack.diff: new
    patch to fix unbounded stack allocation in O32 syscalls with 5 to 7
    arguments, causing nptl/tst-rwlock15 to fail on mips and mipsel.
  * debian/control.in/main,debian/compat: switch to debhelper 10.

  [ John David Anglin ]
  * debian/patches/any/submitted-resolv-unaligned.diff: new patch to fix
    misaligned accesses in res_query.c to fields in HEADER struct (closes:
    #827703).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Aug 2017 19:02:51 +0200

glibc (2.25-0experimental0) experimental; urgency=medium

  * New upstream release:
    - debian/control: regenerate.
    - debian/symbols.wildcard: update for 2.25.
    - debian/patches/git-updates.diff: update from upstream stable branch.
    - debian/patches/alpha/local-string-functions.diff: rebased.
    - debian/patches/alpha/submitted-fegetenv-namespace.diff: upstreamed.
    - debian/patches/amd64/local-blacklist-for-Intel-TSX.diff: upstreamed.
    - debian/patches/hppa/cvs-atomic-machine.diff: upstreamed.
    - debian/patches/hurd-i386/tg-tls.diff: rebased.
    - debian/patches/hurd-i386/tg-tls-threadvar.diff: rebased.
    - debian/patches/hurd-i386/tg-hurdsig-fixes-2.diff: rebased.
    - debian/patches/hurd-i386/unsubmitted-NO_HIDDEN.diff: rebased.
    - debian/patches/hurd-i386/cvs-check-local-headers.diff: upstreamed.
    - debian/patches/hurd-i386/tg-faccessat.diff: rebased and reworked.
    - debian/patches/hurd-i386/tg-gsync-libc.diff: rebased.
    - debian/patches/hurd-i386/git-recvmsg.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-adjtime-NULL.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-mallocfork.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-hurd_signal.h_c++.diff: upstreamed.
    - debian/patches/i386/cvs-cpuid-level2.diff: upstreamed.
    - debian/patches/kfreebsd/submitted-auxv.diff: rebased.
    - debian/patches/sparc/cvs-test-strncmp.diff: upstreamed.
    - debian/patches/any/local-rtlddir-cross.diff: rebased.
    - debian/patches/any/local-asserth-decls.diff: rebased.
    - debian/patches/any/submitted-longdouble.diff: dropped, obsolete.
    - debian/patches/any/local-disable-libnss-db.diff: rebased.
    - debian/patches/any/local-revert-bz13979.diff: rebased.
    - debian/patches/any/submitted-dlopen-noload.diff: upstreamed.
    - debian/patches/any/cvs-malloc-hardening.diff: rebased.
  * debian/testsuite-xfail-debian.mk: mark a few resolv related tests as
    XFAIL, as they fail due to local-dynamic-resolvconf.diff, which
    automatically reload a changed /etc/resolv.conf file. A better version
    of this patch has been merged in glibc 2.26, but is not easily
    backportable.
  * debian/testsuite-xfail-debian.mk: mark tst-strfrom and tst-strfrom-locale
    as XFAIL on mips*, they are due to corner case bugs in the FPU. Give more
    details about each issue.
  * debian/testsuite-xfail-debian.mk: mark test-double, test-idouble,
    test-ifloat and test-ildouble as XFAIL on s390x, they are due to a bug in
    GCC 6 (fixed in GCC 7) and not a regression from 2.24.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Aug 2017 18:54:56 +0200

glibc (2.24-18) UNRELEASED; urgency=medium

  [ Samuel Thibault ]
  * libc0.3.symbols.hurd-i386: Update with proc_set/get_exe RPCs.
  * patches/hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Always define SA_SIGINFO.
  * patches/hurd-i386/local-no_unsupported_ioctls.diff: New patch.
  * patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Complete with
    clock_getres().
  * patches/hurd-i386/local-bootstrap.diff: Renamed to tg-bootstrap.diff.
  * patches/hurd-i386/submitted-add-needed.diff: Renamed to
    tg-mach-hurd-link.diff.

  [ Svante Signell ]
  * patches/hurd-i386/submitted-exec_filename.diff: Update, fixes
    execve/spawni relative path case.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Aug 2017 11:11:58 +0200

glibc (2.24-17) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/unsubmitted-clock_t_centiseconds.diff: Drop clock() part
    from patch, it always uses CLOCKS_PER_SEC which is always 1000000. Should
    fix ffmpeg build.  Closes: Bug#872556.

  [ Aurelien Jarno ]
  * debian/patches/any/submitted-intl-tstgettext.diff: new patch to fix the
    intl/tst-gettext with newer gettext versions.  Closes: #873097.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 26 Aug 2017 11:09:24 +0200

glibc (2.24-16) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/sysdeps/kfreebsd-i386.mk: don't try to build libc0.1-i686.
  * debian/sysdeps/hurd-i386.mk: don't try to build libc0.3-i686.
  * debian/sysdeps/i386.mk: don't try to build libc6-i686.
  * debian/testsuite-xfail-debian.mk: update kfreebsd* according to
    git-updates.diff.

  [ Samuel Thibault ]
  * debian/testsuite-xfail-debian.mk: update hurd according to git-updates.diff.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Aug 2017 08:51:25 +0200

glibc (2.24-15) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Avoid use-after-free read access in clntudp_call (CVE-2017-12133).
      Closes: #870648.
  * debian/control.in/*: Change back gcc-multilib to a Recommends for
    biarch packages. It provides the /usr/include/linux/asm symlink.
  * debian/control.in/x32: Add a gcc-multilib Recommends for libc6-dev-x32.
  * Update French debconf translation, by Alban Vidal.  Closes: #872025.
  * debian/control.in/main: Change multiarch-support to priority optional
    and section oldlibs.
  * debian/control.in/opt: Remove transitional packages libc0.1-i686,
    libc0.3-i686, libc6-i686.
  * debian/control.in/libc, debian/control.in/main, debian/control.in/opt:
    change the priority of libc0.1-dbg, libc0.1-udeb, libc0.3-dbg,
    libc0.3-udeb, libc0.3-xen, libc6.1-alphaev67, libc6.1-dbg, libc6.1-udeb,
    libc6-dbg, libc6-udeb, libc6-xen and locales-all to optional.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 20 Aug 2017 15:12:10 +0200

glibc (2.24-14) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix namespace register pollution on sh4.  Closes: #776471.
  * debian/patches/powerpc/submitted-tst-tlsopt-powerpc.diff: new proposed
    patch to fix tst-tlsopt-powerpc when built with binutils >= 2.29.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Aug 2017 13:46:34 +0200

glibc (2.24-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix ld.so segfault on arm64.
    - Fix build with newer binutils.  Closes: #869717.
    - debian/patches/any/submitted-perl-inc.diff: drop, upstreamd.
    - debian/patches/any/local-CVE-2017-1000366-rtld-LD_LIBRARY_PATH.diff:
      drop, upstreamd.
    - debian/patches/any/local-CVE-2017-1000366-rtld-LD_PRELOAD.diff: drop,
      upstreamed.
    - debian/patches/any/local-CVE-2017-1000366-rtld-LD_AUDIT.diff: drop,
      upstreamed.
    - debian/patches/any/cvs-vectorized-strcspn-guards.diff: drop, upstreamed.
    - debian/patches/any/cvs-hwcap-AT_SECURE.diff: drop, upstreamed.
  * debian/rules.d/debhelper.mk: relax the dependency on linux-libc-dev to the
    upstream version.
  * Greek debconf translation update from Vangelis Skarmoutsos.  Closes:
    #867474.
  * Update Dutch debconf translation, by Frans Spiesschaert.  Closes: #867981.
  * debian/debhelper.in/libc-bin.triggers: declare the trigger as
    interest-await.
  * debian/control.in/*: Demote gcc-multilib 'Recommends' to a 'Suggests'.
    Closes: #865429.

  [ Adam Conrad ]
  * debian/patches/arm/submitted-strip-bit-0.diff: Fix ld.so crash on armv7t.

  [ Santiago Vila ]
  * debian/debhelper.in/libc-bin.postinst: do not update /etc/nsswitch.conf
    when its content already matches the default.  Closes: #865144.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 31 Jul 2017 16:54:16 +0200

glibc (2.24-12ubuntu1) artful; urgency=medium

  * Merge with Debian testing, bringing in packaging and upstream fixes.
    - any/cvs-resolv-internal-qtype.diff: Revert to avoid an ABI break.
    - ubuntu/local-disable-ld_audit.diff: Rewrite to apply to new code.
  * any/cvs-common-symbols.diff: Apply to fix build with newer binutils.
  * arm/cvs-rtld-startup.diff: Backport fix for rtld startup on arm64.
  * arm/submitted-strip-bit-0.diff: ML fix to the ld.so crash on armv7t.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 01 Jul 2017 15:13:50 -0600

glibc (2.24-12) unstable; urgency=high

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Drop patches/any/cvs-remove-pid-tid-cache-clone.diff (merged upstream).
    - Remove wrong assertion on parent PID in fork.
    - Fix 64-bit atomics on m68k.  Closes: #855692.
  * debian/debhelper.in/libc.templates: update the kernel 3.2 warning to
    mention that the support limitation comes from Debian and not from
    upstream.  Closes: #864720.
  * debian/rules, debian/rules.d/build.mk: do not capture the build path
    when generating glibc-source tarball.  Closes: #861183.
  * debian/control.in/main: build-depends on gperf.  Closes: #847478.
  * debian/patches/hppa/submitted-longjmp.diff: new patch from Helge Deller
    to fix longjmp on hppa.  Closes: #858738.
  * debian/sysdeps/mipsel.mk, debian/sysdeps/mips64el.mk: leave the default
    GCC ISA level, currently MIPS32R2/MIPS64R2.
  * debian/patches/any/local-CVE-2017-1000366-rtld-LD_AUDIT.diff,
    debian/patches/any/local-CVE-2017-1000366-rtld-LD_LIBRARY_PATH.diff,
    debian/patches/any/local-CVE-2017-1000366-rtld-LD_PRELOAD.diff: add
    patches to protect the dynamic linker against stack clashes
    (CVE-2017-1000366).
  * debian/patches/any/cvs-vectorized-strcspn-guards.diff: patch backported
    from upstream to allow usage of strcspn in ld.so.
  * debian/patches/any/cvs-hwcap-AT_SECURE.diff: patch backported from
    upstream to disable HWCAP for AT_SECURE programs.

  [ John Paul Adrian Glaubitz ]
  * debian/sysdeps/sh3.mk: copy from sh4.mk.  Closes: #851867.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Jun 2017 20:04:53 +0200

glibc (2.24-11) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Improve memcpy/memset performance on Skylake server.
  * debian/patches/any/cvs-malloc-hardening.diff: patch backported from
    upstream to further harden glibc malloc metadata against 1-byte
    overflows.  Closes: #862950.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 May 2017 19:29:33 +0200

glibc (2.24-10) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/cvs-truncate64.diff: New patch to support 64bit truncate.
  * hurd-i386/cvs-send-recv-posix.diff: New patch to make send/recv more
    posix.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix readahead on mips64el.
    - Improve branch predication in _dl_runtime_resolve_avx512_opt;
    - Fix symbol redirect for fts_set on 32-bit architectures.
    - Fix AVX2/AVX512 optimized unaligned memset.
    - Don't use PLT nor GOT in static archives on amd64.
    - Drop GLIBC_TUNABLES in setxid processes.
    - Fix write-after-destroy in lock elision on powerpc/ppc64el.
  * Drop patches/any/cvs-resolv-internal-qtype.diff, merged upstream.
  * any/cvs-remove-pid-tid-cache-clone.diff: patch from upstream to remove
    cached PID/TID in clone.  Closes: #857909.
  * debian/rules.d/build.mk: do not fail the build in case of testsuite
    regressions when building a +debXuX version. That way changes in the
    environment (e.g.: kernel) do not prevent security or stable versions
    to be built.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Apr 2017 00:13:55 +0200

glibc (2.24-9ubuntu2) zesty; urgency=medium

  * debian/patches/any/cvs-resolv-internal-qtype.diff: Revert to avoid
    failure in name resolution on upgrades from yakkety (LP: #1674532)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 21 Mar 2017 15:27:15 -0600

glibc (2.24-9ubuntu1) zesty; urgency=medium

  * Merge with Debian testing, bringing in packaging and upstream fixes.
  * debian/patches/any/cvs-ttyname-namespaces.diff: Pull upstream commit
    to return ENODEV for ttyname() when /proc/self/fd* point to nonsense
    in namespaces (LP: #1669578)
  * debian/patches/any/cvs-pthread-free.diff: Pull an upstream commit to
    fix use after free in pthread_create() (LP: #1651525)
  * debian/patches/powerpc/cvs-lock-elision.diff: Pull upstream commit
    to fix write-after-destroy in lock elision on powerpc (LP: #1640518)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Mar 2017 11:07:30 -0600

glibc (2.24-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-libpthread-gsync-mutex.diff: Update patch, fixes trylock
    error return.
  * hurd-i386/tg-magic-pid.diff: New patch, add support for /proc/self.
  * hurd-i386/tg-mlockall.diff: New patch, add support for mlockall.
    - control: Bump gnumach-dev build-depend accordingly.
  * hurd-i386/tg-gsync-libc.diff: Fix linking against built libmachuser
    instead of installed libmachuser.
  * libc0.3.symbols.hurd-i386: Add vm_wire_all symbols.

  [ Aurelien Jarno ]
  * debian/sysdeps/{amd64,i386,x32}.mk: disable lock elision (aka Intel TSX)
    on x86 architectures. This causes programs (wrongly) unlocking an already
    unlocked mutex to abort. More importantly most of the other distributions
    decided to disable it, so we don't want to be the only distribution left
    testing this code path.  Closes: #850182.
  * debian/rules.d/build.mk: pass --no-recursion before -T in the call to tar
    to workaround or fix bug#829738. This reduces the size of the glibc-source
    package by 40%
  * debian/patches/localedata/supported.diff: rename the kk_KZ locale with the
    RK1048 charset to kk_KZ.RK1048 to avoid conflicting with the kk_KZ locale
    with the PT154 charset.  Closes: #847596.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/alpha/submitted-math-fixes.diff: Drop, merged upstream.
  * patches/any/cvs-resolv-internal-qtype.diff: patch from upstream to fix a
    NULL pointer dereference in libresolv when receiving a T_UNSPEC internal
    QTYPE (CVE-2015-5180).  Closes: #796106.
  * Make the package build reproducibly, thanks to Ximin Luo for the patch.
    Closes: #783210.
    - debian/rules: export SOURCE_DATE_EPOCH when not building with
      dpkg-buildpackage.
    - debian/rules.d/build.mk: use --clamp-mtime instead of touching the
      files.
    - debian/rules.d/debhelper.mk: do not chmod +x the shell script, call
      it with sh instead.
  * debian/rules.d/control.mk: Add the sh3 architecture to libc6_archs.
    Closes: #850565.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 16 Jan 2017 18:43:37 +0100

glibc (2.24-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-libc_rwlock_recursive.diff: New patch to work around
    fakeroot-tcp issue, see #845930.
  * hurd-i386/cvs-hurd_signal.h_c++.diff: New patch to fix building gdb.
  * hurd-i386/tg-poll_errors_fixes.diff: Fix port leak.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Dec 2016 22:49:53 +0100

glibc (2.24-7ubuntu2) zesty; urgency=medium

  * Disable lock-elision on all targets to avoid regressions (LP: #1642390)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 05 Dec 2016 05:36:48 -0700

glibc (2.24-7ubuntu1) zesty; urgency=medium

  * Merge with 2.24 from Debian sid, with upstream and packaging updates.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Nov 2016 10:01:13 -0700

glibc (2.24-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Fix passing address to legacy SIGBUS
    handlers.
  * hurd-i386/tg-libpthread-gsync-mutex.diff: New patch to make mutexes use
    gsync too.
  * hurd-i386/tg-NOFOLLOW.diff: New patch to fix O_NOFOLLOW errors.
  * hurd-i386/tg-NOFOLLOW-DIRECTORY.diff: New patch to fix O_NOFOLLOW |
    O_DIRECTORY errors.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/rules: build with -no-pie -fno-PIE. Closes: #845512, #845521.

  [ Matthias Klose ]
  * Allow to inject the libc-dev dependency on linux-libc-dev by the build
    environment.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Nov 2016 23:09:39 +0100

glibc (2.24-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * libc0.3.symbols.hurd-i386: Drop removed RPCs.
  * hurd-i386/cvs-libpthread.diff: Update to latest upstream version.
    - hurd-i386/cvs-libpthread-static-weak.diff: Drop, merged upstream.
    - hurd-i386/cvs-pthread-atfork.diff: Drop, merged upstream.
    - hurd-i386/cvs-setcancelstate.diff: Drop, merged upstream.
  * hurd-i386/tg-libpthread-gsync-spin.diff: New patch to make spinlocks use
    gsync too.  Thanks Svante Signell for investigating issues with the first
    version.
  * hurd-i386/tg-ONSTACK.diff: New patch to fix SS_ONSTACK support.
    Closes: #551470.
  * hurd-i386/tg-extern_inline.diff: Update to upstream.
    - hurd-i386/tg-sigstate_thread_reference.diff: Refresh.
    - hurd-i386/tg-gsync-libc.diff: Refresh.
  * hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Update to upstream.
  * hurd-i386/tg-EGREGIOUS-fr.diff: New patch to fix grammar in french
    translation.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix pread/pwrite syscalls on SH4.
    - Fix build on powerpc/ppc64el with binutils from trunk.  Closes: #843691.
    - Fix flexible array usage in gconv.h.  Closes: #841304.
    - Fix linknamespace parallel test failures.  Closes: #844132.
  * debian/patches/any/submitted-unicode-9.0.0.diff: proposed patch to update
    Unicode support to version 9.0.0.  Closes: #842466.
  * debian/patches/localedata/locale-C.diff: update to Unicode 9.0.0.
  * debian/patches/localedata/submitted-en_AU-date_fmt.diff: improve date_fmt
    for en_AU locale.  Closes: #841916.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Nov 2016 19:22:48 +0100

glibc (2.24-5) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/sysdeps/linux.mk: fix cross-compilation by also looking at headers
    in $(LINUX_HEADERS).
  * debian/testsuite-xfail-debian.mk: allow nptl/tst-stack4 to fail on HPPA.

  [ Samuel Thibault ]
  * hurd-i386/cvs-libpthread-static-weak.diff: New patch to fix weak
    references when linking in libpthread statically.
  * hurd-i386/cvs-pthread-atfork.diff: New patch to fix unregistering atfork
    handlers at library unload. Closes: #841068.
  * debhelper.in/libc-dev.install.hurd-i386: Install libpthread_nonshared.a.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 18 Oct 2016 23:10:46 +0200

glibc (2.24-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-hurdsig-SA_SIGINFO.diff: Fix preemptors and thus
    hurd_safe_*.
  * hurd-i386/tg-hurdsig-fixes.diff: Fix uninitialized value.
  * hurd-i386/submitted-exec_filename.diff: Add missing includes, fix const
    warning.
  * hurd-i386/cvs-mallocfork.diff: New patch to fix concurrency between
    hurd_malloc and fork, triggered by malloc/tst-malloc-fork-deadlock.
  * hurd-i386/cvs-libpthread.diff: Update to latest upstream version.
    Closes: #839742.
  * hurd-i386/libpthread_build.diff: Refresh.
  * hurd-i386/libpthread_version.diff: Refresh.
  * hurd-i386/unsubmitted-libc_alloca_cutoff.diff: Refresh.
  * hurd-i386/cvs-hidden.diff: Drop, merged upstream.
  * hurd-i386/cvs-libpthread-2.23.diff: Drop, merged upstream.
  * hurd-i386/cvs-libpthread-api.diff: Drop, merged upstream.
  * hurd-i386/cvs-libpthread_build.diff: Drop, merged upstream.
  * hurd-i386/cvs-libpthread_clean2.diff: Drop, merged upstream.
  * hurd-i386/cvs-pt-kill.diff: Drop, merged upstream.
  * hurd-i386/libpthread-versions.diff: Drop, merged upstream.
  * hurd-i386/libpthread_clean.diff: Drop, merged upstream.
  * hurd-i386/libpthread_sigmask.diff: Drop, merged upstream.
  * hurd-i386/libpthread_spin-lock.diff: Drop, merged upstream.
  * hurd-i386/unsubmitted-libpthread-semaphore.h.diff: Drop, merged upstream.
  * hurd-i386/tg-pthread_deps.diff: New patch, fixes references to libc
    symbols.
  * testsuite-xfail-debian.mk: Clear fixed hurd-i386 test.
  * control: Drop hurd dependency from libc-bin: the reason for the dep has
    disappeared.
  * hurd-i386/unsubmitted-libc_alloca_cutoff.diff: Rename to
    hurd-i386/tg-allocalim.diff.
  * hurd-i386/unsubmitted-timer_routines.diff: Rename to
    hurd-i386/tg-timer_routines.diff.
  * hurd-i386/tg-glibc-2.24-restore-malloc-hook.diff: Restore malloc_hook for
    now for mach-defpager.
  * hurd-i386/cvs-setcancelstate.diff: New patch to work around a bug with
    newer libpthread snapshot.

  [ Adam Conrad ]
  * debian/rules.d/tarball.mk: Apply --no-renames to make the diff readable.
  * debian/rules.d/tarball.mk: Avoid filterdiff bugs with git pathspec magic.
  * debian/patches/git-updates.diff: Update to 2.24 master to test the above.

  [ John David Anglin ]
  * debian/patches/hppa/cvs-atomic-machine.diff: New patch from upstream to
    fix nptl/tst-stack4 on hppa.  Closes: #838574.

  [ Aurelien Jarno ]
  * debian/sysdeps/linux.mk: Install both kernel and library headers symlinks
    using a single for loop.
  * debian/sysdeps/linux.mk: Also install a /usr/include/<triplet>/arch
    symlink if it exists, needed for the tilegx architecture.
  * debian/control.in/main: add a dependency on lsb-base (>= 3.0-6) for ncsd.
  * debian/debhelper.in/nscd.init: also invalidate services and netgroup
    during reload.  Closes: #793649.
  * debian/control.in/main, debian/rules.d/debhelper.mk: install nscd systemd
    files. Closes: #767707.
  * debian/patches/localedata/locale-C.diff: switch back transliterations to
    combining.  Closes: #840199.
  * debian/debhelper.in/locales.postinst: improve locales-all detection.
    Closes: #840901.
  * debian/patches/i386/local-cpuid-level2.diff: replace by upstream patch
    cvs-cpuid-level2.diff.
  * debian/control.in/main: slightly relax the build-dependency on g++-6 to
    make lintian happy.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Oct 2016 13:06:08 +0200

glibc (2.24-3ubuntu1) yakkety; urgency=medium

  * Merge with 2.24 from Debian sid, bringing in minor packaging changes and
    upstream updates, including the security fix for CVE-2016-6323 on ARMv7.
  * debian/patches/ubuntu/local-altlocaledir.diff: Updated to latest version
    from Martin that limits scope to LC_MESSAGES, fixing segv (LP: #1577460)
  * debian/testsuite-xfail-debian.mk: Allow nptl/tst-signal6 to fail on ARM.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 05 Oct 2016 14:25:57 -0600

glibc (2.24-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6102 (from
    glibc-bsd).
  * debian/control.in/main: Drop "Provides: locales" for locales-all.
    Closes: #837694.
  * Mark libc-l10n as Multi-Arch: foreign.

  [ Samuel Thibault ]
  * hurd-i386/tg-poll_errors_fixes.diff: Fix spurious port destroy on io_select
    returning an error.
  * hurd-i386/cvs-libpthread.diff: Update from upstream. Fixes spurious
    dependencies of libp11, libgnutls30, libbsd0.

  [ John David Anglin ]
  * patches/hppa/submitted-sysdeps-cancel.diff: new patch to fix syscall
    cancellation issues.  Closes: #837518.
  * testsuite-xfail-debian.mk: HPPA updates.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Sep 2016 20:00:44 +0200

glibc (2.24-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-gsync-libc.diff: Fix for glibc 2.24.
  * testsuite-xfail-debian.mk: Update header conformance results.

  [ Aurelien Jarno ]
  * debian/rules.d/debhelper.mk: remove the arch-qualifier from the
    linux-libc-dev depends.  Closes: #836446.
  * debian/patches/any/submitted-perl-inc.diff: new patch to fix the
    testsuite with perl (>= 5.22.2-4), which removed '.' from @INC by
    default.
  * debian/patches/git-updates.diff: update from upstream stable branch.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Sep 2016 22:36:31 +0200

glibc (2.24-1) unstable; urgency=medium

  [ Adam Conrad ]
  * debian/rules.d/control.mk: Manually add binutils, linux-libc-dev, and the
    current GCC to the rebuild test deps, so they land in Testsuite-Triggers.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/any/submitted-argp-attribute.diff: upstreamed.
    - Fix backtrace hang on armel/armhf, possibly causing a minor
      denial-of-service vulnerability (CVE-2016-6323).  Closes: #834752.
  * debian/control.in/libc: drop ${locale-compat:Depends} as it was not used
    anymore.
  * debian/control.in/libc, debian/rules.d/debhelper.mk: compute the
    linux-libc-dev dependency from the one installed at build time.  Closes:
    #834706.
  * debian/patches/series: apply hppa/submitted-setcontext.diff.  Closes:
    #835414.

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-adjtime-NULL.diff: New patch to fix crash on
    adjtime(..., NULL).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Aug 2016 17:51:04 +0200

glibc (2.24-0ubuntu1) yakkety; urgency=medium

  * Merge with current 2.24 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - debian/control.in/libc: Remove a Breaks on s390x against a binary
      NMU version of check that will never exist in the Ubuntu archive.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Evaluate and merge localedata patches from the old langpack-locales.
  * debian/sysdeps/{amd64,i386}.mk: Don't build i386 libc with -fno-regmove.
  * debian/patches/ubuntu/localedata/bn-language.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/ckb_IQ-new_locale.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/en_IE-am_pm.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/eo_US.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/es_DO-am_pm.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/ln_CD-new_locale.diff: Applied upstream.
  * debian/patches/ubuntu/localedata/lv_LV-currency.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/sd_PK.diff: Rebased to 2.24.
  * debian/patches/ubuntu/localedata/ug_CN@latin.diff: Rebased to 2.24.
  * debian/testsuite-xfail-debian.mk: Drop now unnecessary s390x Ubuntu delta.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Aug 2016 15:29:00 -0600

glibc (2.24-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * testsuite-xfail-debian.mk: Update with hurd-i386 non-regressions.

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/powerpc/submitted-powerpc-ifunc-sel.diff: upstreamed.
    - debian/patches/sparc/submitted-sparc-fdim.diff: upstreamed.
  * debian/patches/sparc/cvs-test-strncmp.diff: new patch from upstream to
    fix wcsmbs/test-wcsncmp on architecture with strong alignment.  Closes:
    #825865.
  * debian/patches/testsuite-xfail-debian.mk: remove xfail-test-wcsncmp on
    sparc.
  * debian/sysdeps/{sparc,sparc64}.mk: force target to sparcv9-linux-gnu.
  * debian/patches/sparc/local-sparcv9-target.diff: drop, obsolete.
  * patches/hppa/local-stack-grows-up.diff: restore one hunk that has not been
    merged upstream from the 2.23 version.
  * patches/localedata/locale-C.diff: update to unicode 8.0.0, add missing
    categories, use the copy directive when possible.
  * debian/rules.d/build.mk: disable the C++ compiler when tests are disabled,
    based on a patch from Matthias Klose.  Closes: #834138.
  * rules.d/build.mk: test for DEB_BUILD_OPTIONS="nocheck" using filter
    instead of findstring.
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6101 (from
    glibc-bsd).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Aug 2016 16:55:38 +0200

glibc (2.24-0experimental0) experimental; urgency=medium

  * New upstream release: version 2.24.
  * debian/patches/hurd-i386/submitted-malloc-setstate.diff: only apply on
    hurd-i386, as it causes regressions on at least x32.
  * debian/rules.d/tarball.mk: make the orig tarball generation a bit more
    reproducible.
  * debian/sysdeps/sparc64.mk: compile all flavours with -mcpu=ultrasparc.
  * debian/patches/submitted-sparc-fdim.diff: new patch to fix fdimf and
    fdim function on SPARC.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Aug 2016 03:13:12 +0200

glibc (2.23.90+20160725.b898b64-1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream snapshot from 20160725.
  * debian/testsuite-xfail-debian.mk: remove HPPA math tests from XFAIL,
    the problem is fixed from some time already.
  * debian/patches/powerpc/submitted-powerpc-ifunc-sel.diff: new patch to
    fix the ifunc tests with GCC 6 on PowerPC.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Jul 2016 23:38:37 +0200

glibc (2.23.90+20160719.2c3d888-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * testsuite-xfail-debian.mk: Add missing test failure (no actual
    regression).

  [ Aurelien Jarno ]
  * New upstream snapshot from 20160719:
    - debian/patches/hurd-i386/cvs-tabdly.diff: upstreamed.
  * debian/control.in/main, debian/rules: build with GCC 6.  Closes: #835946.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2016 23:34:49 +0200

glibc (2.23.90+20160711.c10f90d-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/submitted-malloc-setstate.diff: New patch to fix
    malloc_setstate.
  * testsuite-xfail-debian.mk: Update hurd-i386 testsuite results, no actual
    regression.

  [ Aurelien Jarno ]
  * New upstream snapshot from 20160711:
    - debian/patches/localedata/locale-de_LI.diff: upstreamed.
    - debian/patches/hppa/submitted-libm-test-ulps.diff: upstreamed.
  * debian/testsuite-xfail-debian.mk: allow conform/XPG3/sys/stat.h
    and conform/XPG4/sys/stat.h to fail on mips and mipsel, similarly
    to the others sys/stat.h conform tests. Group all theses entries
    and an explanation.
  * debian/testsuite-xfail-debian.mk: do not allow math/test-fenv to
    fail now that we do not have Loongson 2 buildds anymore.
  * debian/patches/kfreebsd/local-sysdeps.diff, local-fbtl.diff:
    update to revision 6087 (from glibc-bsd).
  * debian/testsuite-xfail-debian.mk: allow more failures on kfreebsd-*,
    mostly due to the fsid_t type, and which are not regressions.
  * testsuite-xfail-debian.mk: Update x32 testsuite results, no actual
    regression.
  * Replace debian/patches/alpha/submitted-trunc.diff by
    debian/patches/alpha/submitted-math-fixes.diff containing additional
    math fixes.
  * debian/rules: better glibc version detection for snapshots.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 Jul 2016 22:45:50 +0200

glibc (2.23.90+20160507.87523e9-1) experimental; urgency=medium

  * New upstream snapshot from 20160705:
    - Fix locales license.  Closes: #555168.
    - Fix Spanish locale 1st week definition.  Closes: #826888.
    - debian/patches/localedata/sort-UTF8-first.diff: rebased.
    - debian/patches/localedata/locale-eo_EO.diff: upstreamed.
    - debian/patches/localedata/locale-ku_TR.diff: rebased.
    - debian/patches/localedata/fo_FO-date_fmt.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/localedata/locale-en_DK.diff: rebased.
    - debian/patches/localedata/locale-hsb_DE.diff: rebased.
    - debian/patches/localedata/fr_CH-first_weekday.diff: upstreamed.
    - debian/patches/localedata/locale-de_LI.diff: rebased.
    - debian/patches/localedata/submitted-bz9725-locale-sv_SE.diff: rebased.
    - debian/patches/localedata/first_weekday.diff: upstreamed.
    - debian/patches/localedata/submitted-en_AU-date_fmt.diff: rebased.
    - debian/patches/amd64/local-blacklist-for-Intel-TSX.diff
    - debian/patches/arm/local-arm-futex.diff: rebased.
    - debian/patches/hppa/local-stack-grows-up.diff: dropped, obsolete.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: rebased.
    - debian/patches/hurd-i386/tg-tls-threadvar.diff: rebased.
    - debian/patches/hurd-i386/tg-hooks.diff: rebased.
    - debian/patches/hurd-i386/cvs-openat.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-gai_sigqueue.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-aio_sigqueue.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-open.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-c++-types.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-errnos.d.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-mach-syscalls.mk.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-auxv.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-gprof-tick.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-IPV6_PKTINFO.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-i686-link.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-check-local-headers.diff: rebased.
    - debian/patches/hurd-i386/tg-gsync-libc.diff: rebased.
    - debian/patches/i386/local-cpuid-level2.diff: rebased.
    - debian/patches/sparc/submitted-sparc64-socketcall.diff: rebased.
    - debian/patches/sparc/cvs-sparc-nearbyint.diff: upstreamed.
    - debian/patches/any/local-libgcc-compat-ports.diff: rebased.
    - debian/patches/any/submitted-longdouble.diff: rebased.
    - debian/patches/any/submitted-string2-strcmp.diff: rebased.
    - debian/patches/any/local-dynamic-resolvconf.diff: rebased.
    - debian/patches/any/cvs-tst-malloc-thread-exit.diff: upstreamed.
    - debian/patches/any/cvs-sys-personality-h.diff: upstreamed.
  * debian/patches/localedata/{locale-C.diff,locale-de_LI.diff,
    locale-eu_FR.diff,new-valencian-locale.diff}: change LC_IDENTIFICATION
    to i18n:2012.
  * debian/debhelper.in/locales.config: convert iw_IL into he_IL, as the
    former was deprecated and has been removed.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Jul 2016 20:47:21 +0200

glibc (2.23-5) unstable; urgency=medium

  * patches/hurd-i386/git-recvmsg.diff: New patch, fixes recvmsg on PF_LOCAL
    sockets with msg_name != NULL.  Closes: #833558.
  * hurd-i386/libpthread_version.diff: Really fix pthread_setcancelstate
    aliasing.
  * libc0.3.symbols.hurd-i386: Update symbols.
  * hurd-i386/tg-sysvshm.diff: Update from topgit.
  * hurd-i386/cvs-check-local-headers.diff: Update from git.
  * hurd-i386/tg-extern_inline.diff: Fix using inlines in libc.
  * hurd-i386/cvs-libpthread-2.23.diff: Fix calling pthread functions from
    libc.
  * hurd-i386/tg-gsync-libc.diff: New patch, use gsync for libc
    synchronization primitives.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2016 21:16:41 +0200

glibc (2.23-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6098 (from
    glibc-bsd).
  * debian/debhelper.in/libc.postinst: drop code to handle the /var/mail
    transition for pre-Potato installations.
  * debian/debhelper.in/libc.{preinst,postinst}, debian/script.in/nohwcap.sh:
    Remove fallback to dpkg --print-architecture for pre-multiarch systems.
  * debian/debhelper.in/libc.{preinst,postinst}: do not run the NSS check
    code from a chroot as it might not have an init system installed.
  * debian/testsuite-xfail-debian.mk: allow tst-robust8 to fail on amd64, it
    is an intermittent failure that might be due to a kernel issue.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jul 2016 00:39:51 +0200

glibc (2.23-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/libpthread_version.diff: Update with pthread_setcancelstate
    aliasing.

  [ Aurelien Jarno ]
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6097 (from
    glibc-bsd).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Jul 2016 23:23:29 +0200

glibc (2.23-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Danish debconf translation update from Joe Hansen.  Closes: #830589.
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6096 (from
    glibc-bsd).

  [ Samuel Thibault ]
  * hurd-i386/cvs-libpthread-2.23.diff: Update, adds pthread_setcancelstate
    alias, fixes rsyslog start.
  * hurd-i386/cvs-tabdly.diff: New patch.  Closes: #830584.
  * hurd-i386/local-clock_gettime_MONOTONIC.diff: Complete patch with
    timer_create, to fix ghc 8 build.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2016 20:22:37 +0200

glibc (2.23-1ubuntu1) yakkety; urgency=medium

  * Merge with most recent upload from Debian unstable, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - debian/control.in/libc: Remove a Breaks on s390x against a binary
      NMU version of check that will never exist in the Ubuntu archive.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Adjust XFAIL list to be slightly more lenient for our s390x port.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
    - Evaluate and merge localedata patches from the old langpack-locales.
  * Build with -fno-pie and -no-pie everywhere, upstream isn't PIE-ready.
  * Drop debian/patches/ubuntu/local-warn-bsd-source.diff, no longer needed.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jul 2016 07:24:27 -0600

glibc (2.23-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/hppa/submitted-start.diff: drop, upstreamed.
  * debian/patches/localedata/locale-C.diff: update comment about the week
    entry.  Closes: #829093.
  * debian/testsuite-xfail-debian.mk: allow malloc/tst-mallocfork2 to fail
    on hurd-i386, this is not a regression but a new test.
  * debian/patches/sparc/cvs-sparc-nearbyint.diff: new patch from upstream
    to fix nearbyint* functions with a sNaN input on SPARC.
  * debian/testsuite-xfail-debian.mk: allow math/test-double-finite and
    math/test-float-finite to fail on alpha, as this architecture do not
    fully support IEEE flags.
  * debian/patches/alpha/submitted-trunc.diff: new patch to fix trunc and
    truncf results for big values on alpha.
  * debian/testsuite-xfail-debian.mk: allow nptl/tst-cancel9 and
    nptl/tst-cancelx9 to fail on hppa, they are not regressions.

  [ John David Anglin ]
  * debian/patches/hppa/submitted-libm-test-ulps.diff: new patch to update
    the math test ULPs on hppa.

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-poll_errors_fixes.diff: Update from tg branch, fixes
    gettimeofday call from select.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jul 2016 21:59:34 +0200

glibc (2.23-0experimental4) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/rules.d/build.mk: allow a test to fail without having a .out
    file.
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6075 (from
    glibc-bsd).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 30 Jun 2016 12:25:44 +0200

glibc (2.23-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/hurd-i386/tg-hurdsig-fixes-2.diff: refresh.
    - debian/patches/hurd-i386/cvs-libpthread.so.diff: drop, upstreamed.
    - debian/patches/mips/submitted-vfork.diff: drop, upstreamed.
    - debian/patches/sparc/submitted-vfork.diff: drop, upstreamed.
  * debian/rules.d/build.mk: reduce TIMEOUTFACTOR to 15 from 50. That
    corresponds to a 5 minutes default, which should be more than enough even
    on slow architectures.
  * debian/sysdeps/mips64el.mk: change the ISA back to MIPS3 to fix math FMA
    tests on some CPUs.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Jun 2016 00:48:51 +0200

glibc (2.23-0ubuntu3) xenial; urgency=medium

  * Merge with 2.23 from experimental, bringing in upstream updates:
    - Save/restore fprs/vrs while resolving symbols (LP: #1564918)
    - Fix _nss_dns_getnetbyname_r() stack overflow (CVE-2016-3075)
    - Merge libnss-dns-udeb and libnss-files-udeb into libc6-udeb.
  * Tidy up locale-gen, thanks to Gunnar Hjalmarsson (LP: #1560577):
    - Fix thinko that broke handling of multiple locale arguments.
    - Recognize UTF-8 locales without charset suffix in SUPPORTED.
    - Fix bug that led to the unsupported message not being shown.
  * Show reboot-required notification for all updates (LP: #1546457)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 Apr 2016 10:26:16 -0600

glibc (2.23-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * patches/kfreebsd/local-fbtl.diff: update to revision 5973 (from
    glibc-bsd).
  * debian/rules, debian/rules.d/build.mk: rename localedir into complocaledir
    following upstream change.
  * debian/patches/local-allocalim-header.diff: drop, obsolete.
  * debian/patches/any/local-no-pagesize.diff: drop, obsolete.

  [ Adam Conrad ]
  * debian/testsuite-xfail-debian.mk: Also allow tst-malloc-thread-fail to
    fail where we've already done so for test-xfail-tst-malloc-thread-exit.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Apr 2016 14:20:30 +0200

glibc (2.23-0ubuntu2) xenial; urgency=medium

  * Merge with 2.23 from experimental, bringing in upstream updates.
  * Revert dropping the ldconfig wrapper, xenial still has a lot of
    packages that don't ship a trigger but instead call in postinst.
  * Add more belocs options to locale-gen to appease our installers.
  * Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
  * Tweak locales.config to allow langpacks for /etc/default/locale.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Mar 2016 15:10:45 -0600

glibc (2.23-0ubuntu1) xenial; urgency=medium

  * Merge with 2.23 from experimental (LP: #1521172), remaining changes:
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
      _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
      that might define them and build with -Werror, drop after xenial.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - debian/control.in/libc: Remove a Breaks on s390x against a binary
      NMU version of check that will never exist in the Ubuntu archive.
  * Drop libc-bin manpages Recommends to Suggests to keep it in standard.
  * Build with -fno-pie and -no-pie on s390x, upstream isn't PIE-ready.
  * debian/testsuite-xfail-debian.mk: XFAIL tst-malloc-thread-{fail,exit}.
  * debian/patches/any/cvs-netinet-in-4.2.diff: Dropped, merged upstream.
  * debian/patches/any/cvs-netinet-tcp-4.2.diff: Dropped, merged upstream.
  * debian/patches/any/cvs-selinux-nscd.diff: Dropped, merged upstream.
  * debian/patches/powerpc/local-tune-power8.diff: Dropped, we build for P8.
  * debian/patches/ubuntu/submitted-no-stack-backtrace.diff: Rebase patch.
  * debian/patches/ubuntu/unsubmitted-increase-dtv-surplus.diff: Dropped.

  * Evaluate and merge/drop/rebase localedata patches from langpack-locales.
    - debian-*patch: Drop all langpack-locales patches copied from Debian.
    - ubuntu/localedata/bn-language.patch: Rebase for glibc.
    - ubuntu/localedata/ce_RU-new_locale.patch: Drop, merged upstream.
    - ubuntu/localedata/ckb_IQ-new_locale.patch: Rebase for glibc.
    - ubuntu/localedata/de_AT-february.patch: Drop, merged upstream.
    - ubuntu/localedata/en_CA-dateformat.patch: Rebase for glibc.
    - ubuntu/localedata/en_IE-am_pm.patch: Rebase for glibc.
    - ubuntu/localedata/eo_US.patch: Rebase for glibc.
    - ubuntu/localedata/es-decimal_point-thousands_sep.patch: Drop, merged.
    - ubuntu/localedata/es_DO-am_pm.patch: Rebase for glibc.
    - ubuntu/localedata/es_EV.patch: Drop, merged upstream.
    - ubuntu/localedata/gd_GB-days-months.patch: Drop, merged upstream.
    - ubuntu/localedata/it_IT-thousands_sep.patch: Drop, also in Debian.
    - ubuntu/localedata/ln_CD-new_locale.patch: Rebase for glibc.
    - ubuntu/localedata/lt_LT-currency.patch: Drop, merged upstream.
    - ubuntu/localedata/lv_LV-currency.patch: Rebase for glibc.
    - ubuntu/localedata/pt_BR-d_fmt.patch: Rebase for glibc.
    - ubuntu/localedata/sd_PK.patch: Rebase for glibc.
    - ubuntu/localedata/tr_TR-currency_symbol.patch: Drop, merged upstream.
    - ubuntu/localedata/ug_CN.patch: Drop, merged upstream.
    - ubuntu/localedata/ug_CN@latin.patch: Rebase for glibc.

  * Merge locales back into glibc and provide locales-all (LP: #1394929):
    - debian/control.in/*: Reinstate all locales{,-all} Breaks from Debian.
    - debian/control.in/main: Let locales overwrite files from old libc-bin.
    - debian/debhelper.in/libc.postinst: Move locale-gen purge to locales.
    - debian/debhelper.in/locales.{config,postinst}: Upgrade local locales.
    - debian/debhelper.in/locales.install: Install our language-pack hooks.
    - debian/rules.d/debhelper.mk: Mark our language-pack hooks executable.
    - debian/local/usr_sbin/locale-gen: Add support for langpack snippets.
    - debian/rules: Reinstate building locales and locales-all for Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 17 Mar 2016 05:18:44 -0600

glibc (2.23-0experimental1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/git-updates.diff: update from upstream stable branch.
  * debian/testsuite-xfail-debian.mk (powerpc) really mark
    tst-malloc-thread-exit as xfail.
  * debian/testsuite-xfail-debian.mk (ppc64) mark tst-malloc-thread-exit
    test as xfail, it is a known issue and not a regression.
  * patches/kfreebsd/local-fbtl.diff: update to revision 5969 (from
    glibc-bsd).
  * debian/patches/kfreebsd/local-tst-malloc-fbtl.diff: drop, obsoleted by
    hurd-i386/cvs-libpthread.so.diff.
  * debian/patches/kfreebsd/local-tst-unique.diff: disable tst-unique* on
    GNU/kFreeBSD, as they are not supported by the FreeBSD ELF OSABI.
  * debian/patches/alpha/submitted-fts64.diff: new patch to fix the new fts64
    function on alpha.

  [ Samuel Thibault ]
  * hurd-i386/cvs-libpthread.diff: More updates to glibc-2.23.
  * hurd-i386/cvs-openat.diff: Fix __openat prototype.
  * hurd-i386/cvs-gai_sigqueue.diff: Fix gai_sigqueue prototype.
  * hurd-i386/cvs-aio_sigqueue.diff: Fix aio_sigqueue prototype.
  * hurd-i386/cvs-libpthread.diff: Separate 2.23 changes to...
  * hurd-i386/cvs-libpthread-2.23.diff: ... separate patch.
  * hurd-i386/cvs-libpthread.so.diff: Fix building malloc tests.
  * testsuite-xfail-debian.mk: Skip test which just overflows memory.
  * hurd-i386/cvs-pt-kill.diff: Fix pthread_kill locking.
  * hurd-i386/cvs-open.diff: Fix __open in ld.so, thus fixing dlopen().
  * hurd-i386/cvs-c++-types.diff: Add expected c++-types.data.
  * hurd-i386/local-ihash-use.diff: Note that libpthread uses ihash.h.
  * testsuite-xfail-debian.mk: Add failing new tests. Disable the problematic
    test-lfs test.
  * hurd-i386/local-versions.diff: New patch to fix symbol version.

  [ Adam Conrad ]
  * debian/patches/any/cvs-tst-malloc-thread-exit.diff: Backport fix from
    upstream to make tst-malloc-thread-exit use fewer system resources.
  * debian/debhelper.in/locales.config: Make default_environment_locale
    get preseeded correctly both with and without /etc/default/locale.
  * debian/control.in/i386: Remove list of Breaks that predate oldstable.
  * debian/control.in/*: Drop long obsolete file overlap Breaks/Replaces.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Mar 2016 00:21:05 +0100

glibc (2.23-0experimental0) experimental; urgency=medium

  [ Aurelien Jarno ]
  * New upstream release: version 2.23, with git updates up to 2016-03-12:
    - Fix German translation of "Alarm clock".  Closes: #291293.
    - Fix strtol in Turkish locales.  Closes: #458611.
    - Add LFS support for fts functions.  Closes: #534521.
    - Fix build with GCC 6.  Closes: #811574.
    - Fix unbounded stack allocation in nan* functions (CVE-2014-9761).
      Closes: #813187.
    - debian/patches/localedata/locale-ku_TR.diff: rebased.
    - debian/patches/localedata/fix-lang.diff: upstreamed.
    - debian/patches/localedata/first_weekday.diff: rebased.
    - debian/patches/localedata/locale-nb_NO.diff: upstreamed.
    - debian/patches/localedata/cvs-bg_BG-t_fmt.diff: upstreamed.
    - debian/patches/alpha/local-string-functions.diff: rebased.
    - debian/patches/amd64/local-blacklist-for-Intel-TSX.diff: rebased.
    - debian/patches/arm/local-ioperm.diff: dropped.
    - debian/patches/hppa/cvs-allocatestack-stacktop.diff: upstreamed.
    - debian/patches/hppa/local-pthread_spin_unlock.diff: upstreamed.
    - debian/patches/hppa/submitted-mathdef.diff: upstreamed.
    - debian/patches/hppa/cvs-update-mman.h.diff: upstreamed.
    - debian/patches/hppa/submitted-dladdr.diff: partially upstreamed, rebased.
    - debian/patches/hurd-i386/local-enable-ldconfig.diff: rebased.
    - debian/patches/hurd-i386/tg-tls.diff: rebased.
    - debian/patches/hurd-i386/tg-tls-threadvar.diff: rebased.
    - debian/patches/hurd-i386/tg-hurdsig-fixes.diff: rebased.
    - debian/patches/hurd-i386/tg-hurdsig-global-dispositions.diff: rebased.
    - debian/patches/hurd-i386/cvs-libpthread.diff: updated.
    - debian/patches/hurd-i386/unsubmitted-gnumach.defs.diff: rebased.
    - debian/patches/hurd-i386/submitted-fork_port_leak.diff: upstreamed.
    - debian/patches/hurd-i386/tg-libc_getspecific.diff: rebased.
    - debian/patches/hurd-i386/cvs-libpthread-libc-lockP.diff: upstreamed.
    - debian/patches/hurd-i386/tg-mmap32th_bit.diff: upstreamed.
    - debian/patches/hurd-i386/tg-sysheaders.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-bootstrap.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-cache-mach_host_self.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-csu_crt0.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-s_scalbn.diff: upstreamed.
    - debian/patches/hurd-i386/local-mach_print.diff: rebased.
    - debian/patches/hurd-i386/cvs-hidden.diff: rebased.
    - debian/patches/hurd-i386/cvs-O_DIRECTORY.diff: upstreamed.
    - debian/patches/hurd-i386/cvs-raise-longjump.diff: upstreamed.
    - debian/patches/hurd-i386/tg-faccessat.diff: rebased.
    - debian/patches/i386/local-i386-ulps.diff: dropped.
    - debian/patches/kfreebsd/local-scripts.diff: rebased.
    - debian/patches/m68k/submitted-gcc34-seccomment.diff: rebased.
    - debian/patches/mips/cvs-testsuite-o32-fp.diff: upstreamed.
    - debian/patches/powerpc/local-powerpc8xx-dcbz.diff: rebased.
    - debian/patches/sh4/local-fpscr_values.diff: rebased.
    - debian/patches/any/local-bindresvport_blacklist.diff: rebased.
    - debian/patches/any/local-libgcc-compat-main.diff: rebased.
    - debian/patches/any/local-libgcc-compat-abilists.diff: rebased.
    - debian/patches/any/local-mktemp.diff: upstreamed.
    - debian/patches/any/cvs-stdio-lock.diff: upstreamed.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
    - debian/patches/any/local-tst-mktime2.diff: rebased.
    - debian/patches/any/submitted-nis-netgrp.diff: upstreamed.
    - debian/patches/any/submitted-longdouble.diff: rebased.
    - debian/patches/any/local-dynamic-resolvconf.diff: rebased.
    - debian/patches/any/local-static-dlopen-search-path.diff: upstreamed.
    - debian/patches/any/local-math-logb.diff: upstreamed.
    - debian/patches/any/cvs-gawk-gensub.diff: upstreamed.
    - debian/patches/any/cvs-grantpt-namespace.diff: upstreamed.
    - debian/patches/any/cvs-grantpt-pty-owner.diff: upstreamed.
    - debian/patches/any/cvs-bits-libc-stdio-lock.diff: upstreamed.
    - debian/patches/any/submitted-hle-checking-mutex.diff: upstreamed.
    - debian/{control,symbols.wildcards,copyright}: Updated strings for 2.23.
    - debian/patches/kfreebsd/local-undef-glibc.diff: rebased.
    - debian/patches/kfreebsd/local-tst-malloc-backtrace.diff: rebased,
      renamed into local-tst-malloc-fbtl.diff.
    - debian/patches/hurd-i386/submitted-net.diff: rebased.
    - debian/patches/hurd-i386/tg-bits_atomic.h_multiple_threads.diff:
      rebased.
    - debian/patches/hurd-i386/submitted-handle-eprototype.diff: dropped.
  * debian/testsuite-xfail-debian.mk (powerpc) mark tst-malloc-thread-fail
    test as xfail, it is a known issue and not a regression.
  * debian/testsuite-xfail-debian.mk (mipsel): mark a few math tests are
    failing, due to a bug in the Loongson 3 FPU.
  * patches/kfreebsd/local-fbtl.diff: update to revision 5940 (from
    glibc-bsd).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Mar 2016 19:22:45 +0100

glibc (2.22-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/mips/submitted-vfork.diff: new patch to fix ABI change and
    testsuite on mips*.
  * debian/patches/sparc/submitted-vfork.diff: new patch to fix ABI change and
    testsuite on sparc*.
  * debian/sysdeps/mipsel.mk, debian/sysdeps/mips64el.mk: bump ISA to MIPS32
    and MIPS64.
  * debian/patches/hppa/submitted-start.diff: new patch from John David Anglin
    to fix crash in executables built with -p and linked against gcrt1.o.
    Closes: #827876.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Jun 2016 00:51:43 +0200

glibc (2.22-12) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - fix FTBFS with recent binutils versions on mips* and sparc*.  Closes:
      #827477.
  * debian/sysdeps/kfreebsd-i386.mk: fix libc0.1-i686 package name.
  * debian/rules.d/build.mk: in case of build failure due testsuite
    issues, display again the failed tests so that they appear at the end of
    the build log.
  * debian/local/etc/nsswitch.conf: add gshadow line to default
    /etc/nsswitch.conf (addresses #699090).
  * debian/debhelper.in/libc-bin.postinst: update /etc/nsswitch.conf to the
    current default if it matches a version shipped by base-files or
    libc-bin. This is based on a patch from Santiago Vila, thanks.  Closes:
    #827105.

  [ Samuel Thibault ]
  * hurd-i386/tg-eintr.diff: New patch to fix "Interrupted" issues in ghc.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2016 00:01:21 +0200

glibc (2.22-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/tg-poll_errors_fixes.diff: Fix crash when calling poll or select
    on a fd which had never been allocated.  Closes: #826175.
  * hurd-i386/tg-faccessat.diff: Finish faccessat implementation. Fixes
    findutils.  Closes: #823027.

  [ Aurelien Jarno ]
  * Update from upstream stable branch.
  * debian/control: re-add libc0.1-i686, libc0.3-i686, libc6-i686 as a
    dummy package to ease the upgrades.  Closes: #825421, #826290.
  * debian/sysdeps/i386.mk: add libc6-i686 dummy package.
  * debian/sysdeps/hurd-i386.mk: add libc0.1-i686 dummy package.
  * debian/sysdeps/kfreebsd-i386.mk: add libc0.3-i686 dummy package.
  * debian/debhelper.in/libc.NEWS: drop the new about libc6-i686, libc0.1-i686
    and libc0.3-i686 packages removal.
  * debian/script.in/nohwcap.sh: drop sparc optimized packages.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Jun 2016 00:04:04 +0200

glibc (2.22-10) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix a stack overflow in Sun RPC clntudp_call() (CVE-2016-4429).
  * debian/control.in/main: build-depends on dpkg (>= 1.18.7) instead of
    dpkg-dev (>= 1.18.7) as the cputable file is in dpkg, not dpkg-dev.
    Closes: #824127.
  * debian/debhelper.in/libc.NEWS: add an entry about the dropped libc6-i686,
    libc0.1-i686 and libc0.3-i686 packages.  Closes: #825421.

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-i686-link.diff: Fix link of i686 build.
  * sysdeps/hurd-i386.mk: Disable ifunc, not working yet.
  * sysdeps/hurd-i386.mk: Fix and re-enable xen build.
  * control: Re-introduce libc0.3-xen package.
  * patches/hurd-i386/cvs-check-local-headers.diff: Update exclusion list.

  [ John David Anglin ]
  * debian/patches/hppa/submitted-setcontext.diff: new patch to fix setcontext
    return code on hppa.  Closes: #824344.
  * debian/patches/hppa/submitted-dladdr.diff: update patch to fix
    debug/backtrace-tst test failure.  Closes: #824362.
  * debian/testsuite-xfail-debian.mk: update expected testsuite results.
    Closes: #824363.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 May 2016 23:48:20 +0200

glibc (2.22-9) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/cvs-libpthread.so.diff: Fix building malloc tests.
  * debian/testsuite-xfail-debian.mk: Update LFS tests.

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk: drop check on i586 flavours.
  * debian/patches/kfreebsd/local-tst-malloc-backtrace.diff: drop, obsoleted
    by hurd-i386/cvs-libpthread.so.diff.
  * debian/patches/arm/unsubmitted-ldconfig-cache-abi.diff: correctly apply
    patch. Really fix #822489.
  * control.in/main: Bump Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 May 2016 12:55:01 +0200

glibc (2.22-8) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/cvs-gprof-tick.diff: Cherry-pick from upstream to fix gprof
    timing.
  * hurd-i386/cvs-IPV6_PKTINFO.diff: Cherry-pick from upstream to fix
    IPV6_*PKT* macros.

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix a buffer overflow in the glob function (CVE-2016-1234).
    - Fix a stack overflow in getaddrinfo function (CVE-2016-3706).
    - Fix nss_hesiod breakage.  Closes: #821358.
  * patches/kfreebsd/local-sysdeps.diff: update to revision 6051 (from
    glibc-bsd) to fix FTBFS and provide PT_FOLLOW_FORK in sys/ptrace.h.
    Closes: #822143, #823387.
  * patches/arm/unsubmitted-ldconfig-cache-abi.diff: apply fix from Steve
    McIntyre to fix an armhf ABI detection crash in ldconfig on arm64.
    Closes: #822489.
  * debian/control.in/main: upgrade breaks on binutils. This is plainly
    wrong though, glibc should not be a special case: either we don't
    support partial upgrades or we do that for all libraries. With that
    let's hope people will stop reporting bugs, sigh.  Closes: #819165.
  * Drop libc*-i686 packages as GCC now defaults to i686:
    - debian/control: drop packages, add provides and build-depends on
      g++-5 (>= 5.3.1-17) and dpkg-dev (>= 1.18.7).
    - debian/sysdeps/hurd-i386.mk: stop building libc0.3-i686. Use the
      default compiler options to build libc0.3-xen.
    - debian/sysdeps/i386.mk: stop building libc6-i686.
    - debian/sysdeps/kfreebsd-i386.mk: drop.
    - debian/patches/i386/submitted-i686-timing.diff: drop.  Closes:
      #218519.

  [ Adam Conrad ]
  * debian/control.in/libc: Force i686 variants off the system on upgrade.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 May 2016 23:39:05 +0200

glibc (2.22-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/submitted-auxv.diff: Update from upstream commit into
    cvs-auxv.diff.
  * hurd-i386/unsubmitted-prof-eintr.diff: Fix recording profiling from
    ext2fs.
  * hurd-i386/submitted-anon-mmap-shared.diff: Disable, actually breaks
    booting hurd-i386.
  * control: Add myself as uploader.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Apr 2016 11:48:08 +0200

glibc (2.22-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386/submitted-auxv.diff: New patch, fixes cvs crash.
  * hurd-i386/submitted-anon-mmap-shared.diff: New patch, fixes inheritence of
    shared anonymous memory.

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix stack overflow when getnetbyname is invoked on a very long name
      (CVE-2016-3075).
    - Fix HTM on powerpc/ppc64/ppc64el.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Apr 2016 13:35:19 +0200

glibc (2.22-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * testsuite-xfail-debian.mk: Disable the problematic test-lfs test on hurd.

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix assertion failure with unconnectable name server addresses.  Closes:
      #816669.
  * Drop libnss-dns-udeb and libnss-files-udeb and merge the files they
    include in libc6-udeb.
  * debian/patches/any/cvs-sys-personality-h.diff: new patch to synchronise
    <sys/personality.h> with kernel headers.  Closes: #697456.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 29 Mar 2016 00:44:21 +0200

glibc (2.22-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix a memory leak in the resolver (CVE-2016-5417).  Closes: #818178.
  * debian/patches/localedata/fr_CA-first_weekday.diff: drop.  Closes:
    #769051.
  * debian/rules, debian/rules.d/build.mk: move the C.UTF-8 locale and
    locales-all generation to a separate target instead of building them
    in the build_libc target.
  * debian/control.in/main, debian/rules, debian/rules.d/build.mk: make sure
    to use the just built localedef when building locales. When
    cross-compiling use the system localedef with the correct endianness and
    build-depends on the correct version.

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-sendmsg-SCM_RIGHTS.diff,tg-sendmsg-SCM_CREDS.diff:
    Update.
  * patches/hurd-i386/cvs-errnos.d.diff: New patch to fix build dependency
    loop.
  * patches/hurd-i386/cvs-mach-syscalls.mk.diff: New patch to fix missing
    dependency.

  [ Adam Conrad ]
  * debian/glibc-source.filelist: Refresh list of source files and sort.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 21 Mar 2016 18:41:37 +0100

glibc (2.22-3) unstable; urgency=medium

  * Update from upstream stable branch:
    - Fix linking shared objects that use libmvec.so functions.  Closes:
      #817879.
  * debian/sysdeps/sh4.mk: build with -fno-delete-null-pointer-checks to
    workaround a missing SH4 specific __builtin_trap implementation in GCC.
  * debian/patches/localedata/locale-C.diff: fix LC_TIME week and d_t_fmt
    fields in C.UTF-8 locale.  Closes: #817895.
  * debian/sysdeps/powerpcspe.mk: pass --without-fp to the configure script
    on powerpcspe.  Closes: #817926.
  * debian/rules.d/control.mk: add nios2 architecture.  Closes: #817944.
  * debian/patches/any/submitted-dlopen-noload.diff: new patch to fix a crash
    in dlopen() with RTLD_NOLOAD.  Closes: #817900.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Mar 2016 22:40:15 +0100

glibc (2.22-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix pow() precision on CPUs with fma4, and the corresponding testsuite
      failures.
    - debian/patches/s390/submitted-socketcall.diff: drop, merged upstream.
  * debian/libc6{,-mips32,-mipsn32}.symbols.mips64el: add symbols for files for
    mips64el.
  * patches/kfreebsd/local-sysdeps.diff: update to revision 5932 (from
    glibc-bsd):
    - Fix consistency check for PIC code when built with GCC 5.  Closes:
      #817207.
  * debian/rules, debian/rules.d/build.mk, debian/rules.d/debhelper.mk: define
    the mvec variable per flavour and not per platform.
  * sysdeps/*mk: enable libmvec only on amd64 and x32 flavours.
  * debian/debhelper.in/libc-dev-alt.install: install libmvec_nonshared.a also
    for alternative builds.
  * debian/debhelper.in/libc-dev{,-alt}.install: install libmvec.a.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Mar 2016 18:42:19 +0100

glibc (2.22-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/testsuite-xfail-debian.mk (alpha): mark a few failures which
    are not a regression compared to 2.21 as xfail.
  * debian/testsuite-xfail-debian.mk (hurd): mark another failure which
    is not a regression compared to 2.21 as xfail.
  * debian/control.in/main: avoid experimental versions, use versions that
    went through unstable instead.

  [ Samuel Thibault ]
  * control: Accept hurd-headers-dev and libihash-dev as alternatives to
    hurd-dev for bootstrapping.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Mar 2016 12:38:18 +0100

glibc (2.22-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - debian/patches/any/local-CVE-2015-7547.diff: drop, merged upstream.
  * debian/testsuite-xfail-debian.mk (hurd): correctly detect Hurd. Mark tests
    failing to build as unsupported. Update for glibc 2.22.
  * debian/patches/hurd-i386/submitted-hurd-abilist.diff: new patch to get the
    abilist tests buildable on Hurd.
  * debian/testsuite-xfail-debian.mk (mips): correctly detect 64-bit mips
    flavours.
  * debian/testsuite-xfail-debian.mk (hppa): mark new tests which fail as
    xfail.
  * debian/testsuite-xfail-debian.mk (alpha): mark new tests which fail as
    xfail.
  * control.in/main: Bump Standards-Version to 3.9.7 (no changes).
  * debian/patches/sparc/submitted-sparc64-socketcall.diff: new patch to fix
    bind(), listen() and setsockopt()when built against 4.4+ kernel headers.
  * Update German debconf translation, by Helge Kreutzman.  Closes: #815697.
  * Update Japanese debconf translation, by Takuma Yamada.  Closes: #815858.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Mar 2016 18:56:42 +0100

glibc (2.22-0experimental2) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/m68k/local-fpic.diff: drop, obsolete.
  * debian/patches/m68k/local-mathinline_h.diff: drop, not applied for a
    lot of time, obsolete.
  * debian/patches/sparc/submitted-timing.diff: drop, obsolete, not
    needed anymore since libc6-sparcv9 has been removed.
  * debian/patches/any/local-no-malloc-backtrace.diff: drop, the real bug
    has been fixed upstream.
  * debian/patches/any/local-no-SOCK_NONBLOCK.diff: drop, both GNU/Hurd
    and GNU/kFreeBSD now support SOCK_NONBLOCK.
  * debian/patches/any/local-libgcc-compat-ports.diff: refresh.
  * debian/patches/any/local-disable-test-tgmath2.diff: drop, 8 years have
    passed, the build daemons should now have enough resources to build
    and run this test.
  * debian/patches/s390/submitted-nexttowardf.diff: drop, fixed upstream
    another way.
  * debian/patches/alpha/submitted-rtld-fPIC.diff: drop, fixed upstream
    another way.
  * debian/patches/any/unsubmitted-scanf-includes.diff: replace the hack by
    the upstream fix patches/any/cvs-bits-libc-stdio-lock.diff. This also
    stop installing <bits/libc-lock.h> and <bits/stdio-lock.h>.  Closes:
    #404532, #639697.
  * debian/control, debian/rules.d/control.mk, debian/sysdeps/arm.mk: remove
    support for the ARM old-ABI architecture, it is not supported upstream
    anymore.
  * debian/sysdeps/*.mk: cleanup and homogenize:
    - define options common to all flavours using the non-flavour specific
      variable.
    - reorganize to not mix generic variables with flavour specific variables.
    - move -march and -mtune options from extra_cflags to CC and CXX as they
      might slightly change the ABI and the configure script needs to detect
      that.
  * debian/testsuite-checking/expected-results-sparc64-linux-gnu-libc: allow
    new tests to fail, cleanup resolved issues.
  * Replace debian/patches/i386/submitted-i586-ulps.diff by
    debian/patches/i386/local-i386-ulps.diff. The actual math precision
    depends on the CPU manufacturer and on the ability to use SSE2
    instructions or not. Change the i386 ULPs to the lowest precision
    produced by AMD and Intel CPU with and without SSE2 until upstream can
    figure out a better solution.
  * debian/testsuite-checking/expected-results-powerpc64le-linux-gnu-libc:
    allow nptl/tst-cancel17 and nptl/tst-cancelx17, this is a know upstream
    race condition.
  * debian/testsuite-checking/*, debian/testsuite-xfail-debian.mk,
    debian/rules.d/build.mk: rework testsuite system by extending upstream.
  * debian/debhelper.in/libc{,-alt,otherbuild).install: stop shipping
    testsuite results as it make the package build non-reproducible in case
    of different kernels and race conditions in the testsuite.
  * debian/testsuite-xfail-debian.mk: allow stdlib/tst-makecontext to fail
    on armel and armhf, as it is a new test introduced with glibc 2.22 and
    not a regression.
  * debian/patches/git-updates.diff: update to the latest commit of the
    2.22 branch.
  * debian/patches/alpha/submitted-abilist.diff: drop, merged upstream.
  * debian/patches/hppa/cvs-inline-syscall.diff: drop, merged upstream.
  * debian/patches/hppa/cvs-start.diff: drop, merged upstream.
  * debian/control.in/main: update VCS fields to the canonical location.
  * debian/control.in/{libc,libnss-dns-udeb,libnss-files-udeb}: rename
    XC-Package-Type into Package-Type.
  * debian/control.in/libc: drop conflicts on prelink (<= 0.0.20090311-1) as
    we don't support Lenny to Stretch upgrades.
  * debian/debhelper.in/libc-bin.{postinst,lintian-overrides},
    debian/rules.d/debhelper.mk, debian/local/sbin/ldconfig: remove ldconfig
    wrapper as new debhelper versions use the trigger instead of an explicit
    call to ldconfig.
  * debian/testsuite-xfail-debian.mk: allow POSIX2008/netdb.h/linknamespace
    and -XOPEN2K/netdb.h/linknamespace to fail on kfreebsd-* (new tests).
  * debian/testsuite-xfail-debian.mk: allow tst-setcontext2 to fail on
    kfreebsd-* (new test also failing on native FreeBSD).

  [ Adam Conrad ]
  * debian/patches/any/cvs-gawk-gensub.diff: Fix scary output from newer gawk.
  * debian/debhelper.in/libc-bin.postinst: Call ldconfig during configure as
    well, or major version upgrades will leave us without due to dep ordering.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2016 21:48:56 +0100

glibc (2.22-0experimental1) experimental; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc-dev.install: install libmvec_nonshared.a.
    Closes: #806910.
  * debian/control.in/main, debian/rules: build with gcc-5.
  * patches/kfreebsd/local-sysdeps.diff, patches/kfreebsd/local-fbtl.diff:
    update to revision 5856 (from glibc-bsd):
    - Update to glibc 2.22.
  * debian/patches/kfreebsd/local-tst-malloc-backtrace.diff: new patch to fix
    tst-malloc-backtrace on GNU/kFreeBSD.
  * debian/sysdeps/ppc64el.mk: default to POWER8 and use default gcc options.
  * debian/rules.d/build.mk: explicitly disable mathvec when mvec=no.
  * debian/testsuite-checking/expected-results-s390x-linux-gnu-libc:
    allow elf/tst-protected1a and elf/tst-protected1b to fail as they are
    new tests. Cleanup resolved issues.
  * debian/testsuite-checking/expected-results-aarch64-linux-gnu-libc:
    cleanup resolved issues.
  * debian/rules.d/build.mk: abort if the log file does not contain any
    testsuite result.
  * debian/patches/localedata/submitted-locale-bo.diff: drop, now useless.
  * debian/patches/any/submitted-resolv-ipv6-nameservers.diff: drop, now
    useless.
  * debian/testsuite-checking/expected-results-powerpc-linux-gnu-libc,
    debian/testsuite-checking/expected-results-powerpc64-linux-gnu-ppc64:
    cleanup resolved issues.
  * debian/testsuite-checking/expected-results-powerpc-linux-gnu-powerpc,
    debian/testsuite-checking/expected-results-powerpc64-linux-gnu-libc:
    new files.
  * debian/patches/i386/submitted-i586-ulps.diff: new patch to provide
    i586 ULPs.
  * debian/patches/git-updates.diff: update to the latest commit of the
    2.22 branch.
  * debian/testsuite-checking/expected-results-i?86-linux-gnu-*: cleanup
    resolved issues.
  * debian/testsuite-checking/expected-results-x86_64-linux-gnu-*: cleanup
    resolved issues.
  * debian/testsuite-checking/expected-results-x86_64-linux-gnux32-*:
    update and cleanup resolved issues.
  * debian/testsuite-checking/expected-results-powerpc64le-linux-gnu-libc:
    update and cleanup resolved issues.
  * debian/testsuite-checking/expected-results-mips*: update and cleanup
    resolved issues.
  * debian/testsuite-checking/expected-results-*kfreebsd-gnu*: update and
    cleanup resolved issues.
  * debian/patches/mips/local-r10k.diff: dropped, we don't support systems
    with a MIPS R10K CPU since the ISA has been switched to MIPS R2.
  * debian/patches/mips/cvs-testsuite-o32-fp.diff: new patch to fix testsuite
    build on pre-R2 ISA.
  * debian/patcheS/any/cvs-grantpt-namespace.diff: new patch to fix the
    grantpt link namespace when built without pt_chown.
  * debian/patches/alpha/submitted-abilist.diff: new patch to fix alpha ABI
    baseline sorting.
  * debian/patches/alpha/submitted-fegetenv-namespace.diff: new patch to fix
    the fegetenv link namespace on alpha.
  * debian/patches/alpha/submitted-termios_h.diff: new patch to fix
    visibility issues in termios.h on alpha.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Dec 2015 23:29:06 +0100

glibc (2.22-0ubuntu1) wily; urgency=medium

  * Merge with 2.22 from experimental (LP: #1497473), remaining changes:
    - Drop the Breaks line from libc which refers to a Debian transition.
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
      _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
      that might define them and build with -Werror, drop after wily.
    - Force tuning POWER7 builds to POWER8, as POWER7 is just a stopgap.
  * debian/patches/any/cvs-netinet-in-4.2.diff: Pull patch from git that
    updates netinet/in.h to match the kernel UAPI header's values in 4.2.
  * debian/patches/any/cvs-netinet-tcp-4.2.diff: Ditto for netinet/tcp.h.
  * debian/rules: Don't build libc-l10n, its contents get stripped and put
    in language-packs in Ubuntu, so the package would be completely empty.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 17 Sep 2015 13:04:44 -0600

glibc (2.22-0experimental0) experimental; urgency=medium

  [ Adam Conrad ]
  * New upstream release: version 2.22, with git updates up to 2015-11-27:
    - debian/patches/all/local-alias-UTF-8.diff: Fixed upstream.
    - debian/patches/any/cvs-ldconfig-aux-cache.diff: Upstreamed.
    - debian/patches/any/cvs-localplt-new-readelf.diff: Upstreamed.
    - debian/patches/any/cvs-logbl-accuracy.diff: Upstreamed.
    - debian/patches/any/cvs-vismain-pie.diff: Upstreamed.
    - debian/patches/any/local-xfail-stdlib-linkns.diff: Dropped.
    - debian/patches/any/local-tester-gcc-4.9.diff: Dropped.
    - debian/patches/arm/cvs-arm-sfi_breg.diff: Upstreamed.
    - debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Upstreamed.
    - debian/patches/hppa/cvs-alloca-werror.diff: Upstreamed.
    - debian/patches/hppa/cvs-fpu-r2.diff: Upstreamed.
    - debian/patches/hppa/cvs-fpu2.diff: Upstreamed.
    - debian/patches/hppa/local-fcntl-osync.diff: Fixed upstream.
    - debian/patches/hppa/local-setcontext.diff: Fixed upstream.
    - debian/patches/powerpc/cvs-power7-strncpy.diff: Upstreamed.
    - debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Upstreamed.
    - debian/patches/powerpc/cvs-ppc-pow.diff: Upstreamed.
    - debian/patches/powerpc/cvs-ppc-sqrt.diff: Upstreamed.
    - debian/patches/powerpc/cvs-ppc-sqrtf.diff: Upstreamed.
    - debian/patches/powerpc/cvs-ppc-tabort-le.diff: Upstreamed.
    - debian/patches/all/local-alias-et_EE.diff: Rebased.
    - debian/patches/amd64/local-blacklist-for-Intel-TSX.diff: Rebased.
    - debian/patches/any/local-libgcc-compat-ports.diff: Rebased.
    - debian/patches/any/local-libpic.diff: Rebased.
    - debian/patches/any/local-no-pagesize.diff: Rebased.
    - debian/patches/any/submitted-longdouble.diff: Rebased.
    - debian/patches/any/submitted-missing-etc-hosts.diff: Rebased.
    - debian/patches/any/submitted-resolv-ipv6-nameservers.diff: Rebased.
    - debian/patches/i386/submitted-i686-timing.diff: Rebased.
    - debian/patches/localedata/local-all-no-archive.diff: Rebased.
    - debian/patches/localedata/submitted-locale-bo.diff: Rebased.
    - debian/patches/mips/submitted-rld_map.diff: Rebased.
  * debian/{control,symbols.wildcards,copyright}: Updated strings for 2.22.
  * debian/libc6*.symbols: Add libmvec.so.1 to the amd64/x32 symbols files.
  * debian/*: Conditionally add libmvec to libc-udeb only on amd64 and x32.

  [ Samuel Thibault ]
  * debian/patches/hurd-i386/tg-tls.diff: Rebased.
  * debian/patches/hurd-i386/tg-tls-threadvar.diff: Rebased.
  * debian/patches/hurd-i386/tg-ioctl-base-types.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-extern_inline.diff: Rebased.
  * debian/patches/hurd-i386/tg-aio_misc.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-chflags.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-select-EINTR.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-af_local_strlen.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-nice.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-nfds-poll.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-sigstate_locking.diff: Upstreamed.
  * debian/patches/hurd-i386/tg-mmap_file_prot_none_fix.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-unwind-resume.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-libc-modules.h.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-warnings.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-check-local-headers.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-mlock.diff: Upstreamed.
  * debian/patches/hurd-i386/cvs-csu_crt0.diff: New patch, fixes gcrt0.o
    build.
  * debian/patches/hurd-i386/cvs-s_scalbn.diff: New patch, fixes s_scalbn.S
    build.
  * debian/patches/hurd-i386/tg-tls-threadvar.diff: Update.
  * patches/hurd-i386/tg-posix_thread.diff: Update, to define
    _POSIX_THREAD_KEYS_MAX, _POSIX_THREAD_DESTRUCTOR_ITERATIONS and
    _POSIX_THREAD_THREADS_MAX.

  [ Aurelien Jarno ]
  * debian/patches/hppa/cvs-atomic.diff: Upstreamed.
  * debian/patches/hppa/cvs-sysdep-errno.diff: Upstreamed.
  * debian/patches/hppa/cvs-inline-syscall-rewrite.diff: Upstreamed.
  * debian/patches/any/cvs-mangle-tls_dtor_list.diff: Rebased.
  * debian/patches/any/cvs-tls-dtv.diff: Upstreamed.
  * debian/patches/any/cvs-rfc3542-advanced-api.diff: Upstreamed.
  * debian/patches/any/cvs-check-localplt.diff: Upstreamed.
  * debian/patches/any/cvs-ld_pointer_guard.diff: Upstreamed.
  * debian/patches/any/cvs-mangle-tls_dtor_list.diff: Upstream.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Dec 2015 00:06:13 +0100

glibc (2.21-9) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fixes bug18240 failing with a timeout on machines with a lot of swap.
      Closes: #814958.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Feb 2016 18:45:59 +0100

glibc (2.21-8) unstable; urgency=critical

  * Update from upstream stable branch:
    - Fix an integer overflow in hcreate() and hcreate_r() (CVE-2015-8778).
      Closes: #812441.
  * patches/any/local-CVE-2015-7547.diff: new patch to fix glibc getaddrinfo
    stack-based buffer overflow (CVE-2015-7547).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2016 21:38:15 +0100

glibc (2.21-7) unstable; urgency=medium

  [ Aurelien Jarno ]
  * patches/localedata/cvs-bg_BG-t_fmt.diff: new patch from upstream to
    use colon as time separator in the Bulgarian locale.  Closes:
    #808143.
  * Update French debconf translation, by Christian Perrier.  Closes:
    #809636.
  * Update Brazilian Portuguese debconf translation, by Adriano Rafael
    Gomes.  Closes: #809741.
  * patches/hppa/cvs-update-mman.h.diff: new patch from upstream to add huge
    pages support on hppa.  Closes: #809776.
  * patches/hppa/submitted-dladdr.diff: new patch from John David Anglin to
    fix dladdr issues on hppa.  Closes: #810053.
  * sysdeps/armel.mk, sysdeps/armhf.mk: re-enable IFUNC support now that
    binutils has been fixed.
  * debian/control.in/main: update Vcs-* fields to point to the new git
    repository.
  * Update Dutch debconf translation, by Frans Spiesschaert.  Closes: #812351.
  * Update from upstream stable branch:
    - Fix segmentation fault caused by passing out-of-range data to strftime()
      (CVE-2015-8776).  Closes: #812445.
    - Fix multiple unbounded stack allocations in catopen() (CVE-2015-8779).
      Closes: #812455.
  * patches/any/submitted-hle-checking-mutex.diff: add proposed patch to fix
    a wrong assertion in pthread_mutex_unlock() on systems with hardware lock
    elision.  Closes: #810322.

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-libpthread-sigstate.diff: New patch to fix spurious
    signal blocking leading to sigill.  Fixes rsyslog tests.
  * patches/hurd-i386/cvs-raise-longjump.diff: New patch to fix longjump from
    signal handler.  Closes: #800900.
  * patches/hurd-i386/cvs-O_DIRECTORY.diff: New patch to fix O_DIRECTORY lookup
    on trivial translators.  Closes: #785404.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Jan 2016 00:21:18 +0100

glibc (2.21-6) unstable; urgency=medium

  [ Aurelien Jarno ]
  * sysdeps/kfreebsd.mk: test if the header directory exists before
    trying to link directories from there. Fixes FTBFS on GNU/kFreeBSD.
  * patches/s390/submitted-socketcall.diff: new patch to fix broken
    socketcall related function on s390x when built against 4.3+ kernel
    headers.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 25 Dec 2015 03:35:01 +0100

glibc (2.21-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Team upload.
  * patches/hurd-i386/cvs-libpthread-api.diff: Update patch, add missing throw
    specifications.
  * patches/any/local-stdio-lock.diff: Update to git commit, and
    rename into patches/any/cvs-stdio-lock.diff.
  * debhelper.in/libc.lintian-overrides: Override error about the embedded
    libidn.

  [ Aurelien Jarno ]
  * sysdeps/armel.mk, sysdeps/armhf.mk: pass --disable-multi-arch on armel and
    armhf as IFUNC support is broken in binutils (see #807974).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 15:23:35 +0100

glibc (2.21-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/debhelper.in/libc.{preinst,prerm}: remove code handling the
    upgrade from squeeze to wheezy, as we don't support squeeze to stretch
    upgrades. Move tests which might exit with a failure at the beginning.
  * debian/sysdeps/amd64.mk, debian/sysdeps/i386.mk: downgrade the minimal
    Linux kernel version to 2.6.32 to support RHEL6 kernels.
  * debhelper.in/libc.preinst: add a note explainling that pre-3.2 kernel
    are not officially supported.
  * debhelper.in/libc.preinst, debhelper.in/libc.templates, po/*: display
    kernel related notes using debconf if available.
  * patches/any/cvs-grantpt-pty-owner.diff: new patch from upstream to
    improve granpt when /dev/pts is not mounted with the correct options.
    Closes: #806882.

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-libpthread-api.diff: New patch, cleans libpthread
    API. Fixes conflicting declarations between pthread.h and sigthread.h.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Dec 2015 22:34:54 +0100

glibc (2.21-3) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/control.in/opt: drop libc0.3-i686 and libc0.3-xen entries.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Dec 2015 00:22:07 +0100

glibc (2.21-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debhelper.in/libc.preinst: drop outdated code about pre-2.6 kernels.
  * rules.d/debhelper.mk: prefix calls to objcopy and strip with
    $(DEB_HOST_GNU_TYPE)-.
  * testsuite-checking/expected-results-hppa-linux-gnu-libc: update testsuite
    result, from John David Anglin.  Closes: #806839.
  * debhelper.in/libc.NEWS: add an entry about the required minimum kernel.
  * rules.d/debhelper.mk: strip *crt*.o files.
  * patches/any/cvs-tls-dtv.diff: update with a new patch from upstream
    changing the IE model for static variables.  Closes: #806971.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 03 Dec 2015 22:46:21 +0100

glibc (2.21-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * testsuite-checking/expected-results-mips64el-linux-gnu-*: allow
    nptl/tst-cancel24-static to fail on mips64el.  It's an upstream regression
    only affecting static binaries currently under investigation.
  * patches/hppa/submitted-mathdef.diff: update to include the ABI baseline
    changes.
  * testsuite-checking/expected-results-*kfreebsd-gnu-*: re-add rt/tst-shm as
    it seems it can still occasionally fail on the buildds.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Dec 2015 00:17:43 +0100

glibc (2.21-0experimental4) experimental; urgency=medium

  [ Aurelien Jarno ]
  * testsuite-checking/expected-results-*kfreebsd-gnu-*: re-add tst-getpid1
    and tst-getpid2 as it seems they can still occasionally fail on the
    buildds.
  * testsuite-checking/expected-results-mips64el-linux-gnu-libc: rename into
    testsuite-checking/expected-results-mips64el-linux-gnuabi64-libc.
  * testsuite-checking/expected-results-{arm,mips}*: allow nptl/tst-stack4 to
    fail. It's a new test which fails intermitently on the buildds and a known
    upstream problem.
  * patches/hppa/submitted-mathdef.diff: new patch from John David Anglin to
    define __NO_LONG_DOUBLE_MATH on hppa.  Closes: #805836.
  * patches/hppa/cvs-inline-syscall-rewrite.diff: new patch backported from
    upstream as requested by John David Anglin.
  * patches/hppa/cvs-sysdep-errno.diff: new patch backported from upstream as
    requested by John David Anglin.
  * testsuite-checking/expected-results-hppa-linux-gnu-libc: update testsuite
    result, from John David Anglin.
  * testsuite-checking/*{arm,mips,hppa}*: allow nptl/tst-cancel24-static to
    fail on armel, armhf, hppa, mips, mipsel. It's an upstream regression
    only affecting static binaries currently under investigation.

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-tls-threadvar.diff: Update, to fix recursion while
    accessing TLS while locking for accessing TLS.
  * patches/hurd-i386/tg-context_functions.diff: Update, to fix sigprocmask
    visibility.
  * patches/hurd-i386/cvs-hidden.diff: New patch, to fix build with hidden
    support.
  * sysdeps/hurd-i386.mk: Disable libc0.3-i686 and libc0.3-xen build for now,
    to get 2.21 out against the binutils version which broke them.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 29 Nov 2015 23:24:08 +0100

glibc (2.21-0experimental3) experimental; urgency=medium

  [ Aurelien Jarno ]
  * patches/hppa/cvs-allocatestack-stacktop.diff: new patch from upstream
    to fix a set-but-unused warning in nptl/allocatestack.c, causing a
    build failure.
  * patches/hppa/local-stack-grows-up.diff: rebase.
  * patches/any/cvs-tls-dtv.diff: new patch from upstream to fix DTV race,
    assert, and DTV_SURPLUS Static TLS limit.  This also reduces the failure
    rate of nptl/tst-stack4.  Closes: #793641.
  * Add expected testsuite result for mips64el:
    - testsuite-checking/expected-results-mips64el-linux-gnu-libc
    - testsuite-checking/expected-results-mips64el-linux-gnuabin32-mipsn32
    - testsuite-checking/expected-results-mipsel-linux-gnu-mips32
  * patches/kfreebsd/local-sysdeps.diff, patches/kfreebsd/local-fbtl.diff:
    update to revision 5844 (from glibc-bsd):
    - Update to glibc 2.21.
    - Define F_DUP2FD_CLOEXEC.  Closes: #712074.
    - Define SOCK_CLOEXEC and SOCK_NONBLOCK.
    - Wire-up accept4.  Closes: #722885.
  * sysdeps/kfreebsd-{amd64,i386}.mk: configure with --disable-werror.
  * patches/kfreebsd/local-nscd-no-sockcloexec.diff: Drop.
  * patches/kfreebsd/local-getaddrinfo-freebsd-kernel.diff: improve and remove
    a warning.
  * patches/kfreebsd/local-tst-auxv.diff: new patch to disable AT_EXECFN
    testing in tst-auxv when it is not defined.
  * patches/any/cvs-rfc3542-advanced-api.diff: new patch from usptream to
    add missing Advanced API (RFC3542) (1) defines.  Closes: #753909.
  * debian/rules: don't put debug files from libc0.1-i386 and libc6-mips32
    into libc0.1-dbg or libc6-dbg.
  * patches/hppa/cvs-atomic.diff, patches/hppa/cvs-inline-syscall.diff: new
    patches from upstream to improve atomic and inline syscalls on HPPA
    (closes: #799478).
  * rules.d/build.mk: don't run the testsuite with make -k, as a build
    failure in the testsuite, otherwise build failures cause the regression
    comparison to be entirely skipped.
  * testsuite-checking/expected-results-*kfreebsd-gnu-*: update testsuite
    results.
  * patches/any/cvs-check-localplt.diff: new patch from upstream to fix
    check-localplt test with recent binutils version on x86.
  * patches/hppa/submitted-gmon-start.diff: new patch from upstream to
    fix __gmon_start__ symbol proliferation on hppa.  Closes: #805730.
  * Update from upstream stable branch:
    - patches/any/cvs-make-typo.diff: Merged.
    - Fix FTBFS with libselinux 2.4.

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-pagesize.diff: Refresh.
  * patches/hurd-i386/submitted-handle-eprototype.diff: Refresh.
  * patches/hurd-i386/tg-posix_thread.diff: Update, to define
    _POSIX_THREAD_KEYS_MAX, _POSIX_THREAD_DESTRUCTOR_ITERATIONS and
    _POSIX_THREAD_THREADS_MAX.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Nov 2015 19:37:39 +0100

glibc (2.21-0experimental2) experimental; urgency=medium

  [ Samuel Thibault ]
  * Symbol versions which contain _DEBIAN_ are unexpected by upstream scripts.
    Add hurd-i386-only patches/hurd-i386/local-versions-hack.diff to work
    around the issue.  Also take the opportunity of the upstream version bump
    to bump the versions to GLIBC_2_21, which will allow one to remove the
    _DEBIAN_ hacks once packages are rebuilt.
  * patches/hurd-i386/unsubmitted-libpthread-semaphore.h.diff: Remove
    libpthread/sysdeps/i386/bits/semaphore.h, now that hurd Implies
    libpthread/sysdeps/generic. Move libpthread/include/semaphore.h into
    libpthread/sysdeps/pthread/semaphore.h instead of the latter just
    including the former, since the latter is what gets installed.
  * patches/hurd-i386/cvs-cache-mach_host_self.diff: New patch to avoid port
    count issue on the host port.
  * patches/hurd-i386/unsubmitted-gnumach.defs.diff: Also build
    task_notify.defs stubs.  Drop unneeded change.
  * libc0.3.symbols.hurd-i386: Update.
  * patches/hurd-i386/local-mach_print.diff: New patch to export mach_print.

  [ Aurelien Jarno ]
  * rules.d/debhelper.mk: replace GLIBC_VERSION before LIBC.  Closes:
    #797538.
  * Drop loongson-2f flavour on mipsel as this machine is not supported
    anymore (default to R2 ISA).
  * kfreebsd/local-sysdeps.diff: update to revision 5772 (from glibc-bsd).
    Closes: #764692, #785796.
  * testsuite-checking/expected-results-mips*: allow the new tst-audit9
    fail, like the others tst-auditX.
  * testsuite-checking/expected-results-mips(el)-linux-gnu-libc: allow
    conformtest for sys/stat.h to fail for O32 ABI. They were previously
    under the failing test run-conformtest.out, but it has been lost in
    the conversion to the new format.
  * testsuite-checking/expected-results-mips*: sort the files. Remove
    failures due to old kernel now that all buildds run jessie.
  * debhelper.in/locales-all.prerm: do not specify a path to check for
    locale-gen.
  * libc6.1.symbols.alpha: remove invoke_dynamic_linker from libpcprofile.so.
    It has disappeared, but it is a private library.
  * Remove debver2localesdep.pl, it is unused since 2.19-16.
  * Use $(GLIBC_VERSION) for shlib, instead of defining the version in a
    separate shlibver file.
  * Remove completely outdated README, README.source and TODO files.
  * rules.d/debhelper.mk: use the default compression format for libc6,
    libc-bin and multiarch-support. Nowadays deboostrap is able to handle
    the xz format and modern distributions also support it. Anyway almost
    all packages installed by debootstrap are now using the xz format.
  * Bump debhelper compatibility to level 9. This brings compressed debug
    file using the build-id instead of a fixed path. This is much more
    multiarch friendly.
  * control.in/*: remove pre-squeeze conflicts.
  * libc-bin, libc-dev-bin: Recommends the manpages package and add lintian
    override for missing manpages.
  * sysdeps/s390x.mk: --enable-lock-elision.
  * testsuite-checking/expected-results-x86_64-linux-gnux32-*: allow
    conformtest for headers with tv_nsec to fail for x32. The type
    non-compliance is intentional. These tests were previously marked as
    failing under the run-conformtest.out, but they have been lost during
    the conversion to the new format.
  * testsuite-checking/compare.sh: re-enable failures in case of regressions.
  * rules.d/build.mk: don't require flavours to be tested before being
    installed. They are still tested when calling the build-arch or
    binary-arch targets, but not anymore when calling the build-indep or
    binary-indep targets.
  * patches/hppa/cvs-alloca-werror.diff: new patch from upstream to fix a
    build failure.
  * debhelper.in/libc.preinst: fix up error message for too old Linux
    kernels.  Closes: #800846.
  * patches/any/cvs-ld_pointer_guard.diff: new patch from upstream to
    unconditionally disable LD_POINTER_GUARD.  Closes: #798316, #801691.
  * patches/any/cvs-mangle-tls_dtor_list.diff: new patch from upstream to
    mangle function pointers in tls_dtor_list.  Closes: #802256.
  * Update Brazilian Portuguese debconf translation, by Adriano Rafael
    Gomes.  Closes: #799418.

  [ Steven Chamberlain ]
  * sysdeps/kfreebsd.mk: find kfreebsd-kernel-headers in multiarch path.
    Closes: #672774, #798064.

  [ Helmut Grohne ]
  * Fix some issues with stage 1.  Closes: #797831.

  [ Adam Conrad ]
  * debian/patches/arm/local-arm-futex.diff: Lie about the minimum kernel
    support for futex_atomic_cmpxchg_inatomic to restore the  previous state
    and fix the pulsesink (and others) regression on ARM (closes: #788799)

  [ Henrique de Moraes Holschuh ]
  * Replace patches/amd64/local-blacklist-on-TSX-Haswell.diff by
    local-blacklist-for-Intel-TSX.diff also blacklisting some Broadwell
    models.  Closes: #800574.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 19 Oct 2015 00:20:34 +0200

glibc (2.21-0ubuntu5) xenial; urgency=medium

  * debian/patches/any/cvs-selinux-nscd.diff: Fix build with selinux.
  * debian/control.in/libc: Remove a Breaks on s390x against a binary
    NMU version of check that will never exist in the Ubuntu archive.
  * debian/control: Regenerate for the above s390x-vs-binNMU changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Dec 2015 13:24:51 -0700

glibc (2.21-0ubuntu4) vivid; urgency=medium

  * debian/patches/arm/local-arm-futex.diff: Lie about the minimum
    kernel support for futex_atomic_cmpxchg_inatomic to restore the
    previous state and make pulsesink happier on ARM (LP: #1436162)
  * debian/debhelper.in/libc.preinst: Wipe ld.so.cache on upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Mar 2015 14:31:51 -0600

glibc (2.21-0ubuntu3) vivid; urgency=medium

  * debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
    _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
    that might define them and build with -Werror, drop post-vivid.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Mar 2015 09:01:43 -0600

glibc (2.21-0ubuntu2) vivid; urgency=medium

  * debian/patches/powerpc/cvs-ppc-sqrt.diff: Fix sqrt() on powerpc.
  * debian/patches/powerpc/cvs-ppc-sqrtf.diff: Likewise for sqrtf().
  * debian/patches/powerpc/cvs-ppc-pow.diff: Likewise for pow().
  * debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Fix inline
    feraiseexcept and feclearexcept macro input conversion on PPC.
  * debian/patches/any/submitted-longdouble.diff: Refresh for above.
  * debian/patches/any/local-disable-test-tgmath2.diff: Likewise.
  * debian/patches/any/cvs-logbl-accuracy.diff: Fix ldbl-128ibm logbl.
  * debian/patches/powerpc/local-math-logb.diff: Refresh and move to
    debian/patches/any/local-math-logb.diff, as it's not PPC-specific.
  * debian/patches/any/cvs-localplt-new-readelf.diff: Preemptively
    fix localplt test breakage with binutils 2.26 before it lands.
  * debian/patches/any/cvs-make-typo.diff: Fix typo in elf/Makefile.
  * debian/patches/powerpc/cvs-power7-strncpy.diff: Optimize strncpy
    for POWER7 drastically (10-70%) on strings longer than 16 chars.
  * debian/patches/powerpc/cvs-ppc-tabort-le.diff: Fix TABORT encoding
    when building on toolchains without HTM support (no-op on gcc-4.9)
  * debian/patches/arm/cvs-arm-sfi_breg.diff: Fix LDR_GLOBAL macro.
  * debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Fix memcpy
    and memmove for the ARM_ALWAYS_BX class of hardware like ArmadaXP.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 15:19:40 -0600

glibc (2.21-0ubuntu1) vivid; urgency=medium

  * Merge with 2.21 from experimental (LP: #1425623), remaining changes:
    - Drop the Breaks line from libc which refers to a Debian transition.
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Force tuning POWER7 builds to POWER8, as POWER7 is just a stopgap.
  * debian/patches/ubuntu/lddebug-scopes.diff: Disable tst-dl-iter-static.
  * debian/patches/ubuntu/submitted-no-stack-backtrace.diff: Fix missing
    include leading to FTBFS with -Werror=implicit-function-declaration.
  * debian/testsuite-checking/compare.sh: Turn testsuite failures back on.
  * debian/sysdeps/linux.mk: Also symlink sys/sdt-config.h (LP: #1418239)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Mar 2015 10:25:48 -0600

glibc (2.21-0experimental1) experimental; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-libpthread.diff: Update from upstream.
  * patches/hurd-i386/cvs-libpthread-dlopen.diff: Merged.
  * patches/hurd-i386/cvs-libpthread-libc-lockP2.diff: Merged.
  * patches/hurd-i386/cvs-bind_umask.diff: Merged.
  * patches/hurd-i386/cvs-fork_ss_hang.diff: Merged.
  * patches/hurd-i386/cvs-munmap-0.diff: Merged.
  * patches/hurd-i386/cvs-static-dlopen.diff: Merged.
  * patches/hurd-i386/cvs-tcbhead_t.diff: Merged.
  * patches/hurd-i386/cvs-libpthread_versions.diff: Rebased.
  * patches/hurd-i386/local-disable-tst-xmmymm.diff: Dropped.
  * patches/hurd-i386/local-hurdsig-global-dispositions-version.diff: Rebased.
  * patches/hurd-i386/submitted-exec_filename.diff: Rebased.
  * patches/hurd-i386/submitted-net.diff: Rebased.
  * patches/hurd-i386/tg-EIEIO-fr.diff: Rebased.
  * patches/hurd-i386/tg-af_local_strlen.diff: Rebased.
  * patches/hurd-i386/tg-chflags.diff: Rebased.
  * patches/hurd-i386/tg-tls-threadvar.diff: Update.
  * patches/hurd-i386/tg-tls.diff: Rebased.
  * patches/hurd-i386/tg-tls_thread_leak.diff: Rebased.
  * patches/hurd-i386/unsubmitted-NO_HIDDEN.diff: Rebased.
  * patches/hurd-i386/tg-no-hp-timing.diff: Update.
  * patches/series: Re-enable all hurd patches.
  * patches/hurd-i386/libpthread-versions.diff: New patch, updates to new
    version engine.
  * patches/hurd-i386/cvs-revert-gnu-gnu-cleanup.diff: New patch, reverts
    cleanup of the gnu-gnu hack.
  * patches/hurd-i386/libpthread_pthread_types.diff: New patch, fixes
    inclusion of pthread_types.h
  * patches/hurd-i386/unsubmitted-libc_alloca_cutoff.diff: New patch,
    implements alloca cutoff limit.
  * patches/hurd-i386/cvs-unwind-resume.diff: New patch, fixes unwind-resume
    build.
  * patches/hurd-i386/unsubmitted-libpthread-semaphore.h.diff: New patch,
    fixes semaphore header inclusion.
  * patches/hurd-i386/unsubmitted-timer_routines.diff: New patch, fixes
    timer_routines build.
  * patches/hurd-i386/cvs-libc-modules.h.diff: New patch, adds missing
    dependency on libc-modules.h.
  * patches/hurd-i386/cvs-warnings.diff: New patch, fixes warnings.
  * patches/hurd-i386/cvs-check-local-headers.diff: New patch, clears spurious
    local-header warnings.
  * sysdeps/hurd.mk: Disable -Werror since MIG currently generates warnings.
  * testsuite-checking/expected-results-{i586-gnu-libc,i686-gnu-
    {i386,i686,xen}}: update testsuite results

  [ Adam Conrad ]
  * debian/{rules.d/debhelper.mk,sysdeps/*}: Define per-platform pldd
    variable to control installation of usr/bin/pldd in libc-bin, and
    leverage the same trick to decide to install usr/lib/pt_chown too.
  * debian/patches/kfreebsd/local-no-pldd.diff: Drop, no longer used.
  * debian/patches/alpha/submitted-PTR_MANGLE.diff: Use IS_IN macros.
  * debian/patches/powerpc/cvs-ppc-sqrt.diff: Fix sqrt() on powerpc.
  * debian/patches/powerpc/cvs-ppc-sqrtf.diff: Likewise for sqrtf().
  * debian/patches/powerpc/cvs-ppc-pow.diff: Likewise for pow().
  * debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Fix inline
    feraiseexcept and feclearexcept macro input conversion on PPC.
  * debian/patches/any/submitted-longdouble.diff: Refresh for above.
  * debian/patches/any/local-disable-test-tgmath2.diff: Likewise.
  * debian/patches/any/cvs-logbl-accuracy.diff: Fix ldbl-128ibm logbl.
  * debian/patches/powerpc/local-math-logb.diff: Refresh and move to
    debian/patches/any/local-math-logb.diff, as it's not PPC-specific.
  * debian/patches/any/cvs-localplt-new-readelf.diff: Preemptively
    fix localplt test breakage with binutils 2.26 before it lands.
  * debian/patches/any/cvs-make-typo.diff: Fix typo in elf/Makefile.
  * debian/patches/powerpc/cvs-power7-strncpy.diff: Optimize strncpy
    for POWER7 drastically (10-70%) on strings longer than 16 chars.
  * debian/patches/powerpc/cvs-ppc-tabort-le.diff: Fix TABORT encoding
    when building on toolchains without HTM support (no-op on gcc-4.9)
  * debian/patches/arm/cvs-arm-sfi_breg.diff: Fix LDR_GLOBAL macro.
  * debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Fix memcpy
    and memmove for the ARM_ALWAYS_BX class of hardware like ArmadaXP.
  * debian/{control.in/*,debhelper.in/*,rules.d/*}: Stop hardcoding our
    upstream version all over the place and use GLIBC_VERSION instead.
  * debian/debhelper.in/libc.preinst: Unconditionally wipe ld.so.cache
    on major version upgrades, which is significantly less error-prone.

  [ Aurelien Jarno ]
  * debian/patches/any/local-libgcc-compat-main.diff: Fix definition of
    __floatdisf for sparc.
  * debian/patches/any/local-libgcc-compat-ports.diff: Fix definition of
    __floatdisf for mips. Remove usage of INTUSE (Closes: #782198).
  * debian/sysdeps/linux.mk, debhelper.in/libc.preinst: bump minimal Linux
    kernel version to 3.2 (ie the version in Wheezy).
  * debian/patches/localedata/locale-C.diff: fix d_fmt time format (Closes:
    #775179).
  * Create source tarball in a deterministic manner: adjust file modification
    time, user, group, permissions, and file order (addresses: #783210).
  * Update from upstream stable branch:
    - Fix a buffer overflow in getanswer_r (CVE-2015-1781). Closes: #796105.
  * sysdeps/linux.mk: don't build pt_chown (CVE-2013-2207). Closes: #717544.
  * Move translation to a new libc-l10n package from the locales packages.
    Add a dependency from locales and locales-all to libc-l10n, so that they
    both provide the same feature. Closes: #788352.
  * control.in/main: Bump Standards-Version to 3.9.6 (no changes).

  [ Breno Leitao ]
  * Remove --without-cvs that is not used anymore as a valid configuration.
    It was removed in commit 92963737c4376bcfd65235d5c325fa7f48302f89
    (Closes: #781245).

  [ Matthias Klose ]
  * Fix multilib enabled stage1 cross builds (closes: #766877).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Aug 2015 00:43:02 +0200

glibc (2.21-0experimental0) experimental; urgency=medium

  * New upstream release: version 2.21, with git updates up to 2015-02-10:
    - debian/patches/git-updates.diff: Updated.
    - debian/patches/all/submitted-po-fr-fixes.diff: Rebased.
    - debian/patches/alpha/cvs-__pointer_chk_guard.diff: Merged.
    - debian/patches/alpha/cvs-unwind-backtrace.diff: Merged.
    - debian/patches/alpha/local-gcc4.1.diff: Rebased.
    - debian/patches/alpha/local-lowlevellock.diff: Dropped.
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
    - debian/patches/alpha/submitted-dl-support.diff: Rebased.
    - debian/patches/alpha/submitted-lll_futex_timed_wait_bitset.diff: Dropped.
    - debian/patches/alpha/submitted-rtld-fPIC.diff: Rebased.
    - debian/patches/amd64/cvs-slow-sse42.diff: Merged.
    - debian/patches/amd64/local-blacklist-on-TSX-Haswell.diff: Rebased.
    - debian/patches/amd64/submitted-rwlock-stack-imbalance.diff: Dropped.
    - debian/patches/any/cvs-check_pf-infinite-loop.diff: Merged.
    - debian/patches/any/cvs-getnetbyname.diff: Merged.
    - debian/patches/any/cvs-pie-lt_executable.diff: Merged.
    - debian/patches/any/cvs-regex-alloca.diff: Merged.
    - debian/patches/any/cvs-resolv-first-query-failure.diff: Merged.
    - debian/patches/any/cvs-socketcall-syscall.diff: Merged.
    - debian/patches/any/cvs-strtod.diff: Merged.
    - debian/patches/any/cvs-vfprintf.diff: Merged.
    - debian/patches/any/cvs-wordexp.diff: Merged.
    - debian/patches/any/cvs-wprintf.diff: Merged.
    - debian/patches/any/cvs-wscanf.diff: Merged.
    - debian/patches/any/local-disable-libnss-db.diff: Rebased.
    - debian/patches/any/local-disable-test-tgmath2.diff: Rebased.
    - debian/patches/any/local-libgcc-compat-ports.diff: Rebased.
    - debian/patches/any/local-libpic.diff: Rebased.
    - debian/patches/any/local-no-SOCK_NONBLOCK.diff: Rebased.
    - debian/patches/any/local-no-pagesize.diff: Rebased.
    - debian/patches/any/local-rtlddir-cross.diff: Rebased.
    - debian/patches/any/local-stdio-lock.diff: Rebased.
    - debian/patches/any/local-sysctl.diff: Rebased.
    - debian/patches/any/submitted-argp-attribute.diff: Rebased.
    - debian/patches/any/submitted-bits-fcntl_h-at.diff: Rebased.
    - debian/patches/any/submitted-longdouble.diff: Rebased.
    - debian/patches/any/submitted-nl_langinfo-static.diff: Merged.
    - debian/patches/any/submitted-ptsname_r-uninitialized-memory.diff: Merged.
    - debian/patches/any/submitted-resolv-ipv6-nameservers.diff: Rebased.
    - debian/patches/any/submitted-sysdeps-auxv.diff: Merged.
    - debian/patches/any/unsubmitted-scanf-includes.diff: Rebased.
    - debian/patches/any/unsubmitted-tst-ftell-locale.diff: Dropped.
    - debian/patches/any/unsubmitted-tst-tlsmod-as-needed.diff: Merged.
    - debian/patches/arm/local-ioperm.diff: Rebased.
    - debian/patches/arm/local-lowlevellock.diff: Dropped.
    - debian/patches/arm/local-sigaction.diff: Rebased.
    - debian/patches/arm/local-vfp-sysdeps.diff: Rebased.
    - debian/patches/arm/unsubmitted-ldconfig-cache-abi.diff: Rebased.
    - debian/patches/arm64/cvs-includes-cleanup.diff: Merged.
    - debian/patches/arm64/submitted-align.diff: Merged.
    - debian/patches/arm64/submitted-setcontext.diff: Merged.
    - debian/patches/arm64/submitted-tst-setcontext.diff: Merged.
    - debian/patches/hppa/cvs-sigrtmin.diff: Merged.
    - debian/patches/hppa/local-atomic.diff: Dropped.
    - debian/patches/hppa/local-elf-make-cflags.diff: Rebased.
    - debian/patches/hppa/local-fcntl-osync.diff: Rebased.
    - debian/patches/hppa/local-fpu.diff: Rebased.
    - debian/patches/hppa/local-inlining.diff: Rebased.
    - debian/patches/hppa/local-lowlevellock.diff: Dropped.
    - debian/patches/hppa/local-pthread_spin_unlock.diff: Rebased.
    - debian/patches/hppa/local-setjmp-namespace.diff: Dropped.
    - debian/patches/hppa/local-shmlba.diff: Rebased.
    - debian/patches/hppa/local-stack-grows-up.diff: Rebased.
    - debian/patches/hurd-i386/tg-libpthread_depends.diff: Rebased.
    - debian/patches/i386/submitted-i686-timing.diff: Rebased.
    - debian/patches/kfreebsd/local-fbtl-depends.diff: Rebased.
    - debian/patches/kfreebsd/local-fbtl.diff: Rebased.
    - debian/patches/kfreebsd/local-scripts.diff: Rebased.
    - debian/patches/kfreebsd/local-sysdeps.diff: Rebased.
    - debian/patches/kfreebsd/submitted-waitid.diff: Rebased.
    - debian/patches/locale/locale-print-LANGUAGE.diff: Rebased.
    - debian/patches/locale/submitted-XDR-revert.diff: Merged.
    - debian/patches/localedata/sort-UTF8-first.diff: Rebased.
    - debian/patches/localedata/supported.diff: Rebased.
    - debian/patches/m68k/local-fpic.diff: Rebased.
    - debian/patches/m68k/local-mathinline_h.diff: Rebased.
    - debian/patches/m68k/local-reloc.diff: Rebased.
    - debian/patches/mips/local-lowlevellock.diff: Dropped.
    - debian/patches/mips/local-r10k.diff: Rebased.
    - debian/patches/mips/submitted-rld_map.diff: Rebased.
    - debian/patches/powerpc/cvs-ibm-branch.diff: Dropped.
    - debian/patches/sparc/local-fork.diff: Dropped.
    - debian/patches/sparc/local-sparcv9-target.diff: Rebased.
  * Drop some hppa patches that Carlos O'Donell claims are no longer needed:
    - debian/patches/hppa/local-EAGAIN.diff: Dropped.
    - debian/patches/hppa/local-fanotify_mark-5i.diff: Dropped.
    - debian/patches/hppa/submitted-fadvise64_64.diff: Dropped.
    - debian/patches/hppa/submitted-nptl-carlos.diff: Dropped.
  * debian/*: Update occurences of 2.19 to 2.21 and update symbols to match.
  * debian/patches/any/cvs-vismain-pie.diff: Compile vismain with -fPIE
    and link with -pie to fix testsuite failure with the new binutils.
  * debian/patches/any/local-libgcc-compat-abilists.diff: Fix the ablists
    to match the symbols added in local-libgcc-compat* for the testsuite.
  * debian/patches/sh4/local-fpscr_values.diff: Make the sh abilist match.
  * debian/{control.in/main,rules}: Switch to gcc-4.9 on all architectures.
  * debian/patches/any/local-tester-gcc-4.9.diff: Fix gcc-4.9 regression.
  * debian/patches/any/local-xfail-stdlib-linkns.diff: XFAIL this test due
    to building with pt_chown, which we should revisit very, very soon.
  * debian/sysdeps/*: --enable-lock-elision on PPC targets (LP: #1414819)
  * debian/libc*.symbols*: Remove local __invoke_dynamic_linker__ symbol,
    which no longer shows up in random support libraries' symbol tables.
  * debian/sysdeps/*: Neither ports nor nptl are considered add-ons anymore.
  * debian/{rules.d/build.mk,testsuite-checking/*}: Adjust for upstream's
    new testsuite, and convert old expected-results-* to match new output.
  * debian/testsuite-checking/*: Let arm64 fail the tests indicated by the
    upstream port maintainer as broken, and let i386 fail tst-cleanupx4.
  * debian/debhelper.in/glibc-doc.install: Install changelogs that exist.
  * debian/patches/i386/submitted-i686-timing.diff: Fix -Wundef warnings.
  * debian/patches/arm/unsubmitted-ldso-abi-check.diff: Fix build failures
    from format mismatches, uninitialised variables, and const conversions.
  * debian/rules.d/debhelper.mk: Fix bootstrap libdirs (Closes: #715059)
  * debian/patches/arm/unsubmitted-ldconfig-cache-abi.diff: Same as above.
  * Other than two hurd-i386 patches required as scaffolding for others,
    all the hurd-i386 patches are disabled, so this build *will* fail there.
  * kfreebsd's sysdeps patches almost certainly need updating for 2.21 too.
  * Failing on testsuite failures is disabled to attempt to get full builds.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 06 Mar 2015 13:47:43 -0700

glibc (2.19-22) unstable; urgency=medium

  * patches/hurd-i386/cvs-cache-mach_host_self.diff: Remove, since it introduces
    a new symbol, which will be easier to handle in 2.21.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2015 01:38:34 +0200

glibc (2.19-21) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-bootstrap.diff: Fix typos.
  * libc0.3.symbols.hurd-i386: Remove internal _server_routine symbols, fixes
    build with newer mig.
  * patches/hurd-i386/cvs-cache-mach_host_self.diff: New patch to avoid port
    count issue on the host port.
  * patches/hurd-i386/tg-sendmsg-SCM_RIGHTS.diff: Update from upstream.
  * patches/hurd-i386/tg-sendmsg-SCM_CREDS.diff: New patch, adds support for
    passing credentials over sockets (SCM_CREDS).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Sep 2015 19:54:01 +0200

glibc (2.19-20) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-mmap32th_bit.diff: New patch to fix libpciaccess
    mapping of BARs above 2GiB. Closes: #793543.
  * rules.d/build.mk: Also install crt0.o in stage1, if any.
  * sysdeps/hurd-i386.mk: Fix stage1 about xen packages for hurd-i386 too.
  * patches/hurd-i386/tg-sysheaders.diff: New patch to fix stage1 finding hurd
    headers.
  * patches/hurd-i386/cvs-libpthread_clean2.diff: New patch to drop spurious
    code getting in the way for stage1.
  * patches/hurd-i386/cvs-libpthread_build.diff: New patch to fix build of
    generic libpthread code.
  * patches/hurd-i386/libpthread_build.diff: Fix header inclusion to get
    pthread headers from libpthread/ instead of system.
  * sysdeps/hurd.mk: Create symlinks to kernel and hurd headers required for
    build, so that we can pass --with-headers to configure to make the build
    really self-hosted.
  * patches/hurd-i386/local-clock_gettime_MONOTONIC.diff: Update patch to not
    advertise _POSIX_CLOCK_SELECTION for vlc
  * patches/hurd-i386/{local,cvs}-bootstrap.diff: New patch to fix crt*.o build
    in stage1.
  * rules, rules.d/build.mk: Set MIG to gnu-type alias of mig, to fix
    cross-build.
  * control, control.d/main: Bump mig dependency to get the gnu-type alias in
    non-cross case too.

  [ Aurelien Jarno ]
  * Update from upstream stable branch:
    - Fix pthread_mutex_trylock with lock elision.  Closes: #759197,
      #788999.
    - Fix gprof entry point on ppc64el.  Closes: #794222.
    - Fix a buffer overflow in getanswer_r (CVE-2015-1781).  Closes: #796105.
    - Fix getaddrinfo sometimes returning uninitialized data with nscd.
      Closes: #798515.
  * sysdeps.mk/mips*.mk: force the ISA until it gets propagated to all GCC
    versions.
  * Update hppa patches.  Closes: #785664:
    - Replace patches/hppa/local-fpu.diff by upstream patch cvs-fpu-r2.diff.
    - Add patches/hppa/cvs-fpu2.diff from upstream.
    - Add patches/hppa/local-fptr-table-size.diff from Carlos O'Donnell.
    - Add patches/hppa/local-setcontext.diff.
    - Add patches/hppa/cvs-start.diff from upstream.
  * patches/any/cvs-pie-lt_executable.diff: new patch from upstream to fix
    explicit loader invocation with PIE binaries.  Closes: #796899.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Sep 2015 18:39:36 +0200

glibc (2.19-19) unstable; urgency=medium

  * patches/hurd-i386/cvs-mlock.diff: New patch to permit one to use mlock
    from non-root process.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jul 2015 14:28:56 +0200

glibc (2.19-18) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debhelper.in/locales.templates: allow the C.UTF-8 locale to be
    selected as the default locale. Closes: #782241.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Apr 2015 19:50:11 +0200

glibc (2.19-17) unstable; urgency=medium

  [ Adam Conrad ]
  * debian/rules.d/debhelper.mk: Unconditionally create tmp.substvars.
    Closes: #780431.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Mar 2015 10:17:56 +0100

glibc (2.19-16) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/cvs-libpthread-dlopen.diff: New patch to allow
    libpthread.so to be dynamically loaded from a dlopened library.
  * patches/hurd-i386/cvs-libpthread-libc-lockP{,2}.diff: New patch to
    dynamically call pthread functions from libc.

  [ Aurelien Jarno ]
  * We have a transition mechanism for the locales, as the Debian archive
    used to expose arch:all packages on all architectures even when the
    corresponding arch:any package is not available yet. This has been
    fixed long time ago, the transition mechanism has not been used
    correctly for a lot of time and has been broken by the split out of
    libc-bin. The breakage has been partially fixed by the "Breaks: locales
    (<< 2.19)" added to libc6. It's now time to add the missing "Depends:
    libc-bin (>> 2.19)" to locales and remove the transition mechanism.
    Closes: #583088, #779442
  * patches/any/cvs-ldconfig-aux-cache.diff: new patch from upstream to
    ignore corrupted aux-cache instead of segfaulting. Closes: #759530.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Mar 2015 22:00:40 +0100

glibc (2.19-15ubuntu2) vivid; urgency=medium

  * debian/patches/any/cvs-vismain-pie.diff: Compile vismain with -fPIE
    and link with -pie to fix testsuite failure with the new binutils.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 28 Feb 2015 00:59:56 -0700

glibc (2.19-15ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable, bringing in several security and bug fixes
    from upstream and swapping some Ubuntu patches for Debian equivalents.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 08 Feb 2015 21:52:50 -0700

glibc (2.19-15) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/patches/any/cvs-wscanf.diff: new patch from upstream to fix a
    heap buffer overflow in wscanf (CVE-2015-1472, CVE-2015-1473). Closes:
    #777197.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Feb 2015 15:54:37 +0100

glibc (2.19-14) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/libpthread_spin-lock.diff: New patch to fix spin-lock.h
    inclusion order.
  * patches/hurd-i386/tg-WRLCK-upgrade.diff: New patch to fix atomicity of
    changing between rd locks and wr locks.
  * patches/hurd-i386/cvs-static-dlopen.diff: New patch to fix dlopen from
    static binaries, busybox notably.
  * control.in/main: Bump mig dependency to get _routines@ symbols, bump
    gnumach-dev dependency to get protected payload symbols.
  * libc0.3.symbols.hurd-i386: Update symbols.
  * patches/hurd-i386/submitted-startup-pid2.diff: Remove, replaced by...
  * patches/hurd-i386/tg-reboot-startup.diff: ... new patch to make reboot
    lookup startup through /servers/startup instead of guessing its pid and
    using its message port.

  [ Adam Conrad ]
  * debian/rules.d/tarball.mk: Fix update-from-upstream manual/* filter rule.

  [ Petr Salinger ]
  * kfreebsd/local-sysdeps.diff: update to revision 5688 (from glibc-bsd).
    Do not return EINTR from sigwait. Closes: #763705.

  [ Aurelien Jarno ]
  * debian/patches/any/cvs-wordexp.diff: new patch from upstream to fix a
    command execution in wordexp() with WRDE_NOCMD specified (CVS-2014-7817).
  * debian/patches/any/cvs-getnetbyname.diff: new patch from upstream to fix
    an infinite loop in getnetbyname (CVE-2014-9402). Closes: #775572.
  * debian/patches/any/cvs-vfprintf.diff: new patch from ustream to fix a
    stack overflow in vfprintf (CVE-2012-3406). Closes: #681888.
  * debian/patches/git-updates.diff: update to the latest commit of the 2.19
    branch to fix a few buffer overflow, unbounded stack allocation or memory
    leaks that have not been (yet ?) tagged as security issue. This branch
    includes a few patches already applied manually:
    - drop patches/localedata/unsubmitted-tst-setlocale3-ENV.diff (merged
      upstream).
    - drop patches/s390/cvs-s390-abi-reversal.diff (merged upstream).
    - update patches/any/cvs-resolv-first-query-failure.diff
    - drop patches/any/cvs-resolv-reuse-fd.diff (merged upstream).
    - drop patches/any/cvs-posix_spawn_file_actions_addopen.diff (merged
      upstream).
    - drop patches/any/cvs-setlocale-alloca.diff (merged upstream).
    - drop patches/any/cvs-CVE-2014-0475.diff (merged upstream).
    - drop patches/any/cvs-CVE-2014-5119.diff (merged upstream).
    - drop patches/any/cvs-CVE-2014-6040.diff (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 01 Feb 2015 00:32:31 +0100

glibc (2.19-13ubuntu3) vivid; urgency=medium

  * any/cvs-CVE-2014-7817.diff: Backport fix from trunk for wordexp,
    making it honour the WRDE_NOCMD flag in all cases (LP: #1396471)
  * Update to release/2.19/master, fixing arm64 frame bug in _start.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 04 Dec 2014 16:56:41 -0700

glibc (2.19-13ubuntu2) vivid; urgency=medium

  * No, really, remove obsolete /etc/ld.so.conf.d/i686-linux-gnu.conf.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Nov 2014 20:35:28 -0700

glibc (2.19-13ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable, pulling in upstream and package fixes.
  * Re-enable the testsuite that was disabled in Debian for the freeze.
  * Drop obsolete /etc/ld.so.conf.d/i686-linux-gnu.conf (LP: #1381656)
  * Update to release/2.19/master, and readjust patches to compensate:
    - localedata/unsubmitted-tst-setlocale3-ENV.diff: Superseded.
    - s390/cvs-s390-abi-reversal.diff: Superseded.
    - any/cvs-resolv-reuse-fd.diff: Superseded.
    - any/cvs-posix_spawn_file_actions_addopen.diff: Superseded.
    - any/cvs-setlocale-alloca.diff: Superseded.
    - any/cvs-CVE-2014-0475.diff: Superseded.
    - any/cvs-CVE-2014-5119.diff: Superseded.
    - any/cvs-CVE-2014-6040.diff: Superseded.
    - any/cvs-resolv-first-query-failure.diff: Rebased with upstream.
  * testsuite-checking: Ignore failures of the tst-dl-iter-static test,
    which are caused by the lddebug-scopes patch, while we work out a
    better solution upstream to the GDB versus linux-vdso.so.1 problem.
  * Pull in latest PPC fixes from ibm/2.19/master branch (LP: #1341569)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Nov 2014 18:48:22 -0700

glibc (2.19-13) unstable; urgency=medium

  [ Aurelien Jarno ]
  * kfreebsd/local-fbtl.diff: update to revision 5677 (from glibc-bsd).
    Workarounds a kfreebsd 9.0 to 10.1 ABI break. Closes: #740509.
  * patches/hppa/cvs-sigrtmin.diff: backport patch from upstream to change
    __SIGRTMIN to match other architectures. Closes: #766605.
  * patches/amd64/cvs-slow-sse42.diff: backport patch from upstream to fix
    a performance issue with strcmp and friends functions on some machines.
  * patches/any/cvs-regex-alloca.diff: new patch from upstream to fix a
    segmentation fault in regex in case of heap allocation failure. Closes:
    #767225.
  * Don't fail to build in case of testsuite regressions, so that changes
    in the environment (e.g.: kernel) do not prevent security or stable
    versions to be built. It will be re-enabled after the Jessie release.
  * debian/control.in/main: build-depends on debhelper (>= 9.20141010) to
    get Build-Profiles features. This fixes the following lintian warning:
    restriction-formula-with-debhelper-without-debhelper-version.

  [ Samuel Thibault ]
  * hurd-i386/cvs-libpthread.diff: Update to Sun Nov 2.
  * hurd-i386/libpthread_clean.diff: Refresh, most of it merged into
    cvs-libpthread.diff.
  * hurd-i386/cvs-libpthread-pthread_condattr_setclock.diff,
    cvs-libpthread_guardsize.diff, cvs-libpthread_std_thread.diff: Remove,
    merged into cvs-libpthread.diff.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 06 Nov 2014 20:28:41 +0100

glibc (2.19-12) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-thread-cancel.diff: Update patch from upstream, fixes
    a rare deadlock.
  * patches/hurd-i386/local-libpthread-stacksize.diff: New patch to make
    libpthread stacks size default to 8MiB like on Linux, to avoid surprises
    with packages which assume the Linuxish default.
  * patches/hurd-i386/tg-poll_errors_fixes.diff: Update patch, fixes
    select returned value in case of errors. Closes: #764840.

  [ Petr Salinger ]
  * update testsuite-checking/expected-results-*-kfreebsd-gnu-*
    under 10.x kernels, provided by Steven Chamberlain. Closes: #762404.

  [ Aurelien Jarno ]
  * Remove mtrace(1) and pldd(1) manpages, provided by the manpages package
    starting with version 3.74.
  * debian/control.in/*: update the syntax of the Build-Profiles field and
    build depends on dpkg-dev (>= 1.17.14) to get the new feature. Closes:
    #764274.
  * Remove libc6-prof package as it's broken for years and there are better
    way to profile code nowadays. Closes: #760450.
  * patches/amd64/local-blacklist-on-TSX-Haswell.diff: new patch from
    Henrique de Moraes Holschuh to disable TSX on processors which might get
    it disable through a microcode update. Closes: #762195.
  * Install French, German, Polish and Spanish version of validlocale(8)
    manpage. Add a Replaces: manpages-fr-extra (<= 20141008).
  * Update French manpages translations, by David Prévot. Closes: #715289.
  * Update German manpages translations, by Helge Kreutzmann. Closes: #717979.
  * kfreebsd/local-fbtl.diff: update to revision 5651 (from glibc-bsd).
    Workarounds a kfreebsd 9.0 to 10.1 ABI break. Closes: #740509.
  * patches/any/cvs-CVE-2014-6040.diff: new patch from upstream to fix crashes
    on invalid input in IBM gconv modules (CVE-2014-6040).
  * patches/any/cvs-check_pf-infinite-loop.diff: new patch from upstream to
    fix an infinite loop in infinite loop in check_pf.
  * patches/any/local-static-dlopen-search-path.diff: new patch to re-enable
    default search path for dlopen() in static libraries. Closes: #754813,
    #757941.

  [ Helmut Grohne ]
  * debian/patches/any/local-bootstrap-headers.diff: Update to handle
    stubs-$abi.h which is required for multilib bootstraps. Closes: #756473

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 22 Oct 2014 20:01:11 +0200

glibc (2.19-11) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/hurd-i386/tg-thread-cancel.diff: Update patch against two other
    overzealous assertions.
  * patches/hurd-i386/submitted-bind_umask.diff: Split into cvs-bind_umask.diff
    and submitted-bind_umask2.diff as requested by upstream.
  * patches/hurd-i386/cvs-fork_ss_hang.diff: New patch which fixes some dash
    hangs.
  * patches/hurd-i386/cvs-libpthread_guardsize.diff: Add another guard size
    computation fix.  Fixes gcj's boehm-gc.  Closes: #760076.

  [ Aurelien Jarno ]
  * debian/control.in/main: Build-Depends on dpkg (>= 1.17.11) instead of
    dpkg-dev (>= 1.17.1).  Closes: #759495.
  * debian/debhelper.in/libc.{preinst,postinst,postrm}: correctly remove old
    conffiles /etc/ld.so.conf.d/i486-{kfreebsd-gnu.conf,gnu-gnu.conf,gnu.conf}.
    Closes: #759568.
  * Update Italian debconf translation, by Luca Monducci.  Closes: #760092.

  [ Petr Salinger ]
  * kfreebsd/local-fbtl.diff: update to revision 5520 (from glibc-bsd).
    Fixes x87 precision mode in newly created pthreads. Closes: #761175.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Sep 2014 23:49:50 +0200

glibc (2.19-10ubuntu2) utopic; urgency=medium

  * Add patches/ubuntu/unsubmitted-increase-dtv-surplus.diff from Fedora to
    allow up to 32 dlopened modules to use static TLS (LP: #1375555).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Sep 2014 14:33:02 +0100

glibc (2.19-10ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, bringing in several CVE fixes (LP: #1362409)
  * Enable systemtap support for Ubuntu which was dropped in Debian for now.
  * Move MIN_KERNEL_SUPPORTED to 2.6.32 on x86 now that hardy PPAs are dead.
  * libc-dev no longer Recommends 'gcc | c-compiler' (LP: #990982, #1005097)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Aug 2014 22:47:48 -0600

glibc (2.19-10) unstable; urgency=medium

  [ Aurelien Jarno ]
  * debian/rules: drop the i486 to i586 GNU triplet conversion.
  * debian/control.in/main: build-depends on dpkg-dev (>= 1.17.1) and
